/* search-bar.c generated by valac 0.36.3, the Vala compiler
 * generated from search-bar.vala, do not modify */

/* Copyright 2016 Software Freedom Conservancy Inc.
 *
 * This software is licensed under the GNU Lesser General Public License
 * (version 2.1 or later).  See the COPYING file in this distribution.
 */

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include "geary-static.h"
#include <stdlib.h>
#include <string.h>
#include <glib/gi18n-lib.h>
#include <gdk/gdk.h>


#define TYPE_SEARCH_BAR (search_bar_get_type ())
#define SEARCH_BAR(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_SEARCH_BAR, SearchBar))
#define SEARCH_BAR_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_SEARCH_BAR, SearchBarClass))
#define IS_SEARCH_BAR(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_SEARCH_BAR))
#define IS_SEARCH_BAR_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_SEARCH_BAR))
#define SEARCH_BAR_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_SEARCH_BAR, SearchBarClass))

typedef struct _SearchBar SearchBar;
typedef struct _SearchBarClass SearchBarClass;
typedef struct _SearchBarPrivate SearchBarPrivate;

#define TYPE_MONITORED_PROGRESS_BAR (monitored_progress_bar_get_type ())
#define MONITORED_PROGRESS_BAR(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_MONITORED_PROGRESS_BAR, MonitoredProgressBar))
#define MONITORED_PROGRESS_BAR_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_MONITORED_PROGRESS_BAR, MonitoredProgressBarClass))
#define IS_MONITORED_PROGRESS_BAR(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_MONITORED_PROGRESS_BAR))
#define IS_MONITORED_PROGRESS_BAR_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_MONITORED_PROGRESS_BAR))
#define MONITORED_PROGRESS_BAR_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_MONITORED_PROGRESS_BAR, MonitoredProgressBarClass))

typedef struct _MonitoredProgressBar MonitoredProgressBar;
typedef struct _MonitoredProgressBarClass MonitoredProgressBarClass;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))

#define TYPE_GEARY_APPLICATION (geary_application_get_type ())
#define GEARY_APPLICATION(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_GEARY_APPLICATION, GearyApplication))
#define GEARY_APPLICATION_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_GEARY_APPLICATION, GearyApplicationClass))
#define IS_GEARY_APPLICATION(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_GEARY_APPLICATION))
#define IS_GEARY_APPLICATION_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_GEARY_APPLICATION))
#define GEARY_APPLICATION_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_GEARY_APPLICATION, GearyApplicationClass))

typedef struct _GearyApplication GearyApplication;
typedef struct _GearyApplicationClass GearyApplicationClass;

#define TYPE_GEARY_CONTROLLER (geary_controller_get_type ())
#define GEARY_CONTROLLER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_GEARY_CONTROLLER, GearyController))
#define GEARY_CONTROLLER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_GEARY_CONTROLLER, GearyControllerClass))
#define IS_GEARY_CONTROLLER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_GEARY_CONTROLLER))
#define IS_GEARY_CONTROLLER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_GEARY_CONTROLLER))
#define GEARY_CONTROLLER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_GEARY_CONTROLLER, GearyControllerClass))

typedef struct _GearyController GearyController;
typedef struct _GearyControllerClass GearyControllerClass;
#define _g_free0(var) (var = (g_free (var), NULL))
enum  {
	SEARCH_BAR_SEARCH_TEXT_CHANGED_SIGNAL,
	SEARCH_BAR_LAST_SIGNAL
};
static guint search_bar_signals[SEARCH_BAR_LAST_SIGNAL] = {0};

struct _SearchBar {
	GtkSearchBar parent_instance;
	SearchBarPrivate * priv;
};

struct _SearchBarClass {
	GtkSearchBarClass parent_class;
};

struct _SearchBarPrivate {
	GtkSearchEntry* search_entry;
	GearyProgressMonitor* search_upgrade_progress_monitor;
	MonitoredProgressBar* search_upgrade_progress_bar;
	GearyAccount* current_account;
};


static gpointer search_bar_parent_class = NULL;

GType search_bar_get_type (void) G_GNUC_CONST;
GType monitored_progress_bar_get_type (void) G_GNUC_CONST;
#define SEARCH_BAR_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), TYPE_SEARCH_BAR, SearchBarPrivate))
enum  {
	SEARCH_BAR_DUMMY_PROPERTY,
	SEARCH_BAR_SEARCH_TEXT,
	SEARCH_BAR_SEARCH_ENTRY_HAS_FOCUS
};
MonitoredProgressBar* monitored_progress_bar_new (void);
MonitoredProgressBar* monitored_progress_bar_construct (GType object_type);
#define SEARCH_BAR_ICON_CLEAR_NAME "edit-clear-symbolic"
#define SEARCH_BAR_ICON_CLEAR_RTL_NAME "edit-clear-rtl-symbolic"
#define SEARCH_BAR_DEFAULT_SEARCH_TEXT _ ("Search")
SearchBar* search_bar_new (void);
SearchBar* search_bar_construct (GType object_type);
static void search_bar_on_search_entry_changed (SearchBar* self);
static void _search_bar_on_search_entry_changed_gtk_editable_changed (GtkEditable* _sender, gpointer self);
static gboolean search_bar_on_search_key_press (SearchBar* self, GdkEventKey* event);
static gboolean _search_bar_on_search_key_press_gtk_widget_key_press_event (GtkWidget* _sender, GdkEventKey* event, gpointer self);
void search_bar_set_search_placeholder_text (SearchBar* self, const gchar* placeholder);
GType geary_application_get_type (void) G_GNUC_CONST;
GearyApplication* geary_application_get_instance (void);
GType geary_controller_get_type (void) G_GNUC_CONST;
GearyController* geary_application_get_controller (GearyApplication* self);
static void search_bar_on_account_changed (SearchBar* self, GearyAccount* account);
static void _search_bar_on_account_changed_geary_controller_account_selected (GearyController* _sender, GearyAccount* account, gpointer self);
void search_bar_set_search_text (SearchBar* self, const gchar* text);
void search_bar_give_search_focus (SearchBar* self);
static void search_bar_on_search_upgrade_start (SearchBar* self);
static void search_bar_on_search_upgrade_finished (SearchBar* self);
static void _search_bar_on_search_upgrade_start_geary_progress_monitor_start (GearyProgressMonitor* _sender, gpointer self);
static void _search_bar_on_search_upgrade_finished_geary_progress_monitor_finish (GearyProgressMonitor* _sender, gpointer self);
static void search_bar_on_nickname_changed (SearchBar* self);
static void _search_bar_on_nickname_changed_g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self);
void monitored_progress_bar_set_progress_monitor (MonitoredProgressBar* self, GearyProgressMonitor* monitor);
gint geary_controller_get_num_accounts (GearyController* self);
const gchar* search_bar_get_search_text (SearchBar* self);
gboolean search_bar_get_search_entry_has_focus (SearchBar* self);
static void search_bar_finalize (GObject * obj);
static void _vala_search_bar_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec);


static void _search_bar_on_search_entry_changed_gtk_editable_changed (GtkEditable* _sender, gpointer self) {
#line 26 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	search_bar_on_search_entry_changed ((SearchBar*) self);
#line 133 "search-bar.c"
}


static gboolean _search_bar_on_search_key_press_gtk_widget_key_press_event (GtkWidget* _sender, GdkEventKey* event, gpointer self) {
	gboolean result;
	result = search_bar_on_search_key_press ((SearchBar*) self, event);
#line 27 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	return result;
#line 142 "search-bar.c"
}


static void _search_bar_on_account_changed_geary_controller_account_selected (GearyController* _sender, GearyAccount* account, gpointer self) {
#line 41 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	search_bar_on_account_changed ((SearchBar*) self, account);
#line 149 "search-bar.c"
}


SearchBar* search_bar_construct (GType object_type) {
	SearchBar * self = NULL;
	GtkSearchEntry* _tmp0_;
	GtkSearchEntry* _tmp1_;
	GtkSearchEntry* _tmp2_;
	GtkSearchEntry* _tmp3_;
	GtkSearchEntry* _tmp4_;
	MonitoredProgressBar* _tmp5_;
	MonitoredProgressBar* _tmp6_;
	MonitoredProgressBar* _tmp7_;
	MonitoredProgressBar* _tmp8_;
	GtkSearchEntry* _tmp9_;
	GearyApplication* _tmp10_;
	GearyApplication* _tmp11_;
	GearyController* _tmp12_;
	GearyController* _tmp13_;
#line 22 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	self = (SearchBar*) g_object_new (object_type, NULL);
#line 24 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	_tmp0_ = self->priv->search_entry;
#line 24 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	gtk_entry_set_width_chars (G_TYPE_CHECK_INSTANCE_CAST (_tmp0_, gtk_entry_get_type (), GtkEntry), 28);
#line 25 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	_tmp1_ = self->priv->search_entry;
#line 25 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	gtk_widget_set_tooltip_text (G_TYPE_CHECK_INSTANCE_CAST (_tmp1_, gtk_widget_get_type (), GtkWidget), _ ("Search all mail in account for keywords (Ctrl+S)"));
#line 26 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	_tmp2_ = self->priv->search_entry;
#line 26 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	g_signal_connect_object (G_TYPE_CHECK_INSTANCE_CAST (_tmp2_, GTK_TYPE_EDITABLE, GtkEditable), "changed", (GCallback) _search_bar_on_search_entry_changed_gtk_editable_changed, self, 0);
#line 27 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	_tmp3_ = self->priv->search_entry;
#line 27 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	g_signal_connect_object (G_TYPE_CHECK_INSTANCE_CAST (_tmp3_, gtk_widget_get_type (), GtkWidget), "key-press-event", (GCallback) _search_bar_on_search_key_press_gtk_widget_key_press_event, self, 0);
#line 28 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	search_bar_on_search_entry_changed (self);
#line 29 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	_tmp4_ = self->priv->search_entry;
#line 29 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	g_object_set (G_TYPE_CHECK_INSTANCE_CAST (_tmp4_, gtk_widget_get_type (), GtkWidget), "has-focus", TRUE, NULL);
#line 32 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	_tmp5_ = self->priv->search_upgrade_progress_bar;
#line 32 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	gtk_progress_bar_set_show_text (G_TYPE_CHECK_INSTANCE_CAST (_tmp5_, gtk_progress_bar_get_type (), GtkProgressBar), TRUE);
#line 33 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	_tmp6_ = self->priv->search_upgrade_progress_bar;
#line 33 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	gtk_widget_set_visible (G_TYPE_CHECK_INSTANCE_CAST (_tmp6_, gtk_widget_get_type (), GtkWidget), FALSE);
#line 34 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	_tmp7_ = self->priv->search_upgrade_progress_bar;
#line 34 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	gtk_widget_set_no_show_all (G_TYPE_CHECK_INSTANCE_CAST (_tmp7_, gtk_widget_get_type (), GtkWidget), TRUE);
#line 36 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	_tmp8_ = self->priv->search_upgrade_progress_bar;
#line 36 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	gtk_container_add (G_TYPE_CHECK_INSTANCE_CAST (self, gtk_container_get_type (), GtkContainer), G_TYPE_CHECK_INSTANCE_CAST (_tmp8_, gtk_widget_get_type (), GtkWidget));
#line 37 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	_tmp9_ = self->priv->search_entry;
#line 37 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	gtk_container_add (G_TYPE_CHECK_INSTANCE_CAST (self, gtk_container_get_type (), GtkContainer), G_TYPE_CHECK_INSTANCE_CAST (_tmp9_, gtk_widget_get_type (), GtkWidget));
#line 39 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	search_bar_set_search_placeholder_text (self, SEARCH_BAR_DEFAULT_SEARCH_TEXT);
#line 41 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	_tmp10_ = geary_application_get_instance ();
#line 41 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	_tmp11_ = _tmp10_;
#line 41 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	_tmp12_ = geary_application_get_controller (_tmp11_);
#line 41 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	_tmp13_ = _tmp12_;
#line 41 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	g_signal_connect_object (_tmp13_, "account-selected", (GCallback) _search_bar_on_account_changed_geary_controller_account_selected, self, 0);
#line 22 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	return self;
#line 227 "search-bar.c"
}


SearchBar* search_bar_new (void) {
#line 22 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	return search_bar_construct (TYPE_SEARCH_BAR);
#line 234 "search-bar.c"
}


void search_bar_set_search_text (SearchBar* self, const gchar* text) {
	GtkSearchEntry* _tmp0_;
	const gchar* _tmp1_;
#line 44 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	g_return_if_fail (IS_SEARCH_BAR (self));
#line 44 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	g_return_if_fail (text != NULL);
#line 45 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	_tmp0_ = self->priv->search_entry;
#line 45 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	_tmp1_ = text;
#line 45 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	gtk_entry_set_text (G_TYPE_CHECK_INSTANCE_CAST (_tmp0_, gtk_entry_get_type (), GtkEntry), _tmp1_);
#line 251 "search-bar.c"
}


void search_bar_give_search_focus (SearchBar* self) {
	GtkSearchEntry* _tmp0_;
#line 48 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	g_return_if_fail (IS_SEARCH_BAR (self));
#line 49 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	gtk_search_bar_set_search_mode (G_TYPE_CHECK_INSTANCE_CAST (self, gtk_search_bar_get_type (), GtkSearchBar), TRUE);
#line 50 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	_tmp0_ = self->priv->search_entry;
#line 50 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	gtk_widget_grab_focus (G_TYPE_CHECK_INSTANCE_CAST (_tmp0_, gtk_widget_get_type (), GtkWidget));
#line 265 "search-bar.c"
}


void search_bar_set_search_placeholder_text (SearchBar* self, const gchar* placeholder) {
	GtkSearchEntry* _tmp0_;
	const gchar* _tmp1_;
#line 53 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	g_return_if_fail (IS_SEARCH_BAR (self));
#line 53 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	g_return_if_fail (placeholder != NULL);
#line 54 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	_tmp0_ = self->priv->search_entry;
#line 54 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	_tmp1_ = placeholder;
#line 54 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	gtk_entry_set_placeholder_text (G_TYPE_CHECK_INSTANCE_CAST (_tmp0_, gtk_entry_get_type (), GtkEntry), _tmp1_);
#line 282 "search-bar.c"
}


static void search_bar_on_search_entry_changed (SearchBar* self) {
	GtkSearchEntry* _tmp0_;
	const gchar* _tmp1_;
	const gchar* _tmp2_;
	const gchar* _tmp3_ = NULL;
	GtkSearchEntry* _tmp4_;
	const gchar* _tmp5_;
	const gchar* _tmp6_;
	GtkSearchEntry* _tmp9_;
#line 57 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	g_return_if_fail (IS_SEARCH_BAR (self));
#line 58 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	_tmp0_ = self->priv->search_entry;
#line 58 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	_tmp1_ = gtk_entry_get_text (G_TYPE_CHECK_INSTANCE_CAST (_tmp0_, gtk_entry_get_type (), GtkEntry));
#line 58 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	_tmp2_ = _tmp1_;
#line 58 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	g_signal_emit (self, search_bar_signals[SEARCH_BAR_SEARCH_TEXT_CHANGED_SIGNAL], 0, _tmp2_);
#line 60 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	_tmp4_ = self->priv->search_entry;
#line 60 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	_tmp5_ = gtk_entry_get_text (G_TYPE_CHECK_INSTANCE_CAST (_tmp4_, gtk_entry_get_type (), GtkEntry));
#line 60 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	_tmp6_ = _tmp5_;
#line 60 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	if (g_strcmp0 (_tmp6_, "") != 0) {
#line 313 "search-bar.c"
		const gchar* _tmp7_ = NULL;
		GtkTextDirection _tmp8_;
#line 61 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		_tmp8_ = gtk_widget_get_direction (G_TYPE_CHECK_INSTANCE_CAST (self, gtk_widget_get_type (), GtkWidget));
#line 61 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		if (_tmp8_ == GTK_TEXT_DIR_RTL) {
#line 61 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
			_tmp7_ = SEARCH_BAR_ICON_CLEAR_RTL_NAME;
#line 322 "search-bar.c"
		} else {
#line 61 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
			_tmp7_ = SEARCH_BAR_ICON_CLEAR_NAME;
#line 326 "search-bar.c"
		}
#line 61 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		_tmp3_ = _tmp7_;
#line 330 "search-bar.c"
	} else {
#line 61 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		_tmp3_ = NULL;
#line 334 "search-bar.c"
	}
#line 60 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	_tmp9_ = self->priv->search_entry;
#line 60 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	g_object_set (G_TYPE_CHECK_INSTANCE_CAST (_tmp9_, gtk_entry_get_type (), GtkEntry), "secondary-icon-name", _tmp3_, NULL);
#line 340 "search-bar.c"
}


static gboolean search_bar_on_search_key_press (SearchBar* self, GdkEventKey* event) {
	gboolean result = FALSE;
	GdkEventKey* _tmp0_;
	guint _tmp1_;
	const gchar* _tmp2_;
	GdkEventKey* _tmp4_;
	guint _tmp5_;
	const gchar* _tmp6_;
#line 64 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	g_return_val_if_fail (IS_SEARCH_BAR (self), FALSE);
#line 64 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	g_return_val_if_fail (event != NULL, FALSE);
#line 66 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	_tmp0_ = event;
#line 66 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	_tmp1_ = _tmp0_->keyval;
#line 66 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	_tmp2_ = gdk_keyval_name (_tmp1_);
#line 66 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	if (g_strcmp0 (_tmp2_, "Escape") == 0) {
#line 364 "search-bar.c"
		GtkSearchEntry* _tmp3_;
#line 67 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		_tmp3_ = self->priv->search_entry;
#line 67 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		gtk_entry_set_text (G_TYPE_CHECK_INSTANCE_CAST (_tmp3_, gtk_entry_get_type (), GtkEntry), "");
#line 370 "search-bar.c"
	}
#line 70 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	_tmp4_ = event;
#line 70 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	_tmp5_ = _tmp4_->keyval;
#line 70 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	_tmp6_ = gdk_keyval_name (_tmp5_);
#line 70 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	if (g_strcmp0 (_tmp6_, "Return") == 0) {
#line 71 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		search_bar_on_search_entry_changed (self);
#line 382 "search-bar.c"
	}
#line 73 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	result = FALSE;
#line 73 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	return result;
#line 388 "search-bar.c"
}


static void search_bar_on_search_upgrade_start (SearchBar* self) {
	gint minimum_width = 0;
	gint natural_width = 0;
	GtkSearchEntry* _tmp0_;
	gint _tmp1_ = 0;
	gint _tmp2_ = 0;
	MonitoredProgressBar* _tmp3_;
	gint _tmp4_;
	GtkSearchEntry* _tmp5_;
	MonitoredProgressBar* _tmp6_;
#line 76 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	g_return_if_fail (IS_SEARCH_BAR (self));
#line 78 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	minimum_width = 0;
#line 79 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	natural_width = 0;
#line 80 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	_tmp0_ = self->priv->search_entry;
#line 80 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	gtk_widget_get_preferred_width (G_TYPE_CHECK_INSTANCE_CAST (_tmp0_, gtk_widget_get_type (), GtkWidget), &_tmp1_, &_tmp2_);
#line 80 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	minimum_width = _tmp1_;
#line 80 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	natural_width = _tmp2_;
#line 81 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	_tmp3_ = self->priv->search_upgrade_progress_bar;
#line 81 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	_tmp4_ = minimum_width;
#line 81 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	g_object_set (G_TYPE_CHECK_INSTANCE_CAST (_tmp3_, gtk_widget_get_type (), GtkWidget), "width-request", _tmp4_, NULL);
#line 83 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	_tmp5_ = self->priv->search_entry;
#line 83 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	gtk_widget_hide (G_TYPE_CHECK_INSTANCE_CAST (_tmp5_, gtk_widget_get_type (), GtkWidget));
#line 84 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	_tmp6_ = self->priv->search_upgrade_progress_bar;
#line 84 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	gtk_widget_show (G_TYPE_CHECK_INSTANCE_CAST (_tmp6_, gtk_widget_get_type (), GtkWidget));
#line 430 "search-bar.c"
}


static void search_bar_on_search_upgrade_finished (SearchBar* self) {
	GtkSearchEntry* _tmp0_;
	MonitoredProgressBar* _tmp1_;
#line 87 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	g_return_if_fail (IS_SEARCH_BAR (self));
#line 88 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	_tmp0_ = self->priv->search_entry;
#line 88 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	gtk_widget_show (G_TYPE_CHECK_INSTANCE_CAST (_tmp0_, gtk_widget_get_type (), GtkWidget));
#line 89 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	_tmp1_ = self->priv->search_upgrade_progress_bar;
#line 89 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	gtk_widget_hide (G_TYPE_CHECK_INSTANCE_CAST (_tmp1_, gtk_widget_get_type (), GtkWidget));
#line 447 "search-bar.c"
}


static void _search_bar_on_search_upgrade_start_geary_progress_monitor_start (GearyProgressMonitor* _sender, gpointer self) {
#line 96 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	search_bar_on_search_upgrade_start ((SearchBar*) self);
#line 454 "search-bar.c"
}


static void _search_bar_on_search_upgrade_finished_geary_progress_monitor_finish (GearyProgressMonitor* _sender, gpointer self) {
#line 97 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	search_bar_on_search_upgrade_finished ((SearchBar*) self);
#line 461 "search-bar.c"
}


static void _search_bar_on_nickname_changed_g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self) {
#line 102 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	search_bar_on_nickname_changed ((SearchBar*) self);
#line 468 "search-bar.c"
}


static gpointer _g_object_ref0 (gpointer self) {
#line 107 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	return self ? g_object_ref (self) : NULL;
#line 475 "search-bar.c"
}


static void search_bar_on_account_changed (SearchBar* self, GearyAccount* account) {
	GearyProgressMonitor* _tmp0_;
	GearyAccount* _tmp5_;
	GearyAccount* _tmp12_;
	GearyAccount* _tmp36_;
	GearyAccount* _tmp37_;
#line 92 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	g_return_if_fail (IS_SEARCH_BAR (self));
#line 92 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	g_return_if_fail ((account == NULL) || GEARY_IS_ACCOUNT (account));
#line 93 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	search_bar_on_search_upgrade_finished (self);
#line 95 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	_tmp0_ = self->priv->search_upgrade_progress_monitor;
#line 95 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	if (_tmp0_ != NULL) {
#line 495 "search-bar.c"
		GearyProgressMonitor* _tmp1_;
		guint _tmp2_;
		GearyProgressMonitor* _tmp3_;
		guint _tmp4_;
#line 96 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		_tmp1_ = self->priv->search_upgrade_progress_monitor;
#line 96 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		g_signal_parse_name ("start", GEARY_TYPE_PROGRESS_MONITOR, &_tmp2_, NULL, FALSE);
#line 96 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		g_signal_handlers_disconnect_matched (_tmp1_, G_SIGNAL_MATCH_ID | G_SIGNAL_MATCH_FUNC | G_SIGNAL_MATCH_DATA, _tmp2_, 0, NULL, (GCallback) _search_bar_on_search_upgrade_start_geary_progress_monitor_start, self);
#line 97 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		_tmp3_ = self->priv->search_upgrade_progress_monitor;
#line 97 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		g_signal_parse_name ("finish", GEARY_TYPE_PROGRESS_MONITOR, &_tmp4_, NULL, FALSE);
#line 97 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		g_signal_handlers_disconnect_matched (_tmp3_, G_SIGNAL_MATCH_ID | G_SIGNAL_MATCH_FUNC | G_SIGNAL_MATCH_DATA, _tmp4_, 0, NULL, (GCallback) _search_bar_on_search_upgrade_finished_geary_progress_monitor_finish, self);
#line 98 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		_g_object_unref0 (self->priv->search_upgrade_progress_monitor);
#line 98 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		self->priv->search_upgrade_progress_monitor = NULL;
#line 516 "search-bar.c"
	}
#line 101 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	_tmp5_ = self->priv->current_account;
#line 101 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	if (_tmp5_ != NULL) {
#line 522 "search-bar.c"
		GearyAccount* _tmp6_;
		GearyAccountInformation* _tmp7_;
		GearyAccountInformation* _tmp8_;
		gchar* _tmp9_;
		guint _tmp10_;
		GQuark _tmp11_;
#line 102 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		_tmp6_ = self->priv->current_account;
#line 102 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		_tmp7_ = geary_account_get_information (_tmp6_);
#line 102 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		_tmp8_ = _tmp7_;
#line 102 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		_tmp9_ = g_strconcat ("notify::", GEARY_ACCOUNT_INFORMATION_PROP_NICKNAME, NULL);
#line 102 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		g_signal_parse_name (_tmp9_, G_TYPE_OBJECT, &_tmp10_, &_tmp11_, TRUE);
#line 102 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		g_signal_handlers_disconnect_matched (G_TYPE_CHECK_INSTANCE_CAST (_tmp8_, G_TYPE_OBJECT, GObject), G_SIGNAL_MATCH_ID | G_SIGNAL_MATCH_DETAIL | G_SIGNAL_MATCH_FUNC | G_SIGNAL_MATCH_DATA, _tmp10_, _tmp11_, NULL, (GCallback) _search_bar_on_nickname_changed_g_object_notify, self);
#line 102 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		_g_free0 (_tmp9_);
#line 543 "search-bar.c"
	}
#line 106 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	_tmp12_ = account;
#line 106 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	if (_tmp12_ != NULL) {
#line 549 "search-bar.c"
		GearyAccount* _tmp13_;
		GearyProgressMonitor* _tmp14_;
		GearyProgressMonitor* _tmp15_;
		GearyProgressMonitor* _tmp16_;
		MonitoredProgressBar* _tmp17_;
		GearyProgressMonitor* _tmp18_;
		GearyProgressMonitor* _tmp19_;
		GearyProgressMonitor* _tmp20_;
		GearyProgressMonitor* _tmp21_;
		gboolean _tmp22_;
		gboolean _tmp23_;
		GearyAccount* _tmp24_;
		GearyAccountInformation* _tmp25_;
		GearyAccountInformation* _tmp26_;
		gchar* _tmp27_;
		MonitoredProgressBar* _tmp28_;
		GearyAccount* _tmp29_;
		GearyAccountInformation* _tmp30_;
		GearyAccountInformation* _tmp31_;
		const gchar* _tmp32_;
		const gchar* _tmp33_;
		gchar* _tmp34_;
		gchar* _tmp35_;
#line 107 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		_tmp13_ = account;
#line 107 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		_tmp14_ = geary_account_get_search_upgrade_monitor (_tmp13_);
#line 107 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		_tmp15_ = _tmp14_;
#line 107 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		_tmp16_ = _g_object_ref0 (_tmp15_);
#line 107 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		_g_object_unref0 (self->priv->search_upgrade_progress_monitor);
#line 107 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		self->priv->search_upgrade_progress_monitor = _tmp16_;
#line 108 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		_tmp17_ = self->priv->search_upgrade_progress_bar;
#line 108 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		_tmp18_ = self->priv->search_upgrade_progress_monitor;
#line 108 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		monitored_progress_bar_set_progress_monitor (_tmp17_, _tmp18_);
#line 110 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		_tmp19_ = self->priv->search_upgrade_progress_monitor;
#line 110 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		g_signal_connect_object (_tmp19_, "start", (GCallback) _search_bar_on_search_upgrade_start_geary_progress_monitor_start, self, 0);
#line 111 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		_tmp20_ = self->priv->search_upgrade_progress_monitor;
#line 111 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		g_signal_connect_object (_tmp20_, "finish", (GCallback) _search_bar_on_search_upgrade_finished_geary_progress_monitor_finish, self, 0);
#line 112 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		_tmp21_ = self->priv->search_upgrade_progress_monitor;
#line 112 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		_tmp22_ = geary_progress_monitor_get_is_in_progress (_tmp21_);
#line 112 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		_tmp23_ = _tmp22_;
#line 112 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		if (_tmp23_) {
#line 113 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
			search_bar_on_search_upgrade_start (self);
#line 609 "search-bar.c"
		}
#line 115 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		_tmp24_ = account;
#line 115 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		_tmp25_ = geary_account_get_information (_tmp24_);
#line 115 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		_tmp26_ = _tmp25_;
#line 115 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		_tmp27_ = g_strconcat ("notify::", GEARY_ACCOUNT_INFORMATION_PROP_NICKNAME, NULL);
#line 115 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		g_signal_connect_object (G_TYPE_CHECK_INSTANCE_CAST (_tmp26_, G_TYPE_OBJECT, GObject), _tmp27_, (GCallback) _search_bar_on_nickname_changed_g_object_notify, self, 0);
#line 115 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		_g_free0 (_tmp27_);
#line 118 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		_tmp28_ = self->priv->search_upgrade_progress_bar;
#line 118 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		_tmp29_ = account;
#line 118 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		_tmp30_ = geary_account_get_information (_tmp29_);
#line 118 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		_tmp31_ = _tmp30_;
#line 118 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		_tmp32_ = geary_account_information_get_nickname (_tmp31_);
#line 118 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		_tmp33_ = _tmp32_;
#line 118 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		_tmp34_ = g_strdup_printf (_ ("Indexing %s account"), _tmp33_);
#line 118 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		_tmp35_ = _tmp34_;
#line 118 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		gtk_progress_bar_set_text (G_TYPE_CHECK_INSTANCE_CAST (_tmp28_, gtk_progress_bar_get_type (), GtkProgressBar), _tmp35_);
#line 118 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		_g_free0 (_tmp35_);
#line 643 "search-bar.c"
	}
#line 121 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	_tmp36_ = account;
#line 121 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	_tmp37_ = _g_object_ref0 (_tmp36_);
#line 121 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	_g_object_unref0 (self->priv->current_account);
#line 121 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	self->priv->current_account = _tmp37_;
#line 123 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	search_bar_on_nickname_changed (self);
#line 655 "search-bar.c"
}


static void search_bar_on_nickname_changed (SearchBar* self) {
	gchar* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
	GearyAccount* _tmp2_;
#line 126 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	g_return_if_fail (IS_SEARCH_BAR (self));
#line 127 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	_tmp2_ = self->priv->current_account;
#line 127 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	if (_tmp2_ == NULL) {
#line 127 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		_tmp1_ = TRUE;
#line 671 "search-bar.c"
	} else {
		GearyApplication* _tmp3_;
		GearyApplication* _tmp4_;
		GearyController* _tmp5_;
		GearyController* _tmp6_;
		gint _tmp7_;
#line 128 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		_tmp3_ = geary_application_get_instance ();
#line 128 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		_tmp4_ = _tmp3_;
#line 128 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		_tmp5_ = geary_application_get_controller (_tmp4_);
#line 128 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		_tmp6_ = _tmp5_;
#line 128 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		_tmp7_ = geary_controller_get_num_accounts (_tmp6_);
#line 128 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		_tmp1_ = _tmp7_ == 1;
#line 690 "search-bar.c"
	}
#line 127 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	if (_tmp1_) {
#line 694 "search-bar.c"
		gchar* _tmp8_;
#line 128 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		_tmp8_ = g_strdup (SEARCH_BAR_DEFAULT_SEARCH_TEXT);
#line 128 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		_g_free0 (_tmp0_);
#line 128 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		_tmp0_ = _tmp8_;
#line 702 "search-bar.c"
	} else {
		GearyAccount* _tmp9_;
		GearyAccountInformation* _tmp10_;
		GearyAccountInformation* _tmp11_;
		const gchar* _tmp12_;
		const gchar* _tmp13_;
		gchar* _tmp14_;
#line 129 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		_tmp9_ = self->priv->current_account;
#line 129 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		_tmp10_ = geary_account_get_information (_tmp9_);
#line 129 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		_tmp11_ = _tmp10_;
#line 129 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		_tmp12_ = geary_account_information_get_nickname (_tmp11_);
#line 129 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		_tmp13_ = _tmp12_;
#line 129 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		_tmp14_ = g_strdup_printf (_ ("Search %s account"), _tmp13_);
#line 129 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		_g_free0 (_tmp0_);
#line 129 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		_tmp0_ = _tmp14_;
#line 726 "search-bar.c"
	}
#line 127 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	search_bar_set_search_placeholder_text (self, _tmp0_);
#line 126 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	_g_free0 (_tmp0_);
#line 732 "search-bar.c"
}


const gchar* search_bar_get_search_text (SearchBar* self) {
	const gchar* result;
	GtkSearchEntry* _tmp0_;
	const gchar* _tmp1_;
	const gchar* _tmp2_;
#line 12 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	g_return_val_if_fail (IS_SEARCH_BAR (self), NULL);
#line 12 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	_tmp0_ = self->priv->search_entry;
#line 12 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	_tmp1_ = gtk_entry_get_text (G_TYPE_CHECK_INSTANCE_CAST (_tmp0_, gtk_entry_get_type (), GtkEntry));
#line 12 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	_tmp2_ = _tmp1_;
#line 12 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	result = _tmp2_;
#line 12 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	return result;
#line 753 "search-bar.c"
}


gboolean search_bar_get_search_entry_has_focus (SearchBar* self) {
	gboolean result;
	GtkSearchEntry* _tmp0_;
	gboolean _tmp1_;
	gboolean _tmp2_;
#line 13 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	g_return_val_if_fail (IS_SEARCH_BAR (self), FALSE);
#line 13 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	_tmp0_ = self->priv->search_entry;
#line 13 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	g_object_get (G_TYPE_CHECK_INSTANCE_CAST (_tmp0_, gtk_widget_get_type (), GtkWidget), "has-focus", &_tmp1_, NULL);
#line 13 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	_tmp2_ = _tmp1_;
#line 13 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	result = _tmp2_;
#line 13 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	return result;
#line 774 "search-bar.c"
}


static void search_bar_class_init (SearchBarClass * klass) {
#line 7 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	search_bar_parent_class = g_type_class_peek_parent (klass);
#line 7 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	g_type_class_add_private (klass, sizeof (SearchBarPrivate));
#line 7 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_search_bar_get_property;
#line 7 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	G_OBJECT_CLASS (klass)->finalize = search_bar_finalize;
#line 7 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), SEARCH_BAR_SEARCH_TEXT, g_param_spec_string ("search-text", "search-text", "search-text", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 7 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), SEARCH_BAR_SEARCH_ENTRY_HAS_FOCUS, g_param_spec_boolean ("search-entry-has-focus", "search-entry-has-focus", "search-entry-has-focus", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 7 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	search_bar_signals[SEARCH_BAR_SEARCH_TEXT_CHANGED_SIGNAL] = g_signal_new ("search_text_changed", TYPE_SEARCH_BAR, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__STRING, G_TYPE_NONE, 1, G_TYPE_STRING);
#line 793 "search-bar.c"
}


static void search_bar_instance_init (SearchBar * self) {
	GtkSearchEntry* _tmp0_;
	MonitoredProgressBar* _tmp1_;
#line 7 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	self->priv = SEARCH_BAR_GET_PRIVATE (self);
#line 15 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	_tmp0_ = (GtkSearchEntry*) gtk_search_entry_new ();
#line 15 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	g_object_ref_sink (_tmp0_);
#line 15 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	self->priv->search_entry = _tmp0_;
#line 16 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	self->priv->search_upgrade_progress_monitor = NULL;
#line 17 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	_tmp1_ = monitored_progress_bar_new ();
#line 17 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	g_object_ref_sink (_tmp1_);
#line 17 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	self->priv->search_upgrade_progress_bar = _tmp1_;
#line 18 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	self->priv->current_account = NULL;
#line 818 "search-bar.c"
}


static void search_bar_finalize (GObject * obj) {
	SearchBar * self;
#line 7 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, TYPE_SEARCH_BAR, SearchBar);
#line 15 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	_g_object_unref0 (self->priv->search_entry);
#line 16 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	_g_object_unref0 (self->priv->search_upgrade_progress_monitor);
#line 17 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	_g_object_unref0 (self->priv->search_upgrade_progress_bar);
#line 18 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	_g_object_unref0 (self->priv->current_account);
#line 7 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	G_OBJECT_CLASS (search_bar_parent_class)->finalize (obj);
#line 836 "search-bar.c"
}


GType search_bar_get_type (void) {
	static volatile gsize search_bar_type_id__volatile = 0;
	if (g_once_init_enter (&search_bar_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (SearchBarClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) search_bar_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (SearchBar), 0, (GInstanceInitFunc) search_bar_instance_init, NULL };
		GType search_bar_type_id;
		search_bar_type_id = g_type_register_static (gtk_search_bar_get_type (), "SearchBar", &g_define_type_info, 0);
		g_once_init_leave (&search_bar_type_id__volatile, search_bar_type_id);
	}
	return search_bar_type_id__volatile;
}


static void _vala_search_bar_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec) {
	SearchBar * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, TYPE_SEARCH_BAR, SearchBar);
#line 7 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
	switch (property_id) {
#line 7 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		case SEARCH_BAR_SEARCH_TEXT:
#line 7 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		g_value_set_string (value, search_bar_get_search_text (self));
#line 7 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		break;
#line 7 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		case SEARCH_BAR_SEARCH_ENTRY_HAS_FOCUS:
#line 7 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		g_value_set_boolean (value, search_bar_get_search_entry_has_focus (self));
#line 7 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		break;
#line 869 "search-bar.c"
		default:
#line 7 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 7 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/components/search-bar.vala"
		break;
#line 875 "search-bar.c"
	}
}



