/* add-edit-page.c generated by valac 0.36.3, the Vala compiler
 * generated from add-edit-page.vala, do not modify */

/* Copyright 2016 Software Freedom Conservancy Inc.
 *
 * This software is licensed under the GNU Lesser General Public License
 * (version 2.1 or later).  See the COPYING file in this distribution.
 */
/* Page for adding or editing an account.*/

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include "webkit/webkit.h"
#include <stdlib.h>
#include <string.h>
#include "geary-static.h"
#include <glib/gi18n-lib.h>
#include <gee.h>


#define TYPE_ADD_EDIT_PAGE (add_edit_page_get_type ())
#define ADD_EDIT_PAGE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_ADD_EDIT_PAGE, AddEditPage))
#define ADD_EDIT_PAGE_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_ADD_EDIT_PAGE, AddEditPageClass))
#define IS_ADD_EDIT_PAGE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_ADD_EDIT_PAGE))
#define IS_ADD_EDIT_PAGE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_ADD_EDIT_PAGE))
#define ADD_EDIT_PAGE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_ADD_EDIT_PAGE, AddEditPageClass))

typedef struct _AddEditPage AddEditPage;
typedef struct _AddEditPageClass AddEditPageClass;
typedef struct _AddEditPagePrivate AddEditPagePrivate;

#define ADD_EDIT_PAGE_TYPE_PAGE_MODE (add_edit_page_page_mode_get_type ())

#define TYPE_STYLISH_WEB_VIEW (stylish_web_view_get_type ())
#define STYLISH_WEB_VIEW(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_STYLISH_WEB_VIEW, StylishWebView))
#define STYLISH_WEB_VIEW_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_STYLISH_WEB_VIEW, StylishWebViewClass))
#define IS_STYLISH_WEB_VIEW(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_STYLISH_WEB_VIEW))
#define IS_STYLISH_WEB_VIEW_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_STYLISH_WEB_VIEW))
#define STYLISH_WEB_VIEW_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_STYLISH_WEB_VIEW, StylishWebViewClass))

typedef struct _StylishWebView StylishWebView;
typedef struct _StylishWebViewClass StylishWebViewClass;

#define ADD_EDIT_PAGE_TYPE_ENCRYPTION (add_edit_page_encryption_get_type ())
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))

#define TYPE_GEARY_APPLICATION (geary_application_get_type ())
#define GEARY_APPLICATION(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_GEARY_APPLICATION, GearyApplication))
#define GEARY_APPLICATION_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_GEARY_APPLICATION, GearyApplicationClass))
#define IS_GEARY_APPLICATION(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_GEARY_APPLICATION))
#define IS_GEARY_APPLICATION_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_GEARY_APPLICATION))
#define GEARY_APPLICATION_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_GEARY_APPLICATION, GearyApplicationClass))

typedef struct _GearyApplication GearyApplication;
typedef struct _GearyApplicationClass GearyApplicationClass;
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
enum  {
	ADD_EDIT_PAGE_INFO_CHANGED_SIGNAL,
	ADD_EDIT_PAGE_SIZE_CHANGED_SIGNAL,
	ADD_EDIT_PAGE_EDIT_ALTERNATE_EMAILS_SIGNAL,
	ADD_EDIT_PAGE_LAST_SIGNAL
};
static guint add_edit_page_signals[ADD_EDIT_PAGE_LAST_SIGNAL] = {0};

struct _AddEditPage {
	GtkBox parent_instance;
	AddEditPagePrivate * priv;
};

struct _AddEditPageClass {
	GtkBoxClass parent_class;
};

typedef enum  {
	ADD_EDIT_PAGE_PAGE_MODE_WELCOME,
	ADD_EDIT_PAGE_PAGE_MODE_ADD,
	ADD_EDIT_PAGE_PAGE_MODE_EDIT
} AddEditPagePageMode;

struct _AddEditPagePrivate {
	AddEditPagePageMode mode;
	GtkWidget* container_widget;
	GtkBox* welcome_box;
	GtkLabel* label_error;
	GtkEntry* entry_email;
	GtkLabel* label_password;
	GtkEntry* entry_password;
	GtkEntry* entry_real_name;
	GtkLabel* label_nickname;
	GtkEntry* entry_nickname;
	GtkComboBoxText* combo_service;
	GtkCheckButton* check_remember_password;
	GtkCheckButton* check_save_sent_mail;
	GtkButton* alternate_email_button;
	GtkBox* composer_container;
	GtkCheckButton* check_use_email_signature;
	GtkStack* signature_stack;
	GtkTextView* textview_email_signature;
	StylishWebView* preview_webview;
	GtkAlignment* other_info;
	GtkEntry* entry_imap_host;
	GtkEntry* entry_imap_port;
	GtkEntry* entry_imap_username;
	GtkEntry* entry_imap_password;
	GtkComboBox* combo_imap_encryption;
	GtkEntry* entry_smtp_host;
	GtkEntry* entry_smtp_port;
	GtkEntry* entry_smtp_username;
	GtkEntry* entry_smtp_password;
	GtkComboBox* combo_smtp_encryption;
	GtkCheckButton* check_smtp_use_imap_credentials;
	GtkCheckButton* check_smtp_noauth;
	GtkCheckButton* check_save_drafts;
	gchar* smtp_username_store;
	gchar* smtp_password_store;
	GtkBox* storage_container;
	GtkComboBoxText* combo_storage_length;
	gboolean edited_imap_port;
	gboolean edited_smtp_port;
	GearyEngineValidationResult last_validation_result;
	gboolean first_ui_update;
};

typedef enum  {
	ADD_EDIT_PAGE_ENCRYPTION_NONE = 0,
	ADD_EDIT_PAGE_ENCRYPTION_SSL = 1,
	ADD_EDIT_PAGE_ENCRYPTION_STARTTLS = 2
} AddEditPageEncryption;


static gpointer add_edit_page_parent_class = NULL;

GType add_edit_page_get_type (void) G_GNUC_CONST;
GType add_edit_page_page_mode_get_type (void) G_GNUC_CONST;
GType stylish_web_view_get_type (void) G_GNUC_CONST;
#define ADD_EDIT_PAGE_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), TYPE_ADD_EDIT_PAGE, AddEditPagePrivate))
enum  {
	ADD_EDIT_PAGE_DUMMY_PROPERTY,
	ADD_EDIT_PAGE_REAL_NAME,
	ADD_EDIT_PAGE_NICKNAME,
	ADD_EDIT_PAGE_EMAIL_ADDRESS,
	ADD_EDIT_PAGE_PASSWORD,
	ADD_EDIT_PAGE_IMAP_USERNAME,
	ADD_EDIT_PAGE_IMAP_PASSWORD,
	ADD_EDIT_PAGE_REMEMBER_PASSWORD,
	ADD_EDIT_PAGE_USE_EMAIL_SIGNATURE,
	ADD_EDIT_PAGE_EMAIL_SIGNATURE,
	ADD_EDIT_PAGE_SAVE_SENT_MAIL,
	ADD_EDIT_PAGE_SMTP_USERNAME,
	ADD_EDIT_PAGE_SMTP_PASSWORD,
	ADD_EDIT_PAGE_IMAP_HOST,
	ADD_EDIT_PAGE_IMAP_SSL,
	ADD_EDIT_PAGE_IMAP_STARTTLS,
	ADD_EDIT_PAGE_SMTP_HOST,
	ADD_EDIT_PAGE_SMTP_SSL,
	ADD_EDIT_PAGE_SMTP_STARTTLS,
	ADD_EDIT_PAGE_SMTP_USE_IMAP_CREDENTIALS,
	ADD_EDIT_PAGE_SMTP_NOAUTH,
	ADD_EDIT_PAGE_SAVE_DRAFTS
};
static GType add_edit_page_encryption_get_type (void) G_GNUC_CONST G_GNUC_UNUSED;
#define ADD_EDIT_PAGE_REAL_NAME_PLACEHOLDER _ ("First Last")
AddEditPage* add_edit_page_new (void);
AddEditPage* add_edit_page_construct (GType object_type);
GType geary_application_get_type (void) G_GNUC_CONST;
GearyApplication* geary_application_get_instance (void);
GtkBuilder* geary_application_create_builder (GearyApplication* self, const gchar* name);
static gboolean add_edit_page_combo_storage_separator_delegate (AddEditPage* self, GtkTreeModel* model, GtkTreeIter* iter);
static gboolean _add_edit_page_combo_storage_separator_delegate_gtk_tree_view_row_separator_func (GtkTreeModel* model, GtkTreeIter* iter, gpointer self);
StylishWebView* stylish_web_view_new (void);
StylishWebView* stylish_web_view_construct (GType object_type);
void add_edit_page_reset_all (AddEditPage* self);
void add_edit_page_update_ui (AddEditPage* self);
static void _add_edit_page_update_ui_gtk_combo_box_changed (GtkComboBox* _sender, gpointer self);
static void add_edit_page_on_changed (AddEditPage* self);
static void _add_edit_page_on_changed_gtk_editable_changed (GtkEditable* _sender, gpointer self);
static void _add_edit_page_on_changed_gtk_toggle_button_toggled (GtkToggleButton* _sender, gpointer self);
static void _add_edit_page_on_changed_gtk_combo_box_changed (GtkComboBox* _sender, gpointer self);
static void add_edit_page_on_alternate_email_button_clicked (AddEditPage* self);
static void _add_edit_page_on_alternate_email_button_clicked_gtk_button_clicked (GtkButton* _sender, gpointer self);
static void add_edit_page_on_email_changed (AddEditPage* self);
static void _add_edit_page_on_email_changed_gtk_editable_changed (GtkEditable* _sender, gpointer self);
static void add_edit_page_on_password_changed (AddEditPage* self);
static void _add_edit_page_on_password_changed_gtk_editable_changed (GtkEditable* _sender, gpointer self);
static void add_edit_page_on_imap_encryption_changed (AddEditPage* self);
static void _add_edit_page_on_imap_encryption_changed_gtk_combo_box_changed (GtkComboBox* _sender, gpointer self);
static void add_edit_page_on_smtp_encryption_changed (AddEditPage* self);
static void _add_edit_page_on_smtp_encryption_changed_gtk_combo_box_changed (GtkComboBox* _sender, gpointer self);
static void __lambda59_ (AddEditPage* self);
static void add_edit_page_on_smtp_auth_changed (AddEditPage* self, gboolean use_imap_credentials_toggled);
static void ___lambda59__gtk_toggle_button_toggled (GtkToggleButton* _sender, gpointer self);
static void __lambda60_ (AddEditPage* self);
static void ___lambda60__gtk_toggle_button_toggled (GtkToggleButton* _sender, gpointer self);
static void add_edit_page_on_port_insert_text (AddEditPage* self, GtkEditable* e, const gchar* text, gint length, gint* position);
static void _add_edit_page_on_port_insert_text_gtk_editable_insert_text (GtkEditable* _sender, const gchar* new_text, gint new_text_length, gint* position, gpointer self);
static void add_edit_page_on_nickname_insert_text (AddEditPage* self, GtkEditable* e, const gchar* text, gint length, gint* position);
static void _add_edit_page_on_nickname_insert_text_gtk_editable_insert_text (GtkEditable* _sender, const gchar* new_text, gint new_text_length, gint* position, gpointer self);
static void add_edit_page_on_signature_stack_changed (AddEditPage* self);
static void _add_edit_page_on_signature_stack_changed_g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self);
static void __lambda61_ (AddEditPage* self);
static void ___lambda61__gtk_widget_map (GtkWidget* _sender, gpointer self);
void add_edit_page_set_account_information (AddEditPage* self, GearyAccountInformation* info, GearyEngineValidationResult _result_);
void add_edit_page_set_all_info (AddEditPage* self, const gchar* initial_real_name, const gchar* initial_nickname, const gchar* initial_email, const gchar* initial_imap_username, const gchar* initial_imap_password, gboolean initial_remember_password, const gchar* initial_smtp_username, const gchar* initial_smtp_password, gint initial_service_provider, gboolean initial_save_sent_mail, gboolean allow_save_sent_mail, const gchar* initial_default_imap_host, guint16 initial_default_imap_port, gboolean initial_default_imap_ssl, gboolean initial_default_imap_starttls, const gchar* initial_default_smtp_host, guint16 initial_default_smtp_port, gboolean initial_default_smtp_ssl, gboolean initial_default_smtp_starttls, gboolean initial_default_smtp_use_imap_credentials, gboolean initial_default_smtp_noauth, gint prefetch_period_days, gboolean initial_save_drafts, gboolean initial_use_email_signature, const gchar* initial_email_signature, GearyEngineValidationResult _result_);
void add_edit_page_set_real_name (AddEditPage* self, const gchar* value);
void add_edit_page_set_nickname (AddEditPage* self, const gchar* value);
void add_edit_page_set_email_address (AddEditPage* self, const gchar* value);
void add_edit_page_set_password (AddEditPage* self, const gchar* value);
void add_edit_page_set_remember_password (AddEditPage* self, gboolean value);
void add_edit_page_set_save_sent_mail (AddEditPage* self, gboolean value);
void add_edit_page_set_service_provider (AddEditPage* self, GearyServiceProvider provider);
void add_edit_page_set_use_email_signature (AddEditPage* self, gboolean value);
void add_edit_page_set_email_signature (AddEditPage* self, const gchar* value);
void add_edit_page_set_imap_host (AddEditPage* self, const gchar* value);
void add_edit_page_set_imap_port (AddEditPage* self, guint16 value);
void add_edit_page_set_imap_username (AddEditPage* self, const gchar* value);
void add_edit_page_set_imap_password (AddEditPage* self, const gchar* value);
void add_edit_page_set_imap_ssl (AddEditPage* self, gboolean value);
void add_edit_page_set_imap_starttls (AddEditPage* self, gboolean value);
void add_edit_page_set_smtp_host (AddEditPage* self, const gchar* value);
void add_edit_page_set_smtp_port (AddEditPage* self, guint16 value);
void add_edit_page_set_smtp_username (AddEditPage* self, const gchar* value);
void add_edit_page_set_smtp_password (AddEditPage* self, const gchar* value);
void add_edit_page_set_smtp_ssl (AddEditPage* self, gboolean value);
void add_edit_page_set_smtp_starttls (AddEditPage* self, gboolean value);
void add_edit_page_set_smtp_use_imap_credentials (AddEditPage* self, gboolean value);
void add_edit_page_set_smtp_noauth (AddEditPage* self, gboolean value);
void add_edit_page_set_save_drafts (AddEditPage* self, gboolean value);
void add_edit_page_set_validation_result (AddEditPage* self, GearyEngineValidationResult _result_);
static void add_edit_page_set_storage_length (AddEditPage* self, gint days);
static gchar* add_edit_page_get_default_real_name (AddEditPage* self);
void add_edit_page_set_mode (AddEditPage* self, AddEditPagePageMode m);
AddEditPagePageMode add_edit_page_get_mode (AddEditPage* self);
static guint16 add_edit_page_get_default_imap_port (AddEditPage* self);
static guint16 add_edit_page_get_default_smtp_port (AddEditPage* self);
gchar* smart_escape (const gchar* text, gboolean preserve_whitespace_in_html);
gchar* add_edit_page_get_email_signature (AddEditPage* self);
gboolean add_edit_page_is_complete (AddEditPage* self);
GearyServiceProvider add_edit_page_get_service_provider (AddEditPage* self);
const gchar* add_edit_page_get_nickname (AddEditPage* self);
const gchar* add_edit_page_get_email_address (AddEditPage* self);
const gchar* add_edit_page_get_imap_host (AddEditPage* self);
guint16 add_edit_page_get_imap_port (AddEditPage* self);
const gchar* add_edit_page_get_imap_username (AddEditPage* self);
const gchar* add_edit_page_get_imap_password (AddEditPage* self);
const gchar* add_edit_page_get_smtp_host (AddEditPage* self);
guint16 add_edit_page_get_smtp_port (AddEditPage* self);
const gchar* add_edit_page_get_smtp_username (AddEditPage* self);
const gchar* add_edit_page_get_smtp_password (AddEditPage* self);
const gchar* add_edit_page_get_password (AddEditPage* self);
GearyAccountInformation* add_edit_page_get_account_information (AddEditPage* self);
static void add_edit_page_fix_credentials_for_supported_provider (AddEditPage* self);
gboolean add_edit_page_get_smtp_use_imap_credentials (AddEditPage* self);
const gchar* add_edit_page_get_real_name (AddEditPage* self);
gboolean add_edit_page_get_remember_password (AddEditPage* self);
gboolean add_edit_page_get_save_sent_mail (AddEditPage* self);
gboolean add_edit_page_get_imap_ssl (AddEditPage* self);
gboolean add_edit_page_get_imap_starttls (AddEditPage* self);
gboolean add_edit_page_get_smtp_ssl (AddEditPage* self);
gboolean add_edit_page_get_smtp_starttls (AddEditPage* self);
gboolean add_edit_page_get_smtp_noauth (AddEditPage* self);
static gint add_edit_page_get_storage_length (AddEditPage* self);
gboolean add_edit_page_get_save_drafts (AddEditPage* self);
gboolean add_edit_page_get_use_email_signature (AddEditPage* self);
void add_edit_page_set_other_info_sensitive (AddEditPage* self, gboolean sensitive);
static void add_edit_page_real_show_all (GtkWidget* base);
static void add_edit_page_finalize (GObject * obj);
static void _vala_add_edit_page_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec);
static void _vala_add_edit_page_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec);


GType add_edit_page_page_mode_get_type (void) {
	static volatile gsize add_edit_page_page_mode_type_id__volatile = 0;
	if (g_once_init_enter (&add_edit_page_page_mode_type_id__volatile)) {
		static const GEnumValue values[] = {{ADD_EDIT_PAGE_PAGE_MODE_WELCOME, "ADD_EDIT_PAGE_PAGE_MODE_WELCOME", "welcome"}, {ADD_EDIT_PAGE_PAGE_MODE_ADD, "ADD_EDIT_PAGE_PAGE_MODE_ADD", "add"}, {ADD_EDIT_PAGE_PAGE_MODE_EDIT, "ADD_EDIT_PAGE_PAGE_MODE_EDIT", "edit"}, {0, NULL, NULL}};
		GType add_edit_page_page_mode_type_id;
		add_edit_page_page_mode_type_id = g_enum_register_static ("AddEditPagePageMode", values);
		g_once_init_leave (&add_edit_page_page_mode_type_id__volatile, add_edit_page_page_mode_type_id);
	}
	return add_edit_page_page_mode_type_id__volatile;
}


static GType add_edit_page_encryption_get_type (void) {
	static volatile gsize add_edit_page_encryption_type_id__volatile = 0;
	if (g_once_init_enter (&add_edit_page_encryption_type_id__volatile)) {
		static const GEnumValue values[] = {{ADD_EDIT_PAGE_ENCRYPTION_NONE, "ADD_EDIT_PAGE_ENCRYPTION_NONE", "none"}, {ADD_EDIT_PAGE_ENCRYPTION_SSL, "ADD_EDIT_PAGE_ENCRYPTION_SSL", "ssl"}, {ADD_EDIT_PAGE_ENCRYPTION_STARTTLS, "ADD_EDIT_PAGE_ENCRYPTION_STARTTLS", "starttls"}, {0, NULL, NULL}};
		GType add_edit_page_encryption_type_id;
		add_edit_page_encryption_type_id = g_enum_register_static ("AddEditPageEncryption", values);
		g_once_init_leave (&add_edit_page_encryption_type_id__volatile, add_edit_page_encryption_type_id);
	}
	return add_edit_page_encryption_type_id__volatile;
}


static gpointer _g_object_ref0 (gpointer self) {
#line 227 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	return self ? g_object_ref (self) : NULL;
#line 301 "add-edit-page.c"
}


static gboolean _add_edit_page_combo_storage_separator_delegate_gtk_tree_view_row_separator_func (GtkTreeModel* model, GtkTreeIter* iter, gpointer self) {
	gboolean result;
	result = add_edit_page_combo_storage_separator_delegate ((AddEditPage*) self, model, iter);
#line 252 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	return result;
#line 310 "add-edit-page.c"
}


static void _add_edit_page_update_ui_gtk_combo_box_changed (GtkComboBox* _sender, gpointer self) {
#line 316 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	add_edit_page_update_ui ((AddEditPage*) self);
#line 317 "add-edit-page.c"
}


static void _add_edit_page_on_changed_gtk_editable_changed (GtkEditable* _sender, gpointer self) {
#line 317 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	add_edit_page_on_changed ((AddEditPage*) self);
#line 324 "add-edit-page.c"
}


static void _add_edit_page_on_changed_gtk_toggle_button_toggled (GtkToggleButton* _sender, gpointer self) {
#line 321 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	add_edit_page_on_changed ((AddEditPage*) self);
#line 331 "add-edit-page.c"
}


static void _add_edit_page_on_changed_gtk_combo_box_changed (GtkComboBox* _sender, gpointer self) {
#line 323 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	add_edit_page_on_changed ((AddEditPage*) self);
#line 338 "add-edit-page.c"
}


static void _add_edit_page_on_alternate_email_button_clicked_gtk_button_clicked (GtkButton* _sender, gpointer self) {
#line 335 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	add_edit_page_on_alternate_email_button_clicked ((AddEditPage*) self);
#line 345 "add-edit-page.c"
}


static void _add_edit_page_on_email_changed_gtk_editable_changed (GtkEditable* _sender, gpointer self) {
#line 337 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	add_edit_page_on_email_changed ((AddEditPage*) self);
#line 352 "add-edit-page.c"
}


static void _add_edit_page_on_password_changed_gtk_editable_changed (GtkEditable* _sender, gpointer self) {
#line 338 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	add_edit_page_on_password_changed ((AddEditPage*) self);
#line 359 "add-edit-page.c"
}


static void _add_edit_page_on_imap_encryption_changed_gtk_combo_box_changed (GtkComboBox* _sender, gpointer self) {
#line 340 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	add_edit_page_on_imap_encryption_changed ((AddEditPage*) self);
#line 366 "add-edit-page.c"
}


static void _add_edit_page_on_smtp_encryption_changed_gtk_combo_box_changed (GtkComboBox* _sender, gpointer self) {
#line 341 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	add_edit_page_on_smtp_encryption_changed ((AddEditPage*) self);
#line 373 "add-edit-page.c"
}


static void __lambda59_ (AddEditPage* self) {
#line 343 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	add_edit_page_on_smtp_auth_changed (self, TRUE);
#line 380 "add-edit-page.c"
}


static void ___lambda59__gtk_toggle_button_toggled (GtkToggleButton* _sender, gpointer self) {
#line 343 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	__lambda59_ ((AddEditPage*) self);
#line 387 "add-edit-page.c"
}


static void __lambda60_ (AddEditPage* self) {
#line 344 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	add_edit_page_on_smtp_auth_changed (self, FALSE);
#line 394 "add-edit-page.c"
}


static void ___lambda60__gtk_toggle_button_toggled (GtkToggleButton* _sender, gpointer self) {
#line 344 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	__lambda60_ ((AddEditPage*) self);
#line 401 "add-edit-page.c"
}


static void _add_edit_page_on_port_insert_text_gtk_editable_insert_text (GtkEditable* _sender, const gchar* new_text, gint new_text_length, gint* position, gpointer self) {
#line 346 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	add_edit_page_on_port_insert_text ((AddEditPage*) self, _sender, new_text, new_text_length, position);
#line 408 "add-edit-page.c"
}


static void _add_edit_page_on_nickname_insert_text_gtk_editable_insert_text (GtkEditable* _sender, const gchar* new_text, gint new_text_length, gint* position, gpointer self) {
#line 349 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	add_edit_page_on_nickname_insert_text ((AddEditPage*) self, _sender, new_text, new_text_length, position);
#line 415 "add-edit-page.c"
}


static void _add_edit_page_on_signature_stack_changed_g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self) {
#line 352 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	add_edit_page_on_signature_stack_changed ((AddEditPage*) self);
#line 422 "add-edit-page.c"
}


static void __lambda61_ (AddEditPage* self) {
#line 355 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	self->priv->first_ui_update = TRUE;
#line 429 "add-edit-page.c"
}


static void ___lambda61__gtk_widget_map (GtkWidget* _sender, gpointer self) {
#line 355 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	__lambda61_ ((AddEditPage*) self);
#line 436 "add-edit-page.c"
}


AddEditPage* add_edit_page_construct (GType object_type) {
	AddEditPage * self = NULL;
	GtkBuilder* builder = NULL;
	GearyApplication* _tmp0_;
	GearyApplication* _tmp1_;
	GtkBuilder* _tmp2_;
	GtkBuilder* _tmp3_;
	GObject* _tmp4_;
	GtkWidget* _tmp5_;
	GtkWidget* _tmp6_;
	GtkBuilder* _tmp7_;
	GObject* _tmp8_;
	GtkBox* _tmp9_;
	GtkLabel* label_welcome = NULL;
	GtkBuilder* _tmp10_;
	GObject* _tmp11_;
	GtkLabel* _tmp12_;
	GtkLabel* _tmp13_;
	gchar* _tmp14_;
	gchar* _tmp15_;
	GtkBuilder* _tmp16_;
	GObject* _tmp17_;
	GtkEntry* _tmp18_;
	GtkEntry* _tmp19_;
	GtkBuilder* _tmp20_;
	GObject* _tmp21_;
	GtkLabel* _tmp22_;
	GtkBuilder* _tmp23_;
	GObject* _tmp24_;
	GtkEntry* _tmp25_;
	GtkBuilder* _tmp26_;
	GObject* _tmp27_;
	GtkComboBoxText* _tmp28_;
	GtkBuilder* _tmp29_;
	GObject* _tmp30_;
	GtkEntry* _tmp31_;
	GtkBuilder* _tmp32_;
	GObject* _tmp33_;
	GtkLabel* _tmp34_;
	GtkBuilder* _tmp35_;
	GObject* _tmp36_;
	GtkEntry* _tmp37_;
	GtkBuilder* _tmp38_;
	GObject* _tmp39_;
	GtkCheckButton* _tmp40_;
	GtkBuilder* _tmp41_;
	GObject* _tmp42_;
	GtkCheckButton* _tmp43_;
	GtkBuilder* _tmp44_;
	GObject* _tmp45_;
	GtkButton* _tmp46_;
	GtkBuilder* _tmp47_;
	GObject* _tmp48_;
	GtkLabel* _tmp49_;
	GtkBuilder* _tmp50_;
	GObject* _tmp51_;
	GtkAlignment* _tmp52_;
	GtkBuilder* _tmp53_;
	GObject* _tmp54_;
	GtkBox* _tmp55_;
	GtkBuilder* _tmp56_;
	GObject* _tmp57_;
	GtkComboBoxText* _tmp58_;
	GtkComboBoxText* _tmp59_;
	GtkComboBoxText* _tmp60_;
	GtkComboBoxText* _tmp61_;
	GtkComboBoxText* _tmp62_;
	GtkComboBoxText* _tmp63_;
	GtkComboBoxText* _tmp64_;
	GtkComboBoxText* _tmp65_;
	GtkComboBoxText* _tmp66_;
	GtkComboBoxText* _tmp67_;
	GtkComboBoxText* _tmp68_;
	GtkBuilder* _tmp69_;
	GObject* _tmp70_;
	GtkBox* _tmp71_;
	GtkBuilder* _tmp72_;
	GObject* _tmp73_;
	GtkCheckButton* _tmp74_;
	GtkScrolledWindow* edit_window = NULL;
	GtkScrolledWindow* _tmp75_;
	GtkScrolledWindow* _tmp76_;
	GtkScrolledWindow* _tmp77_;
	GtkTextView* _tmp78_;
	GtkScrolledWindow* _tmp79_;
	GtkTextView* _tmp80_;
	GtkScrolledWindow* preview_window = NULL;
	GtkScrolledWindow* _tmp81_;
	GtkScrolledWindow* _tmp82_;
	GtkScrolledWindow* _tmp83_;
	StylishWebView* _tmp84_;
	GtkScrolledWindow* _tmp85_;
	StylishWebView* _tmp86_;
	GtkStack* _tmp87_;
	GtkStack* _tmp88_;
	GtkScrolledWindow* _tmp89_;
	GtkStack* _tmp90_;
	GtkScrolledWindow* _tmp91_;
	GValue _tmp92_ = {0};
	GtkStack* _tmp93_;
	GtkScrolledWindow* _tmp94_;
	GtkStack* _tmp95_;
	GtkScrolledWindow* _tmp96_;
	GValue _tmp97_ = {0};
	GtkStackSwitcher* switcher = NULL;
	GtkStackSwitcher* _tmp98_;
	GtkStackSwitcher* _tmp99_;
	GtkStack* _tmp100_;
	GtkBox* signature_box = NULL;
	GtkBuilder* _tmp101_;
	GObject* _tmp102_;
	GtkBox* _tmp103_;
	GtkBox* _tmp104_;
	GtkBox* _tmp105_;
	GtkStack* _tmp106_;
	GtkStackSwitcher* _tmp107_;
	GtkBox* _tmp108_;
	GtkStackSwitcher* _tmp109_;
	GtkBuilder* _tmp110_;
	GObject* _tmp111_;
	GtkEntry* _tmp112_;
	GtkBuilder* _tmp113_;
	GObject* _tmp114_;
	GtkEntry* _tmp115_;
	GtkBuilder* _tmp116_;
	GObject* _tmp117_;
	GtkEntry* _tmp118_;
	GtkBuilder* _tmp119_;
	GObject* _tmp120_;
	GtkEntry* _tmp121_;
	GtkBuilder* _tmp122_;
	GObject* _tmp123_;
	GtkComboBox* _tmp124_;
	GtkBuilder* _tmp125_;
	GObject* _tmp126_;
	GtkEntry* _tmp127_;
	GtkBuilder* _tmp128_;
	GObject* _tmp129_;
	GtkEntry* _tmp130_;
	GtkBuilder* _tmp131_;
	GObject* _tmp132_;
	GtkEntry* _tmp133_;
	GtkBuilder* _tmp134_;
	GObject* _tmp135_;
	GtkEntry* _tmp136_;
	GtkBuilder* _tmp137_;
	GObject* _tmp138_;
	GtkComboBox* _tmp139_;
	GtkBuilder* _tmp140_;
	GObject* _tmp141_;
	GtkCheckButton* _tmp142_;
	GtkBuilder* _tmp143_;
	GObject* _tmp144_;
	GtkCheckButton* _tmp145_;
	GtkBuilder* _tmp146_;
	GObject* _tmp147_;
	GtkCheckButton* _tmp148_;
	gint _tmp149_;
	GearyServiceProvider* _tmp150_;
	GtkComboBoxText* _tmp155_;
	GtkEntry* _tmp156_;
	GtkEntry* _tmp157_;
	GtkEntry* _tmp158_;
	GtkEntry* _tmp159_;
	GtkCheckButton* _tmp160_;
	GtkCheckButton* _tmp161_;
	GtkComboBoxText* _tmp162_;
	GtkEntry* _tmp163_;
	GtkEntry* _tmp164_;
	GtkEntry* _tmp165_;
	GtkEntry* _tmp166_;
	GtkEntry* _tmp167_;
	GtkEntry* _tmp168_;
	GtkEntry* _tmp169_;
	GtkEntry* _tmp170_;
	GtkCheckButton* _tmp171_;
	GtkCheckButton* _tmp172_;
	GtkCheckButton* _tmp173_;
	GtkButton* _tmp174_;
	GtkEntry* _tmp175_;
	GtkEntry* _tmp176_;
	GtkComboBox* _tmp177_;
	GtkComboBox* _tmp178_;
	GtkCheckButton* _tmp179_;
	GtkCheckButton* _tmp180_;
	GtkEntry* _tmp181_;
	GtkEntry* _tmp182_;
	GtkEntry* _tmp183_;
	GtkCheckButton* _tmp184_;
	GtkBox* _tmp185_;
	GtkStack* _tmp186_;
#line 222 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	self = (AddEditPage*) g_object_new (object_type, "orientation", GTK_ORIENTATION_VERTICAL, "spacing", 4, NULL);
#line 224 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp0_ = geary_application_get_instance ();
#line 224 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp1_ = _tmp0_;
#line 224 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp2_ = geary_application_create_builder (_tmp1_, "login.glade");
#line 224 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	builder = _tmp2_;
#line 227 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp3_ = builder;
#line 227 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp4_ = gtk_builder_get_object (_tmp3_, "container");
#line 227 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp5_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp4_, gtk_widget_get_type (), GtkWidget));
#line 227 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_object_unref0 (self->priv->container_widget);
#line 227 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	self->priv->container_widget = _tmp5_;
#line 228 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp6_ = self->priv->container_widget;
#line 228 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_box_pack_start (G_TYPE_CHECK_INSTANCE_CAST (self, gtk_box_get_type (), GtkBox), _tmp6_, TRUE, TRUE, (guint) 0);
#line 230 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp7_ = builder;
#line 230 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp8_ = gtk_builder_get_object (_tmp7_, "welcome_box");
#line 230 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp9_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp8_, gtk_box_get_type (), GtkBox));
#line 230 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_object_unref0 (self->priv->welcome_box);
#line 230 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	self->priv->welcome_box = _tmp9_;
#line 231 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp10_ = builder;
#line 231 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp11_ = gtk_builder_get_object (_tmp10_, "label-welcome");
#line 231 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp12_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp11_, gtk_label_get_type (), GtkLabel));
#line 231 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	label_welcome = _tmp12_;
#line 232 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp13_ = label_welcome;
#line 232 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp14_ = g_strdup_printf ("<span size=\"large\"><b>%s</b></span>\n%s", _ ("Welcome to Geary."), _ ("Enter your account information to get started."));
#line 232 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp15_ = _tmp14_;
#line 232 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_label_set_markup (_tmp13_, _tmp15_);
#line 232 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_free0 (_tmp15_);
#line 235 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp16_ = builder;
#line 235 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp17_ = gtk_builder_get_object (_tmp16_, "entry: real_name");
#line 235 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp18_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp17_, gtk_entry_get_type (), GtkEntry));
#line 235 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_object_unref0 (self->priv->entry_real_name);
#line 235 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	self->priv->entry_real_name = _tmp18_;
#line 236 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp19_ = self->priv->entry_real_name;
#line 236 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_entry_set_placeholder_text (_tmp19_, ADD_EDIT_PAGE_REAL_NAME_PLACEHOLDER);
#line 237 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp20_ = builder;
#line 237 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp21_ = gtk_builder_get_object (_tmp20_, "label: nickname");
#line 237 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp22_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp21_, gtk_label_get_type (), GtkLabel));
#line 237 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_object_unref0 (self->priv->label_nickname);
#line 237 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	self->priv->label_nickname = _tmp22_;
#line 238 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp23_ = builder;
#line 238 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp24_ = gtk_builder_get_object (_tmp23_, "entry: nickname");
#line 238 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp25_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp24_, gtk_entry_get_type (), GtkEntry));
#line 238 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_object_unref0 (self->priv->entry_nickname);
#line 238 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	self->priv->entry_nickname = _tmp25_;
#line 239 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp26_ = builder;
#line 239 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp27_ = gtk_builder_get_object (_tmp26_, "combo: service");
#line 239 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp28_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp27_, gtk_combo_box_text_get_type (), GtkComboBoxText));
#line 239 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_object_unref0 (self->priv->combo_service);
#line 239 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	self->priv->combo_service = _tmp28_;
#line 240 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp29_ = builder;
#line 240 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp30_ = gtk_builder_get_object (_tmp29_, "entry: email");
#line 240 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp31_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp30_, gtk_entry_get_type (), GtkEntry));
#line 240 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_object_unref0 (self->priv->entry_email);
#line 240 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	self->priv->entry_email = _tmp31_;
#line 241 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp32_ = builder;
#line 241 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp33_ = gtk_builder_get_object (_tmp32_, "label: password");
#line 241 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp34_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp33_, gtk_label_get_type (), GtkLabel));
#line 241 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_object_unref0 (self->priv->label_password);
#line 241 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	self->priv->label_password = _tmp34_;
#line 242 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp35_ = builder;
#line 242 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp36_ = gtk_builder_get_object (_tmp35_, "entry: password");
#line 242 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp37_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp36_, gtk_entry_get_type (), GtkEntry));
#line 242 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_object_unref0 (self->priv->entry_password);
#line 242 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	self->priv->entry_password = _tmp37_;
#line 243 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp38_ = builder;
#line 243 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp39_ = gtk_builder_get_object (_tmp38_, "check: remember_password");
#line 243 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp40_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp39_, gtk_check_button_get_type (), GtkCheckButton));
#line 243 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_object_unref0 (self->priv->check_remember_password);
#line 243 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	self->priv->check_remember_password = _tmp40_;
#line 244 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp41_ = builder;
#line 244 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp42_ = gtk_builder_get_object (_tmp41_, "check: save_sent_mail");
#line 244 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp43_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp42_, gtk_check_button_get_type (), GtkCheckButton));
#line 244 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_object_unref0 (self->priv->check_save_sent_mail);
#line 244 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	self->priv->check_save_sent_mail = _tmp43_;
#line 245 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp44_ = builder;
#line 245 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp45_ = gtk_builder_get_object (_tmp44_, "button: edit_alternate_email");
#line 245 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp46_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp45_, gtk_button_get_type (), GtkButton));
#line 245 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_object_unref0 (self->priv->alternate_email_button);
#line 245 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	self->priv->alternate_email_button = _tmp46_;
#line 246 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp47_ = builder;
#line 246 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp48_ = gtk_builder_get_object (_tmp47_, "label: error");
#line 246 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp49_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp48_, gtk_label_get_type (), GtkLabel));
#line 246 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_object_unref0 (self->priv->label_error);
#line 246 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	self->priv->label_error = _tmp49_;
#line 247 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp50_ = builder;
#line 247 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp51_ = gtk_builder_get_object (_tmp50_, "container: other_info");
#line 247 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp52_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp51_, gtk_alignment_get_type (), GtkAlignment));
#line 247 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_object_unref0 (self->priv->other_info);
#line 247 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	self->priv->other_info = _tmp52_;
#line 250 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp53_ = builder;
#line 250 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp54_ = gtk_builder_get_object (_tmp53_, "storage container");
#line 250 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp55_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp54_, gtk_box_get_type (), GtkBox));
#line 250 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_object_unref0 (self->priv->storage_container);
#line 250 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	self->priv->storage_container = _tmp55_;
#line 251 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp56_ = builder;
#line 251 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp57_ = gtk_builder_get_object (_tmp56_, "combo: storage");
#line 251 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp58_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp57_, gtk_combo_box_text_get_type (), GtkComboBoxText));
#line 251 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_object_unref0 (self->priv->combo_storage_length);
#line 251 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	self->priv->combo_storage_length = _tmp58_;
#line 252 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp59_ = self->priv->combo_storage_length;
#line 252 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_combo_box_set_row_separator_func (G_TYPE_CHECK_INSTANCE_CAST (_tmp59_, gtk_combo_box_get_type (), GtkComboBox), _add_edit_page_combo_storage_separator_delegate_gtk_tree_view_row_separator_func, g_object_ref (self), g_object_unref);
#line 253 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp60_ = self->priv->combo_storage_length;
#line 253 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_combo_box_text_append (_tmp60_, "14", _ ("2 weeks back"));
#line 254 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp61_ = self->priv->combo_storage_length;
#line 254 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_combo_box_text_append (_tmp61_, "30", _ ("1 month back"));
#line 255 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp62_ = self->priv->combo_storage_length;
#line 255 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_combo_box_text_append (_tmp62_, "90", _ ("3 months back"));
#line 256 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp63_ = self->priv->combo_storage_length;
#line 256 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_combo_box_text_append (_tmp63_, "180", _ ("6 months back"));
#line 257 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp64_ = self->priv->combo_storage_length;
#line 257 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_combo_box_text_append (_tmp64_, "365", _ ("1 year back"));
#line 258 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp65_ = self->priv->combo_storage_length;
#line 258 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_combo_box_text_append (_tmp65_, "730", _ ("2 years back"));
#line 259 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp66_ = self->priv->combo_storage_length;
#line 259 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_combo_box_text_append (_tmp66_, "1461", _ ("4 years back"));
#line 260 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp67_ = self->priv->combo_storage_length;
#line 260 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_combo_box_text_append (_tmp67_, ".", ".");
#line 261 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp68_ = self->priv->combo_storage_length;
#line 261 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_combo_box_text_append (_tmp68_, "-1", _ ("Everything"));
#line 264 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp69_ = builder;
#line 264 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp70_ = gtk_builder_get_object (_tmp69_, "composer container");
#line 264 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp71_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp70_, gtk_box_get_type (), GtkBox));
#line 264 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_object_unref0 (self->priv->composer_container);
#line 264 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	self->priv->composer_container = _tmp71_;
#line 265 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp72_ = builder;
#line 265 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp73_ = gtk_builder_get_object (_tmp72_, "check: use_email_signature");
#line 265 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp74_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp73_, gtk_check_button_get_type (), GtkCheckButton));
#line 265 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_object_unref0 (self->priv->check_use_email_signature);
#line 265 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	self->priv->check_use_email_signature = _tmp74_;
#line 267 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp75_ = (GtkScrolledWindow*) gtk_scrolled_window_new (NULL, NULL);
#line 267 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_object_ref_sink (_tmp75_);
#line 267 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	edit_window = _tmp75_;
#line 268 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp76_ = edit_window;
#line 268 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_scrolled_window_set_policy (_tmp76_, GTK_POLICY_AUTOMATIC, GTK_POLICY_AUTOMATIC);
#line 269 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp77_ = edit_window;
#line 269 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_scrolled_window_set_shadow_type (_tmp77_, GTK_SHADOW_IN);
#line 270 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp78_ = (GtkTextView*) gtk_text_view_new ();
#line 270 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_object_ref_sink (_tmp78_);
#line 270 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_object_unref0 (self->priv->textview_email_signature);
#line 270 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	self->priv->textview_email_signature = _tmp78_;
#line 271 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp79_ = edit_window;
#line 271 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp80_ = self->priv->textview_email_signature;
#line 271 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_container_add (G_TYPE_CHECK_INSTANCE_CAST (_tmp79_, gtk_container_get_type (), GtkContainer), G_TYPE_CHECK_INSTANCE_CAST (_tmp80_, gtk_widget_get_type (), GtkWidget));
#line 273 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp81_ = (GtkScrolledWindow*) gtk_scrolled_window_new (NULL, NULL);
#line 273 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_object_ref_sink (_tmp81_);
#line 273 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	preview_window = _tmp81_;
#line 274 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp82_ = preview_window;
#line 274 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_scrolled_window_set_policy (_tmp82_, GTK_POLICY_AUTOMATIC, GTK_POLICY_AUTOMATIC);
#line 275 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp83_ = preview_window;
#line 275 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_scrolled_window_set_shadow_type (_tmp83_, GTK_SHADOW_IN);
#line 276 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp84_ = stylish_web_view_new ();
#line 276 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_object_ref_sink (_tmp84_);
#line 276 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_object_unref0 (self->priv->preview_webview);
#line 276 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	self->priv->preview_webview = _tmp84_;
#line 277 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp85_ = preview_window;
#line 277 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp86_ = self->priv->preview_webview;
#line 277 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_container_add (G_TYPE_CHECK_INSTANCE_CAST (_tmp85_, gtk_container_get_type (), GtkContainer), G_TYPE_CHECK_INSTANCE_CAST (_tmp86_, gtk_widget_get_type (), GtkWidget));
#line 279 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp87_ = (GtkStack*) gtk_stack_new ();
#line 279 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_object_ref_sink (_tmp87_);
#line 279 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_object_unref0 (self->priv->signature_stack);
#line 279 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	self->priv->signature_stack = _tmp87_;
#line 280 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp88_ = self->priv->signature_stack;
#line 280 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp89_ = edit_window;
#line 280 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_stack_add_titled (_tmp88_, G_TYPE_CHECK_INSTANCE_CAST (_tmp89_, gtk_widget_get_type (), GtkWidget), "edit_window", _ ("Edit"));
#line 281 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp90_ = self->priv->signature_stack;
#line 281 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp91_ = edit_window;
#line 281 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_value_init (&_tmp92_, G_TYPE_STRING);
#line 281 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_value_set_string (&_tmp92_, "text-editor-symbolic");
#line 281 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_container_child_set_property (G_TYPE_CHECK_INSTANCE_CAST (_tmp90_, gtk_container_get_type (), GtkContainer), G_TYPE_CHECK_INSTANCE_CAST (_tmp91_, gtk_widget_get_type (), GtkWidget), "icon-name", &_tmp92_);
#line 281 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	G_IS_VALUE (&_tmp92_) ? (g_value_unset (&_tmp92_), NULL) : NULL;
#line 282 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp93_ = self->priv->signature_stack;
#line 282 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp94_ = preview_window;
#line 282 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_stack_add_titled (_tmp93_, G_TYPE_CHECK_INSTANCE_CAST (_tmp94_, gtk_widget_get_type (), GtkWidget), "preview_window", _ ("Preview"));
#line 283 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp95_ = self->priv->signature_stack;
#line 283 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp96_ = preview_window;
#line 283 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_value_init (&_tmp97_, G_TYPE_STRING);
#line 283 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_value_set_string (&_tmp97_, "text-x-generic-symbolic");
#line 283 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_container_child_set_property (G_TYPE_CHECK_INSTANCE_CAST (_tmp95_, gtk_container_get_type (), GtkContainer), G_TYPE_CHECK_INSTANCE_CAST (_tmp96_, gtk_widget_get_type (), GtkWidget), "icon-name", &_tmp97_);
#line 283 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	G_IS_VALUE (&_tmp97_) ? (g_value_unset (&_tmp97_), NULL) : NULL;
#line 284 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp98_ = (GtkStackSwitcher*) gtk_stack_switcher_new ();
#line 284 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_object_ref_sink (_tmp98_);
#line 284 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	switcher = _tmp98_;
#line 285 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp99_ = switcher;
#line 285 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp100_ = self->priv->signature_stack;
#line 285 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_stack_switcher_set_stack (_tmp99_, _tmp100_);
#line 287 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp101_ = builder;
#line 287 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp102_ = gtk_builder_get_object (_tmp101_, "signature box");
#line 287 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp103_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp102_, gtk_box_get_type (), GtkBox));
#line 287 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	signature_box = _tmp103_;
#line 288 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp104_ = signature_box;
#line 288 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_box_set_spacing (_tmp104_, 4);
#line 289 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp105_ = signature_box;
#line 289 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp106_ = self->priv->signature_stack;
#line 289 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_box_pack_start (_tmp105_, G_TYPE_CHECK_INSTANCE_CAST (_tmp106_, gtk_widget_get_type (), GtkWidget), TRUE, TRUE, (guint) 0);
#line 290 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp107_ = switcher;
#line 290 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_widget_set_valign (G_TYPE_CHECK_INSTANCE_CAST (_tmp107_, gtk_widget_get_type (), GtkWidget), GTK_ALIGN_START);
#line 291 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp108_ = signature_box;
#line 291 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp109_ = switcher;
#line 291 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_box_pack_start (_tmp108_, G_TYPE_CHECK_INSTANCE_CAST (_tmp109_, gtk_widget_get_type (), GtkWidget), FALSE, FALSE, (guint) 0);
#line 294 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp110_ = builder;
#line 294 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp111_ = gtk_builder_get_object (_tmp110_, "entry: imap host");
#line 294 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp112_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp111_, gtk_entry_get_type (), GtkEntry));
#line 294 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_object_unref0 (self->priv->entry_imap_host);
#line 294 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	self->priv->entry_imap_host = _tmp112_;
#line 295 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp113_ = builder;
#line 295 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp114_ = gtk_builder_get_object (_tmp113_, "entry: imap port");
#line 295 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp115_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp114_, gtk_entry_get_type (), GtkEntry));
#line 295 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_object_unref0 (self->priv->entry_imap_port);
#line 295 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	self->priv->entry_imap_port = _tmp115_;
#line 296 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp116_ = builder;
#line 296 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp117_ = gtk_builder_get_object (_tmp116_, "entry: imap username");
#line 296 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp118_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp117_, gtk_entry_get_type (), GtkEntry));
#line 296 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_object_unref0 (self->priv->entry_imap_username);
#line 296 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	self->priv->entry_imap_username = _tmp118_;
#line 297 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp119_ = builder;
#line 297 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp120_ = gtk_builder_get_object (_tmp119_, "entry: imap password");
#line 297 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp121_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp120_, gtk_entry_get_type (), GtkEntry));
#line 297 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_object_unref0 (self->priv->entry_imap_password);
#line 297 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	self->priv->entry_imap_password = _tmp121_;
#line 298 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp122_ = builder;
#line 298 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp123_ = gtk_builder_get_object (_tmp122_, "combo: imap encryption");
#line 298 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp124_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp123_, gtk_combo_box_get_type (), GtkComboBox));
#line 298 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_object_unref0 (self->priv->combo_imap_encryption);
#line 298 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	self->priv->combo_imap_encryption = _tmp124_;
#line 301 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp125_ = builder;
#line 301 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp126_ = gtk_builder_get_object (_tmp125_, "entry: smtp host");
#line 301 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp127_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp126_, gtk_entry_get_type (), GtkEntry));
#line 301 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_object_unref0 (self->priv->entry_smtp_host);
#line 301 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	self->priv->entry_smtp_host = _tmp127_;
#line 302 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp128_ = builder;
#line 302 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp129_ = gtk_builder_get_object (_tmp128_, "entry: smtp port");
#line 302 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp130_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp129_, gtk_entry_get_type (), GtkEntry));
#line 302 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_object_unref0 (self->priv->entry_smtp_port);
#line 302 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	self->priv->entry_smtp_port = _tmp130_;
#line 303 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp131_ = builder;
#line 303 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp132_ = gtk_builder_get_object (_tmp131_, "entry: smtp username");
#line 303 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp133_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp132_, gtk_entry_get_type (), GtkEntry));
#line 303 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_object_unref0 (self->priv->entry_smtp_username);
#line 303 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	self->priv->entry_smtp_username = _tmp133_;
#line 304 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp134_ = builder;
#line 304 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp135_ = gtk_builder_get_object (_tmp134_, "entry: smtp password");
#line 304 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp136_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp135_, gtk_entry_get_type (), GtkEntry));
#line 304 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_object_unref0 (self->priv->entry_smtp_password);
#line 304 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	self->priv->entry_smtp_password = _tmp136_;
#line 305 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp137_ = builder;
#line 305 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp138_ = gtk_builder_get_object (_tmp137_, "combo: smtp encryption");
#line 305 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp139_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp138_, gtk_combo_box_get_type (), GtkComboBox));
#line 305 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_object_unref0 (self->priv->combo_smtp_encryption);
#line 305 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	self->priv->combo_smtp_encryption = _tmp139_;
#line 306 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp140_ = builder;
#line 306 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp141_ = gtk_builder_get_object (_tmp140_, "check: use imap credentials");
#line 306 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp142_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp141_, gtk_check_button_get_type (), GtkCheckButton));
#line 306 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_object_unref0 (self->priv->check_smtp_use_imap_credentials);
#line 306 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	self->priv->check_smtp_use_imap_credentials = _tmp142_;
#line 307 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp143_ = builder;
#line 307 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp144_ = gtk_builder_get_object (_tmp143_, "check: smtp no authentication");
#line 307 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp145_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp144_, gtk_check_button_get_type (), GtkCheckButton));
#line 307 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_object_unref0 (self->priv->check_smtp_noauth);
#line 307 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	self->priv->check_smtp_noauth = _tmp145_;
#line 308 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp146_ = builder;
#line 308 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp147_ = gtk_builder_get_object (_tmp146_, "check: save_drafts");
#line 308 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp148_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp147_, gtk_check_button_get_type (), GtkCheckButton));
#line 308 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_object_unref0 (self->priv->check_save_drafts);
#line 308 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	self->priv->check_save_drafts = _tmp148_;
#line 311 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp150_ = geary_service_provider_get_providers (&_tmp149_);
#line 1159 "add-edit-page.c"
	{
		GearyServiceProvider* p_collection = NULL;
		gint p_collection_length1 = 0;
		gint _p_collection_size_ = 0;
		gint p_it = 0;
#line 311 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		p_collection = _tmp150_;
#line 311 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		p_collection_length1 = _tmp149_;
#line 311 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		for (p_it = 0; p_it < _tmp149_; p_it = p_it + 1) {
#line 1171 "add-edit-page.c"
			GearyServiceProvider p = 0;
#line 311 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			p = p_collection[p_it];
#line 1175 "add-edit-page.c"
			{
				GtkComboBoxText* _tmp151_;
				GearyServiceProvider _tmp152_;
				gchar* _tmp153_;
				gchar* _tmp154_;
#line 312 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp151_ = self->priv->combo_service;
#line 312 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp152_ = p;
#line 312 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp153_ = geary_service_provider_display_name (_tmp152_);
#line 312 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp154_ = _tmp153_;
#line 312 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				gtk_combo_box_text_append_text (_tmp151_, _tmp154_);
#line 312 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_g_free0 (_tmp154_);
#line 1193 "add-edit-page.c"
			}
		}
#line 311 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		p_collection = (g_free (p_collection), NULL);
#line 1198 "add-edit-page.c"
	}
#line 314 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	add_edit_page_reset_all (self);
#line 316 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp155_ = self->priv->combo_service;
#line 316 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_signal_connect_object (G_TYPE_CHECK_INSTANCE_CAST (_tmp155_, gtk_combo_box_get_type (), GtkComboBox), "changed", (GCallback) _add_edit_page_update_ui_gtk_combo_box_changed, self, 0);
#line 317 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp156_ = self->priv->entry_email;
#line 317 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_signal_connect_object (G_TYPE_CHECK_INSTANCE_CAST (_tmp156_, GTK_TYPE_EDITABLE, GtkEditable), "changed", (GCallback) _add_edit_page_on_changed_gtk_editable_changed, self, 0);
#line 318 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp157_ = self->priv->entry_password;
#line 318 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_signal_connect_object (G_TYPE_CHECK_INSTANCE_CAST (_tmp157_, GTK_TYPE_EDITABLE, GtkEditable), "changed", (GCallback) _add_edit_page_on_changed_gtk_editable_changed, self, 0);
#line 319 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp158_ = self->priv->entry_real_name;
#line 319 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_signal_connect_object (G_TYPE_CHECK_INSTANCE_CAST (_tmp158_, GTK_TYPE_EDITABLE, GtkEditable), "changed", (GCallback) _add_edit_page_on_changed_gtk_editable_changed, self, 0);
#line 320 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp159_ = self->priv->entry_nickname;
#line 320 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_signal_connect_object (G_TYPE_CHECK_INSTANCE_CAST (_tmp159_, GTK_TYPE_EDITABLE, GtkEditable), "changed", (GCallback) _add_edit_page_on_changed_gtk_editable_changed, self, 0);
#line 321 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp160_ = self->priv->check_remember_password;
#line 321 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_signal_connect_object (G_TYPE_CHECK_INSTANCE_CAST (_tmp160_, gtk_toggle_button_get_type (), GtkToggleButton), "toggled", (GCallback) _add_edit_page_on_changed_gtk_toggle_button_toggled, self, 0);
#line 322 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp161_ = self->priv->check_save_sent_mail;
#line 322 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_signal_connect_object (G_TYPE_CHECK_INSTANCE_CAST (_tmp161_, gtk_toggle_button_get_type (), GtkToggleButton), "toggled", (GCallback) _add_edit_page_on_changed_gtk_toggle_button_toggled, self, 0);
#line 323 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp162_ = self->priv->combo_service;
#line 323 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_signal_connect_object (G_TYPE_CHECK_INSTANCE_CAST (_tmp162_, gtk_combo_box_get_type (), GtkComboBox), "changed", (GCallback) _add_edit_page_on_changed_gtk_combo_box_changed, self, 0);
#line 324 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp163_ = self->priv->entry_imap_host;
#line 324 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_signal_connect_object (G_TYPE_CHECK_INSTANCE_CAST (_tmp163_, GTK_TYPE_EDITABLE, GtkEditable), "changed", (GCallback) _add_edit_page_on_changed_gtk_editable_changed, self, 0);
#line 325 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp164_ = self->priv->entry_imap_port;
#line 325 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_signal_connect_object (G_TYPE_CHECK_INSTANCE_CAST (_tmp164_, GTK_TYPE_EDITABLE, GtkEditable), "changed", (GCallback) _add_edit_page_on_changed_gtk_editable_changed, self, 0);
#line 326 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp165_ = self->priv->entry_imap_username;
#line 326 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_signal_connect_object (G_TYPE_CHECK_INSTANCE_CAST (_tmp165_, GTK_TYPE_EDITABLE, GtkEditable), "changed", (GCallback) _add_edit_page_on_changed_gtk_editable_changed, self, 0);
#line 327 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp166_ = self->priv->entry_imap_password;
#line 327 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_signal_connect_object (G_TYPE_CHECK_INSTANCE_CAST (_tmp166_, GTK_TYPE_EDITABLE, GtkEditable), "changed", (GCallback) _add_edit_page_on_changed_gtk_editable_changed, self, 0);
#line 328 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp167_ = self->priv->entry_smtp_host;
#line 328 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_signal_connect_object (G_TYPE_CHECK_INSTANCE_CAST (_tmp167_, GTK_TYPE_EDITABLE, GtkEditable), "changed", (GCallback) _add_edit_page_on_changed_gtk_editable_changed, self, 0);
#line 329 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp168_ = self->priv->entry_smtp_port;
#line 329 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_signal_connect_object (G_TYPE_CHECK_INSTANCE_CAST (_tmp168_, GTK_TYPE_EDITABLE, GtkEditable), "changed", (GCallback) _add_edit_page_on_changed_gtk_editable_changed, self, 0);
#line 330 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp169_ = self->priv->entry_smtp_username;
#line 330 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_signal_connect_object (G_TYPE_CHECK_INSTANCE_CAST (_tmp169_, GTK_TYPE_EDITABLE, GtkEditable), "changed", (GCallback) _add_edit_page_on_changed_gtk_editable_changed, self, 0);
#line 331 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp170_ = self->priv->entry_smtp_password;
#line 331 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_signal_connect_object (G_TYPE_CHECK_INSTANCE_CAST (_tmp170_, GTK_TYPE_EDITABLE, GtkEditable), "changed", (GCallback) _add_edit_page_on_changed_gtk_editable_changed, self, 0);
#line 332 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp171_ = self->priv->check_smtp_use_imap_credentials;
#line 332 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_signal_connect_object (G_TYPE_CHECK_INSTANCE_CAST (_tmp171_, gtk_toggle_button_get_type (), GtkToggleButton), "toggled", (GCallback) _add_edit_page_on_changed_gtk_toggle_button_toggled, self, 0);
#line 333 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp172_ = self->priv->check_smtp_noauth;
#line 333 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_signal_connect_object (G_TYPE_CHECK_INSTANCE_CAST (_tmp172_, gtk_toggle_button_get_type (), GtkToggleButton), "toggled", (GCallback) _add_edit_page_on_changed_gtk_toggle_button_toggled, self, 0);
#line 334 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp173_ = self->priv->check_save_drafts;
#line 334 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_signal_connect_object (G_TYPE_CHECK_INSTANCE_CAST (_tmp173_, gtk_toggle_button_get_type (), GtkToggleButton), "toggled", (GCallback) _add_edit_page_on_changed_gtk_toggle_button_toggled, self, 0);
#line 335 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp174_ = self->priv->alternate_email_button;
#line 335 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_signal_connect_object (_tmp174_, "clicked", (GCallback) _add_edit_page_on_alternate_email_button_clicked_gtk_button_clicked, self, 0);
#line 337 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp175_ = self->priv->entry_email;
#line 337 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_signal_connect_object (G_TYPE_CHECK_INSTANCE_CAST (_tmp175_, GTK_TYPE_EDITABLE, GtkEditable), "changed", (GCallback) _add_edit_page_on_email_changed_gtk_editable_changed, self, 0);
#line 338 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp176_ = self->priv->entry_password;
#line 338 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_signal_connect_object (G_TYPE_CHECK_INSTANCE_CAST (_tmp176_, GTK_TYPE_EDITABLE, GtkEditable), "changed", (GCallback) _add_edit_page_on_password_changed_gtk_editable_changed, self, 0);
#line 340 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp177_ = self->priv->combo_imap_encryption;
#line 340 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_signal_connect_object (_tmp177_, "changed", (GCallback) _add_edit_page_on_imap_encryption_changed_gtk_combo_box_changed, self, 0);
#line 341 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp178_ = self->priv->combo_smtp_encryption;
#line 341 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_signal_connect_object (_tmp178_, "changed", (GCallback) _add_edit_page_on_smtp_encryption_changed_gtk_combo_box_changed, self, 0);
#line 343 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp179_ = self->priv->check_smtp_use_imap_credentials;
#line 343 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_signal_connect_object (G_TYPE_CHECK_INSTANCE_CAST (_tmp179_, gtk_toggle_button_get_type (), GtkToggleButton), "toggled", (GCallback) ___lambda59__gtk_toggle_button_toggled, self, 0);
#line 344 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp180_ = self->priv->check_smtp_noauth;
#line 344 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_signal_connect_object (G_TYPE_CHECK_INSTANCE_CAST (_tmp180_, gtk_toggle_button_get_type (), GtkToggleButton), "toggled", (GCallback) ___lambda60__gtk_toggle_button_toggled, self, 0);
#line 346 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp181_ = self->priv->entry_imap_port;
#line 346 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_signal_connect_object (G_TYPE_CHECK_INSTANCE_CAST (_tmp181_, GTK_TYPE_EDITABLE, GtkEditable), "insert-text", (GCallback) _add_edit_page_on_port_insert_text_gtk_editable_insert_text, self, 0);
#line 347 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp182_ = self->priv->entry_smtp_port;
#line 347 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_signal_connect_object (G_TYPE_CHECK_INSTANCE_CAST (_tmp182_, GTK_TYPE_EDITABLE, GtkEditable), "insert-text", (GCallback) _add_edit_page_on_port_insert_text_gtk_editable_insert_text, self, 0);
#line 349 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp183_ = self->priv->entry_nickname;
#line 349 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_signal_connect_object (G_TYPE_CHECK_INSTANCE_CAST (_tmp183_, GTK_TYPE_EDITABLE, GtkEditable), "insert-text", (GCallback) _add_edit_page_on_nickname_insert_text_gtk_editable_insert_text, self, 0);
#line 351 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp184_ = self->priv->check_use_email_signature;
#line 351 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp185_ = signature_box;
#line 351 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_object_bind_property_with_closures (G_TYPE_CHECK_INSTANCE_CAST (_tmp184_, G_TYPE_OBJECT, GObject), "active", G_TYPE_CHECK_INSTANCE_CAST (_tmp185_, G_TYPE_OBJECT, GObject), "sensitive", G_BINDING_DEFAULT, (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)), (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)));
#line 352 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp186_ = self->priv->signature_stack;
#line 352 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_signal_connect_object (G_TYPE_CHECK_INSTANCE_CAST (_tmp186_, G_TYPE_OBJECT, GObject), "notify::visible-child-name", (GCallback) _add_edit_page_on_signature_stack_changed_g_object_notify, self, 0);
#line 355 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_signal_connect_object (G_TYPE_CHECK_INSTANCE_CAST (self, gtk_widget_get_type (), GtkWidget), "map", (GCallback) ___lambda61__gtk_widget_map, self, 0);
#line 221 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_object_unref0 (signature_box);
#line 221 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_object_unref0 (switcher);
#line 221 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_object_unref0 (preview_window);
#line 221 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_object_unref0 (edit_window);
#line 221 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_object_unref0 (label_welcome);
#line 221 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_object_unref0 (builder);
#line 221 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	return self;
#line 1344 "add-edit-page.c"
}


AddEditPage* add_edit_page_new (void) {
#line 221 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	return add_edit_page_construct (TYPE_ADD_EDIT_PAGE);
#line 1351 "add-edit-page.c"
}


void add_edit_page_set_account_information (AddEditPage* self, GearyAccountInformation* info, GearyEngineValidationResult _result_) {
	gboolean _tmp0_ = FALSE;
	GearyAccountInformation* _tmp1_;
	gboolean _tmp2_;
	gboolean _tmp3_;
	const gchar* _tmp7_ = NULL;
	GearyAccountInformation* _tmp8_;
	GearyCredentials* _tmp9_;
	GearyCredentials* _tmp10_;
	const gchar* _tmp16_ = NULL;
	GearyAccountInformation* _tmp17_;
	GearyCredentials* _tmp18_;
	GearyCredentials* _tmp19_;
	GearyAccountInformation* _tmp25_;
	const gchar* _tmp26_;
	const gchar* _tmp27_;
	GearyAccountInformation* _tmp28_;
	const gchar* _tmp29_;
	const gchar* _tmp30_;
	GearyAccountInformation* _tmp31_;
	const gchar* _tmp32_;
	const gchar* _tmp33_;
	GearyAccountInformation* _tmp34_;
	GearyCredentials* _tmp35_;
	GearyCredentials* _tmp36_;
	const gchar* _tmp37_;
	const gchar* _tmp38_;
	GearyAccountInformation* _tmp39_;
	GearyCredentials* _tmp40_;
	GearyCredentials* _tmp41_;
	const gchar* _tmp42_;
	const gchar* _tmp43_;
	GearyAccountInformation* _tmp44_;
	GearyServiceProvider _tmp45_;
	GearyServiceProvider _tmp46_;
	GearyAccountInformation* _tmp47_;
	gboolean _tmp48_;
	gboolean _tmp49_;
	GearyAccountInformation* _tmp50_;
	gboolean _tmp51_;
	GearyAccountInformation* _tmp52_;
	const gchar* _tmp53_;
	const gchar* _tmp54_;
	GearyAccountInformation* _tmp55_;
	guint16 _tmp56_;
	guint16 _tmp57_;
	GearyAccountInformation* _tmp58_;
	gboolean _tmp59_;
	gboolean _tmp60_;
	GearyAccountInformation* _tmp61_;
	gboolean _tmp62_;
	gboolean _tmp63_;
	GearyAccountInformation* _tmp64_;
	const gchar* _tmp65_;
	const gchar* _tmp66_;
	GearyAccountInformation* _tmp67_;
	guint16 _tmp68_;
	guint16 _tmp69_;
	GearyAccountInformation* _tmp70_;
	gboolean _tmp71_;
	gboolean _tmp72_;
	GearyAccountInformation* _tmp73_;
	gboolean _tmp74_;
	gboolean _tmp75_;
	GearyAccountInformation* _tmp76_;
	gboolean _tmp77_;
	gboolean _tmp78_;
	GearyAccountInformation* _tmp79_;
	gboolean _tmp80_;
	gboolean _tmp81_;
	GearyAccountInformation* _tmp82_;
	gint _tmp83_;
	gint _tmp84_;
	GearyAccountInformation* _tmp85_;
	gboolean _tmp86_;
	gboolean _tmp87_;
	GearyAccountInformation* _tmp88_;
	gboolean _tmp89_;
	gboolean _tmp90_;
	GearyAccountInformation* _tmp91_;
	const gchar* _tmp92_;
	const gchar* _tmp93_;
	GearyEngineValidationResult _tmp94_;
#line 359 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_if_fail (IS_ADD_EDIT_PAGE (self));
#line 359 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_if_fail (GEARY_IS_ACCOUNT_INFORMATION (info));
#line 365 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp1_ = info;
#line 365 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp2_ = geary_account_information_get_imap_remember_password (_tmp1_);
#line 365 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp3_ = _tmp2_;
#line 365 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	if (_tmp3_) {
#line 1450 "add-edit-page.c"
		GearyAccountInformation* _tmp4_;
		gboolean _tmp5_;
		gboolean _tmp6_;
#line 365 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp4_ = info;
#line 365 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp5_ = geary_account_information_get_smtp_remember_password (_tmp4_);
#line 365 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp6_ = _tmp5_;
#line 365 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp0_ = _tmp6_;
#line 1462 "add-edit-page.c"
	} else {
#line 365 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp0_ = FALSE;
#line 1466 "add-edit-page.c"
	}
#line 366 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp8_ = info;
#line 366 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp9_ = geary_account_information_get_smtp_credentials (_tmp8_);
#line 366 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp10_ = _tmp9_;
#line 366 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	if (_tmp10_ != NULL) {
#line 1476 "add-edit-page.c"
		GearyAccountInformation* _tmp11_;
		GearyCredentials* _tmp12_;
		GearyCredentials* _tmp13_;
		const gchar* _tmp14_;
		const gchar* _tmp15_;
#line 366 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp11_ = info;
#line 366 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp12_ = geary_account_information_get_smtp_credentials (_tmp11_);
#line 366 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp13_ = _tmp12_;
#line 366 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp14_ = geary_credentials_get_user (_tmp13_);
#line 366 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp15_ = _tmp14_;
#line 366 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp7_ = _tmp15_;
#line 1494 "add-edit-page.c"
	} else {
#line 366 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp7_ = NULL;
#line 1498 "add-edit-page.c"
	}
#line 367 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp17_ = info;
#line 367 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp18_ = geary_account_information_get_smtp_credentials (_tmp17_);
#line 367 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp19_ = _tmp18_;
#line 367 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	if (_tmp19_ != NULL) {
#line 1508 "add-edit-page.c"
		GearyAccountInformation* _tmp20_;
		GearyCredentials* _tmp21_;
		GearyCredentials* _tmp22_;
		const gchar* _tmp23_;
		const gchar* _tmp24_;
#line 367 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp20_ = info;
#line 367 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp21_ = geary_account_information_get_smtp_credentials (_tmp20_);
#line 367 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp22_ = _tmp21_;
#line 367 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp23_ = geary_credentials_get_pass (_tmp22_);
#line 367 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp24_ = _tmp23_;
#line 367 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp16_ = _tmp24_;
#line 1526 "add-edit-page.c"
	} else {
#line 367 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp16_ = NULL;
#line 1530 "add-edit-page.c"
	}
#line 360 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp25_ = info;
#line 360 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp26_ = geary_account_information_get_real_name (_tmp25_);
#line 360 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp27_ = _tmp26_;
#line 360 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp28_ = info;
#line 360 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp29_ = geary_account_information_get_nickname (_tmp28_);
#line 360 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp30_ = _tmp29_;
#line 360 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp31_ = info;
#line 360 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp32_ = geary_account_information_get_email (_tmp31_);
#line 360 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp33_ = _tmp32_;
#line 360 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp34_ = info;
#line 360 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp35_ = geary_account_information_get_imap_credentials (_tmp34_);
#line 360 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp36_ = _tmp35_;
#line 360 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp37_ = geary_credentials_get_user (_tmp36_);
#line 360 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp38_ = _tmp37_;
#line 360 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp39_ = info;
#line 360 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp40_ = geary_account_information_get_imap_credentials (_tmp39_);
#line 360 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp41_ = _tmp40_;
#line 360 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp42_ = geary_credentials_get_pass (_tmp41_);
#line 360 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp43_ = _tmp42_;
#line 360 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp44_ = info;
#line 360 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp45_ = geary_account_information_get_service_provider (_tmp44_);
#line 360 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp46_ = _tmp45_;
#line 360 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp47_ = info;
#line 360 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp48_ = geary_account_information_get_save_sent_mail (_tmp47_);
#line 360 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp49_ = _tmp48_;
#line 360 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp50_ = info;
#line 360 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp51_ = geary_account_information_allow_save_sent_mail (_tmp50_);
#line 360 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp52_ = info;
#line 360 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp53_ = geary_account_information_get_default_imap_server_host (_tmp52_);
#line 360 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp54_ = _tmp53_;
#line 360 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp55_ = info;
#line 360 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp56_ = geary_account_information_get_default_imap_server_port (_tmp55_);
#line 360 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp57_ = _tmp56_;
#line 360 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp58_ = info;
#line 360 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp59_ = geary_account_information_get_default_imap_server_ssl (_tmp58_);
#line 360 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp60_ = _tmp59_;
#line 360 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp61_ = info;
#line 360 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp62_ = geary_account_information_get_default_imap_server_starttls (_tmp61_);
#line 360 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp63_ = _tmp62_;
#line 360 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp64_ = info;
#line 360 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp65_ = geary_account_information_get_default_smtp_server_host (_tmp64_);
#line 360 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp66_ = _tmp65_;
#line 360 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp67_ = info;
#line 360 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp68_ = geary_account_information_get_default_smtp_server_port (_tmp67_);
#line 360 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp69_ = _tmp68_;
#line 360 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp70_ = info;
#line 360 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp71_ = geary_account_information_get_default_smtp_server_ssl (_tmp70_);
#line 360 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp72_ = _tmp71_;
#line 360 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp73_ = info;
#line 360 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp74_ = geary_account_information_get_default_smtp_server_starttls (_tmp73_);
#line 360 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp75_ = _tmp74_;
#line 360 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp76_ = info;
#line 360 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp77_ = geary_account_information_get_default_smtp_use_imap_credentials (_tmp76_);
#line 360 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp78_ = _tmp77_;
#line 360 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp79_ = info;
#line 360 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp80_ = geary_account_information_get_default_smtp_server_noauth (_tmp79_);
#line 360 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp81_ = _tmp80_;
#line 360 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp82_ = info;
#line 360 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp83_ = geary_account_information_get_prefetch_period_days (_tmp82_);
#line 360 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp84_ = _tmp83_;
#line 360 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp85_ = info;
#line 360 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp86_ = geary_account_information_get_save_drafts (_tmp85_);
#line 360 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp87_ = _tmp86_;
#line 360 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp88_ = info;
#line 360 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp89_ = geary_account_information_get_use_email_signature (_tmp88_);
#line 360 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp90_ = _tmp89_;
#line 360 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp91_ = info;
#line 360 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp92_ = geary_account_information_get_email_signature (_tmp91_);
#line 360 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp93_ = _tmp92_;
#line 360 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp94_ = _result_;
#line 360 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	add_edit_page_set_all_info (self, _tmp27_, _tmp30_, _tmp33_, _tmp38_, _tmp43_, _tmp0_, _tmp7_, _tmp16_, (gint) _tmp46_, _tmp49_, _tmp51_, _tmp54_, _tmp57_, _tmp60_, _tmp63_, _tmp66_, _tmp69_, _tmp72_, _tmp75_, _tmp78_, _tmp81_, _tmp84_, _tmp87_, _tmp90_, _tmp93_, _tmp94_);
#line 1674 "add-edit-page.c"
}


void add_edit_page_set_all_info (AddEditPage* self, const gchar* initial_real_name, const gchar* initial_nickname, const gchar* initial_email, const gchar* initial_imap_username, const gchar* initial_imap_password, gboolean initial_remember_password, const gchar* initial_smtp_username, const gchar* initial_smtp_password, gint initial_service_provider, gboolean initial_save_sent_mail, gboolean allow_save_sent_mail, const gchar* initial_default_imap_host, guint16 initial_default_imap_port, gboolean initial_default_imap_ssl, gboolean initial_default_imap_starttls, const gchar* initial_default_smtp_host, guint16 initial_default_smtp_port, gboolean initial_default_smtp_ssl, gboolean initial_default_smtp_starttls, gboolean initial_default_smtp_use_imap_credentials, gboolean initial_default_smtp_noauth, gint prefetch_period_days, gboolean initial_save_drafts, gboolean initial_use_email_signature, const gchar* initial_email_signature, GearyEngineValidationResult _result_) {
	const gchar* _tmp0_ = NULL;
	const gchar* _tmp1_;
	const gchar* _tmp2_ = NULL;
	const gchar* _tmp3_;
	const gchar* _tmp4_ = NULL;
	const gchar* _tmp5_;
	const gchar* _tmp6_ = NULL;
	const gchar* _tmp7_;
	gboolean _tmp9_;
	gboolean _tmp10_;
	GtkCheckButton* _tmp11_;
	gboolean _tmp12_;
	gint _tmp13_;
	GtkComboBox* _tmp14_;
	GtkComboBox* _tmp15_;
	gboolean _tmp16_;
	const gchar* _tmp17_;
	GtkStack* _tmp18_;
	const gchar* _tmp19_ = NULL;
	const gchar* _tmp20_;
	guint16 _tmp21_;
	const gchar* _tmp22_ = NULL;
	const gchar* _tmp23_;
	const gchar* _tmp24_ = NULL;
	const gchar* _tmp25_;
	gboolean _tmp26_;
	gboolean _tmp27_;
	const gchar* _tmp28_ = NULL;
	const gchar* _tmp29_;
	guint16 _tmp30_;
	const gchar* _tmp31_ = NULL;
	const gchar* _tmp32_;
	const gchar* _tmp33_ = NULL;
	const gchar* _tmp34_;
	gboolean _tmp35_;
	gboolean _tmp36_;
	gboolean _tmp37_;
	gboolean _tmp38_;
	gboolean _tmp39_;
	GearyEngineValidationResult _tmp40_;
	gint _tmp41_;
#line 389 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_if_fail (IS_ADD_EDIT_PAGE (self));
#line 418 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp1_ = initial_real_name;
#line 418 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp0_ = _tmp1_;
#line 418 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	if (_tmp0_ == NULL) {
#line 418 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp0_ = "";
#line 1730 "add-edit-page.c"
	}
#line 418 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	add_edit_page_set_real_name (self, _tmp0_);
#line 419 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp3_ = initial_nickname;
#line 419 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp2_ = _tmp3_;
#line 419 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	if (_tmp2_ == NULL) {
#line 419 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp2_ = "";
#line 1742 "add-edit-page.c"
	}
#line 419 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	add_edit_page_set_nickname (self, _tmp2_);
#line 420 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp5_ = initial_email;
#line 420 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp4_ = _tmp5_;
#line 420 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	if (_tmp4_ == NULL) {
#line 420 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp4_ = "";
#line 1754 "add-edit-page.c"
	}
#line 420 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	add_edit_page_set_email_address (self, _tmp4_);
#line 421 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp7_ = initial_imap_password;
#line 421 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	if (_tmp7_ != NULL) {
#line 1762 "add-edit-page.c"
		const gchar* _tmp8_;
#line 421 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp8_ = initial_imap_password;
#line 421 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp6_ = _tmp8_;
#line 1768 "add-edit-page.c"
	} else {
#line 421 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp6_ = "";
#line 1772 "add-edit-page.c"
	}
#line 421 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	add_edit_page_set_password (self, _tmp6_);
#line 422 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp9_ = initial_remember_password;
#line 422 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	add_edit_page_set_remember_password (self, _tmp9_);
#line 423 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp10_ = initial_save_sent_mail;
#line 423 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	add_edit_page_set_save_sent_mail (self, _tmp10_);
#line 424 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp11_ = self->priv->check_save_sent_mail;
#line 424 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp12_ = allow_save_sent_mail;
#line 424 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_widget_set_sensitive (G_TYPE_CHECK_INSTANCE_CAST (_tmp11_, gtk_widget_get_type (), GtkWidget), _tmp12_);
#line 425 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp13_ = initial_service_provider;
#line 425 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	add_edit_page_set_service_provider (self, (GearyServiceProvider) _tmp13_);
#line 426 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp14_ = self->priv->combo_imap_encryption;
#line 426 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_combo_box_set_active (_tmp14_, (gint) ADD_EDIT_PAGE_ENCRYPTION_NONE);
#line 427 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp15_ = self->priv->combo_smtp_encryption;
#line 427 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_combo_box_set_active (_tmp15_, (gint) ADD_EDIT_PAGE_ENCRYPTION_NONE);
#line 428 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp16_ = initial_use_email_signature;
#line 428 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	add_edit_page_set_use_email_signature (self, _tmp16_);
#line 429 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp17_ = initial_email_signature;
#line 429 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	add_edit_page_set_email_signature (self, _tmp17_);
#line 430 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp18_ = self->priv->signature_stack;
#line 430 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_stack_set_visible_child_name (_tmp18_, "edit_window");
#line 433 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp20_ = initial_default_imap_host;
#line 433 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp19_ = _tmp20_;
#line 433 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	if (_tmp19_ == NULL) {
#line 433 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp19_ = "";
#line 1822 "add-edit-page.c"
	}
#line 433 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	add_edit_page_set_imap_host (self, _tmp19_);
#line 434 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp21_ = initial_default_imap_port;
#line 434 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	add_edit_page_set_imap_port (self, _tmp21_);
#line 435 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp23_ = initial_imap_username;
#line 435 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp22_ = _tmp23_;
#line 435 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	if (_tmp22_ == NULL) {
#line 435 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp22_ = "";
#line 1838 "add-edit-page.c"
	}
#line 435 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	add_edit_page_set_imap_username (self, _tmp22_);
#line 436 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp25_ = initial_imap_password;
#line 436 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp24_ = _tmp25_;
#line 436 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	if (_tmp24_ == NULL) {
#line 436 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp24_ = "";
#line 1850 "add-edit-page.c"
	}
#line 436 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	add_edit_page_set_imap_password (self, _tmp24_);
#line 437 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp26_ = initial_default_imap_ssl;
#line 437 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	add_edit_page_set_imap_ssl (self, _tmp26_);
#line 438 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp27_ = initial_default_imap_starttls;
#line 438 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	add_edit_page_set_imap_starttls (self, _tmp27_);
#line 441 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp29_ = initial_default_smtp_host;
#line 441 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp28_ = _tmp29_;
#line 441 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	if (_tmp28_ == NULL) {
#line 441 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp28_ = "";
#line 1870 "add-edit-page.c"
	}
#line 441 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	add_edit_page_set_smtp_host (self, _tmp28_);
#line 442 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp30_ = initial_default_smtp_port;
#line 442 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	add_edit_page_set_smtp_port (self, _tmp30_);
#line 443 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp32_ = initial_smtp_username;
#line 443 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp31_ = _tmp32_;
#line 443 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	if (_tmp31_ == NULL) {
#line 443 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp31_ = "";
#line 1886 "add-edit-page.c"
	}
#line 443 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	add_edit_page_set_smtp_username (self, _tmp31_);
#line 444 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp34_ = initial_smtp_password;
#line 444 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp33_ = _tmp34_;
#line 444 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	if (_tmp33_ == NULL) {
#line 444 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp33_ = "";
#line 1898 "add-edit-page.c"
	}
#line 444 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	add_edit_page_set_smtp_password (self, _tmp33_);
#line 445 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp35_ = initial_default_smtp_ssl;
#line 445 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	add_edit_page_set_smtp_ssl (self, _tmp35_);
#line 446 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp36_ = initial_default_smtp_starttls;
#line 446 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	add_edit_page_set_smtp_starttls (self, _tmp36_);
#line 447 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp37_ = initial_default_smtp_use_imap_credentials;
#line 447 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	add_edit_page_set_smtp_use_imap_credentials (self, _tmp37_);
#line 448 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp38_ = initial_default_smtp_noauth;
#line 448 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	add_edit_page_set_smtp_noauth (self, _tmp38_);
#line 450 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp39_ = initial_save_drafts;
#line 450 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	add_edit_page_set_save_drafts (self, _tmp39_);
#line 452 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp40_ = _result_;
#line 452 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	add_edit_page_set_validation_result (self, _tmp40_);
#line 454 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp41_ = prefetch_period_days;
#line 454 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	add_edit_page_set_storage_length (self, _tmp41_);
#line 1930 "add-edit-page.c"
}


void add_edit_page_set_validation_result (AddEditPage* self, GearyEngineValidationResult _result_) {
	GearyEngineValidationResult _tmp0_;
#line 457 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_if_fail (IS_ADD_EDIT_PAGE (self));
#line 458 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp0_ = _result_;
#line 458 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	self->priv->last_validation_result = _tmp0_;
#line 1942 "add-edit-page.c"
}


void add_edit_page_reset_all (AddEditPage* self) {
	gchar* _tmp0_;
	gchar* _tmp1_;
#line 462 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_if_fail (IS_ADD_EDIT_PAGE (self));
#line 464 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp0_ = add_edit_page_get_default_real_name (self);
#line 464 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp1_ = _tmp0_;
#line 464 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	add_edit_page_set_all_info (self, _tmp1_, NULL, NULL, NULL, NULL, TRUE, NULL, NULL, (gint) GEARY_SERVICE_PROVIDER_GMAIL, TRUE, TRUE, NULL, GEARY_IMAP_CLIENT_CONNECTION_DEFAULT_PORT_SSL, TRUE, FALSE, NULL, GEARY_SMTP_CLIENT_CONNECTION_DEFAULT_PORT_STARTTLS, FALSE, TRUE, FALSE, FALSE, GEARY_ACCOUNT_INFORMATION_DEFAULT_PREFETCH_PERIOD_DAYS, TRUE, FALSE, NULL, GEARY_ENGINE_VALIDATION_RESULT_OK);
#line 464 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_free0 (_tmp1_);
#line 466 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	self->priv->edited_imap_port = FALSE;
#line 467 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	self->priv->edited_smtp_port = FALSE;
#line 1963 "add-edit-page.c"
}


/** Puts this page into one of three different modes:
     *  WELCOME: The first screen when Geary is started.
     *      ADD: Add account screen is like the Welcome screen, but without the welcome message.
     *     EDIT: This screen has only a few options that can be modified after creating an account.
     */
void add_edit_page_set_mode (AddEditPage* self, AddEditPagePageMode m) {
	AddEditPagePageMode _tmp0_;
#line 475 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_if_fail (IS_ADD_EDIT_PAGE (self));
#line 476 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp0_ = m;
#line 476 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	self->priv->mode = _tmp0_;
#line 477 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	add_edit_page_update_ui (self);
#line 1982 "add-edit-page.c"
}


AddEditPagePageMode add_edit_page_get_mode (AddEditPage* self) {
	AddEditPagePageMode result = 0;
	AddEditPagePageMode _tmp0_;
#line 480 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_val_if_fail (IS_ADD_EDIT_PAGE (self), 0);
#line 481 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp0_ = self->priv->mode;
#line 481 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	result = _tmp0_;
#line 481 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	return result;
#line 1997 "add-edit-page.c"
}


static void add_edit_page_on_email_changed (AddEditPage* self) {
	GtkEntry* _tmp0_;
	GtkEntry* _tmp1_;
	const gchar* _tmp2_;
	const gchar* _tmp3_;
	GtkEntry* _tmp4_;
	gboolean _tmp5_;
	gboolean _tmp6_;
#line 485 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_if_fail (IS_ADD_EDIT_PAGE (self));
#line 486 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp0_ = self->priv->entry_imap_username;
#line 486 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp1_ = self->priv->entry_email;
#line 486 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp2_ = gtk_entry_get_text (_tmp1_);
#line 486 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp3_ = _tmp2_;
#line 486 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_entry_set_text (_tmp0_, _tmp3_);
#line 488 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp4_ = self->priv->entry_smtp_username;
#line 488 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp5_ = gtk_widget_get_sensitive (G_TYPE_CHECK_INSTANCE_CAST (_tmp4_, gtk_widget_get_type (), GtkWidget));
#line 488 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp6_ = _tmp5_;
#line 488 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	if (_tmp6_) {
#line 2029 "add-edit-page.c"
		GtkEntry* _tmp7_;
		GtkEntry* _tmp8_;
		const gchar* _tmp9_;
		const gchar* _tmp10_;
#line 489 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp7_ = self->priv->entry_smtp_username;
#line 489 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp8_ = self->priv->entry_email;
#line 489 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp9_ = gtk_entry_get_text (_tmp8_);
#line 489 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp10_ = _tmp9_;
#line 489 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		gtk_entry_set_text (_tmp7_, _tmp10_);
#line 2044 "add-edit-page.c"
	}
}


static void add_edit_page_on_password_changed (AddEditPage* self) {
	GtkEntry* _tmp0_;
	GtkEntry* _tmp1_;
	const gchar* _tmp2_;
	const gchar* _tmp3_;
	GtkEntry* _tmp4_;
	gboolean _tmp5_;
	gboolean _tmp6_;
#line 493 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_if_fail (IS_ADD_EDIT_PAGE (self));
#line 494 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp0_ = self->priv->entry_imap_password;
#line 494 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp1_ = self->priv->entry_password;
#line 494 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp2_ = gtk_entry_get_text (_tmp1_);
#line 494 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp3_ = _tmp2_;
#line 494 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_entry_set_text (_tmp0_, _tmp3_);
#line 496 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp4_ = self->priv->entry_password;
#line 496 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp5_ = gtk_widget_get_sensitive (G_TYPE_CHECK_INSTANCE_CAST (_tmp4_, gtk_widget_get_type (), GtkWidget));
#line 496 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp6_ = _tmp5_;
#line 496 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	if (_tmp6_) {
#line 2077 "add-edit-page.c"
		GtkEntry* _tmp7_;
		GtkEntry* _tmp8_;
		const gchar* _tmp9_;
		const gchar* _tmp10_;
#line 497 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp7_ = self->priv->entry_smtp_password;
#line 497 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp8_ = self->priv->entry_password;
#line 497 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp9_ = gtk_entry_get_text (_tmp8_);
#line 497 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp10_ = _tmp9_;
#line 497 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		gtk_entry_set_text (_tmp7_, _tmp10_);
#line 2092 "add-edit-page.c"
	}
}


static void add_edit_page_on_changed (AddEditPage* self) {
#line 500 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_if_fail (IS_ADD_EDIT_PAGE (self));
#line 501 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_signal_emit (self, add_edit_page_signals[ADD_EDIT_PAGE_INFO_CHANGED_SIGNAL], 0);
#line 2102 "add-edit-page.c"
}


static void add_edit_page_on_alternate_email_button_clicked (AddEditPage* self) {
#line 504 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_if_fail (IS_ADD_EDIT_PAGE (self));
#line 505 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_signal_emit (self, add_edit_page_signals[ADD_EDIT_PAGE_EDIT_ALTERNATE_EMAILS_SIGNAL], 0);
#line 2111 "add-edit-page.c"
}


static gboolean string_get_next_char (const gchar* self, gint* index, gunichar* c) {
	gunichar _vala_c = 0U;
	gboolean result = FALSE;
	gint _tmp0_;
	gunichar _tmp1_;
	gunichar _tmp2_;
#line 1129 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, FALSE);
#line 1130 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	_tmp0_ = *index;
#line 1130 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	_tmp1_ = g_utf8_get_char (((gchar*) self) + _tmp0_);
#line 1130 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	_vala_c = _tmp1_;
#line 1131 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	_tmp2_ = _vala_c;
#line 1131 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	if (_tmp2_ != ((gunichar) 0)) {
#line 2133 "add-edit-page.c"
		gint _tmp3_;
		gchar* _tmp4_;
#line 1132 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp3_ = *index;
#line 1132 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp4_ = g_utf8_next_char (((gchar*) self) + _tmp3_);
#line 1132 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		*index = (gint) (_tmp4_ - ((gchar*) self));
#line 1133 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		result = TRUE;
#line 1133 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		if (c) {
#line 1133 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
			*c = _vala_c;
#line 2148 "add-edit-page.c"
		}
#line 1133 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		return result;
#line 2152 "add-edit-page.c"
	} else {
#line 1135 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		result = FALSE;
#line 1135 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		if (c) {
#line 1135 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
			*c = _vala_c;
#line 2160 "add-edit-page.c"
		}
#line 1135 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		return result;
#line 2164 "add-edit-page.c"
	}
#line 1129 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	if (c) {
#line 1129 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		*c = _vala_c;
#line 2170 "add-edit-page.c"
	}
}


static void add_edit_page_on_nickname_insert_text (AddEditPage* self, GtkEditable* e, const gchar* text, gint length, gint* position) {
	gunichar c = 0U;
	gint index = 0;
#line 509 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_if_fail (IS_ADD_EDIT_PAGE (self));
#line 509 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_if_fail (GTK_IS_EDITABLE (e));
#line 509 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_if_fail (text != NULL);
#line 511 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	index = 0;
#line 512 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	while (TRUE) {
#line 2188 "add-edit-page.c"
		const gchar* _tmp0_;
		gunichar _tmp1_ = 0U;
		gboolean _tmp2_;
		gunichar _tmp3_;
		gboolean _tmp4_;
#line 512 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp0_ = text;
#line 512 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp2_ = string_get_next_char (_tmp0_, &index, &_tmp1_);
#line 512 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		c = _tmp1_;
#line 512 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		if (!_tmp2_) {
#line 512 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			break;
#line 2204 "add-edit-page.c"
		}
#line 513 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp3_ = c;
#line 513 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp4_ = g_unichar_isprint (_tmp3_);
#line 513 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		if (!_tmp4_) {
#line 2212 "add-edit-page.c"
			GtkEditable* _tmp5_;
#line 514 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			_tmp5_ = e;
#line 514 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			g_signal_stop_emission_by_name (_tmp5_, "insert-text");
#line 516 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			return;
#line 2220 "add-edit-page.c"
		}
	}
}


static gboolean uint64_try_parse (const gchar* str, guint64* _result_) {
	guint64 _vala_result = 0ULL;
	gboolean result = FALSE;
	gchar* endptr = NULL;
	const gchar* _tmp0_;
	gchar* _tmp1_ = NULL;
	guint64 _tmp2_;
	gchar* _tmp3_;
	const gchar* _tmp4_;
	const gchar* _tmp5_;
	gint _tmp6_;
	gint _tmp7_;
#line 744 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	g_return_val_if_fail (str != NULL, FALSE);
#line 746 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	_tmp0_ = str;
#line 746 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	_tmp2_ = g_ascii_strtoull (_tmp0_, &_tmp1_, (guint) 0);
#line 746 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	endptr = _tmp1_;
#line 746 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	_vala_result = _tmp2_;
#line 747 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	_tmp3_ = endptr;
#line 747 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	_tmp4_ = str;
#line 747 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	_tmp5_ = str;
#line 747 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	_tmp6_ = strlen (_tmp5_);
#line 747 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	_tmp7_ = _tmp6_;
#line 747 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	if (_tmp3_ == (((gchar*) _tmp4_) + _tmp7_)) {
#line 748 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		result = TRUE;
#line 748 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		if (_result_) {
#line 748 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
			*_result_ = _vala_result;
#line 2266 "add-edit-page.c"
		}
#line 748 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		return result;
#line 2270 "add-edit-page.c"
	} else {
#line 750 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		result = FALSE;
#line 750 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		if (_result_) {
#line 750 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
			*_result_ = _vala_result;
#line 2278 "add-edit-page.c"
		}
#line 750 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		return result;
#line 2282 "add-edit-page.c"
	}
#line 744 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	if (_result_) {
#line 744 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		*_result_ = _vala_result;
#line 2288 "add-edit-page.c"
	}
}


static guint64 uint64_parse (const gchar* str) {
	guint64 result = 0ULL;
	const gchar* _tmp0_;
	guint64 _tmp1_;
#line 741 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	g_return_val_if_fail (str != NULL, 0ULL);
#line 742 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	_tmp0_ = str;
#line 742 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	_tmp1_ = g_ascii_strtoull (_tmp0_, NULL, (guint) 0);
#line 742 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	result = _tmp1_;
#line 742 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	return result;
#line 2307 "add-edit-page.c"
}


static void add_edit_page_on_port_insert_text (AddEditPage* self, GtkEditable* e, const gchar* text, gint length, gint* position) {
	gboolean _tmp0_ = FALSE;
	const gchar* _tmp1_;
	gboolean _tmp2_;
#line 521 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_if_fail (IS_ADD_EDIT_PAGE (self));
#line 521 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_if_fail (GTK_IS_EDITABLE (e));
#line 521 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_if_fail (text != NULL);
#line 523 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp1_ = text;
#line 523 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp2_ = uint64_try_parse (_tmp1_, NULL);
#line 523 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	if (!_tmp2_) {
#line 523 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp0_ = TRUE;
#line 2329 "add-edit-page.c"
	} else {
		GtkEditable* _tmp3_;
		const gchar* _tmp4_;
		const gchar* _tmp5_;
		guint64 _tmp6_;
#line 523 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp3_ = e;
#line 523 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp4_ = gtk_entry_get_text (G_TYPE_CHECK_INSTANCE_CAST (_tmp3_, gtk_entry_get_type (), GtkEntry));
#line 523 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp5_ = _tmp4_;
#line 523 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp6_ = uint64_parse (_tmp5_);
#line 523 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp0_ = _tmp6_ > ((guint64) G_MAXUINT16);
#line 2345 "add-edit-page.c"
	}
#line 523 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	if (_tmp0_) {
#line 2349 "add-edit-page.c"
		GtkEditable* _tmp7_;
#line 524 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp7_ = e;
#line 524 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		g_signal_stop_emission_by_name (_tmp7_, "insert-text");
#line 2355 "add-edit-page.c"
	} else {
		GtkEditable* _tmp8_;
		GtkEntry* _tmp9_;
#line 526 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp8_ = e;
#line 526 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp9_ = self->priv->entry_imap_port;
#line 526 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		if (_tmp8_ == _tmp9_) {
#line 527 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			self->priv->edited_imap_port = TRUE;
#line 2367 "add-edit-page.c"
		} else {
			GtkEditable* _tmp10_;
			GtkEntry* _tmp11_;
#line 528 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			_tmp10_ = e;
#line 528 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			_tmp11_ = self->priv->entry_smtp_port;
#line 528 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			if (_tmp10_ == _tmp11_) {
#line 529 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				self->priv->edited_smtp_port = TRUE;
#line 2379 "add-edit-page.c"
			}
		}
	}
}


static void add_edit_page_on_imap_encryption_changed (AddEditPage* self) {
	gboolean _tmp0_;
	guint16 _tmp1_;
#line 533 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_if_fail (IS_ADD_EDIT_PAGE (self));
#line 534 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp0_ = self->priv->edited_imap_port;
#line 534 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	if (_tmp0_) {
#line 535 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		return;
#line 2397 "add-edit-page.c"
	}
#line 537 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp1_ = add_edit_page_get_default_imap_port (self);
#line 537 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	add_edit_page_set_imap_port (self, _tmp1_);
#line 538 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	self->priv->edited_imap_port = FALSE;
#line 2405 "add-edit-page.c"
}


static guint16 add_edit_page_get_default_imap_port (AddEditPage* self) {
	guint16 result = 0U;
	GtkComboBox* _tmp0_;
	gint _tmp1_;
	gint _tmp2_;
#line 541 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_val_if_fail (IS_ADD_EDIT_PAGE (self), 0U);
#line 542 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp0_ = self->priv->combo_imap_encryption;
#line 542 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp1_ = gtk_combo_box_get_active (_tmp0_);
#line 542 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp2_ = _tmp1_;
#line 542 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	switch (_tmp2_) {
#line 542 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		case ADD_EDIT_PAGE_ENCRYPTION_SSL:
#line 2426 "add-edit-page.c"
		{
#line 544 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			result = GEARY_IMAP_CLIENT_CONNECTION_DEFAULT_PORT_SSL;
#line 544 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			return result;
#line 2432 "add-edit-page.c"
		}
		default:
#line 542 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		case ADD_EDIT_PAGE_ENCRYPTION_NONE:
#line 542 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		case ADD_EDIT_PAGE_ENCRYPTION_STARTTLS:
#line 2439 "add-edit-page.c"
		{
#line 549 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			result = GEARY_IMAP_CLIENT_CONNECTION_DEFAULT_PORT;
#line 549 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			return result;
#line 2445 "add-edit-page.c"
		}
	}
}


static void add_edit_page_on_smtp_encryption_changed (AddEditPage* self) {
	gboolean _tmp0_;
	guint16 _tmp1_;
#line 553 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_if_fail (IS_ADD_EDIT_PAGE (self));
#line 554 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp0_ = self->priv->edited_smtp_port;
#line 554 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	if (_tmp0_) {
#line 555 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		return;
#line 2462 "add-edit-page.c"
	}
#line 557 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp1_ = add_edit_page_get_default_smtp_port (self);
#line 557 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	add_edit_page_set_smtp_port (self, _tmp1_);
#line 558 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	self->priv->edited_smtp_port = FALSE;
#line 2470 "add-edit-page.c"
}


static void add_edit_page_on_smtp_auth_changed (AddEditPage* self, gboolean use_imap_credentials_toggled) {
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_;
	gboolean _tmp12_ = FALSE;
	GtkCheckButton* _tmp13_;
	gboolean _tmp14_;
	gboolean _tmp15_;
#line 561 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_if_fail (IS_ADD_EDIT_PAGE (self));
#line 562 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp1_ = use_imap_credentials_toggled;
#line 562 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	if (_tmp1_) {
#line 2487 "add-edit-page.c"
		GtkCheckButton* _tmp2_;
		gboolean _tmp3_;
		gboolean _tmp4_;
#line 562 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp2_ = self->priv->check_smtp_use_imap_credentials;
#line 562 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp3_ = gtk_toggle_button_get_active (G_TYPE_CHECK_INSTANCE_CAST (_tmp2_, gtk_toggle_button_get_type (), GtkToggleButton));
#line 562 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp4_ = _tmp3_;
#line 562 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp0_ = _tmp4_;
#line 2499 "add-edit-page.c"
	} else {
#line 562 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp0_ = FALSE;
#line 2503 "add-edit-page.c"
	}
#line 562 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	if (_tmp0_) {
#line 2507 "add-edit-page.c"
		GtkCheckButton* _tmp5_;
#line 563 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp5_ = self->priv->check_smtp_noauth;
#line 563 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		gtk_toggle_button_set_active (G_TYPE_CHECK_INSTANCE_CAST (_tmp5_, gtk_toggle_button_get_type (), GtkToggleButton), FALSE);
#line 2513 "add-edit-page.c"
	} else {
		gboolean _tmp6_ = FALSE;
		gboolean _tmp7_;
#line 564 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp7_ = use_imap_credentials_toggled;
#line 564 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		if (!_tmp7_) {
#line 2521 "add-edit-page.c"
			GtkCheckButton* _tmp8_;
			gboolean _tmp9_;
			gboolean _tmp10_;
#line 564 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			_tmp8_ = self->priv->check_smtp_noauth;
#line 564 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			_tmp9_ = gtk_toggle_button_get_active (G_TYPE_CHECK_INSTANCE_CAST (_tmp8_, gtk_toggle_button_get_type (), GtkToggleButton));
#line 564 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			_tmp10_ = _tmp9_;
#line 564 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			_tmp6_ = _tmp10_;
#line 2533 "add-edit-page.c"
		} else {
#line 564 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			_tmp6_ = FALSE;
#line 2537 "add-edit-page.c"
		}
#line 564 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		if (_tmp6_) {
#line 2541 "add-edit-page.c"
			GtkCheckButton* _tmp11_;
#line 565 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			_tmp11_ = self->priv->check_smtp_use_imap_credentials;
#line 565 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			gtk_toggle_button_set_active (G_TYPE_CHECK_INSTANCE_CAST (_tmp11_, gtk_toggle_button_get_type (), GtkToggleButton), FALSE);
#line 2547 "add-edit-page.c"
		}
	}
#line 567 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp13_ = self->priv->check_smtp_use_imap_credentials;
#line 567 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp14_ = gtk_toggle_button_get_active (G_TYPE_CHECK_INSTANCE_CAST (_tmp13_, gtk_toggle_button_get_type (), GtkToggleButton));
#line 567 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp15_ = _tmp14_;
#line 567 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	if (_tmp15_) {
#line 567 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp12_ = TRUE;
#line 2560 "add-edit-page.c"
	} else {
		GtkCheckButton* _tmp16_;
		gboolean _tmp17_;
		gboolean _tmp18_;
#line 567 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp16_ = self->priv->check_smtp_noauth;
#line 567 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp17_ = gtk_toggle_button_get_active (G_TYPE_CHECK_INSTANCE_CAST (_tmp16_, gtk_toggle_button_get_type (), GtkToggleButton));
#line 567 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp18_ = _tmp17_;
#line 567 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp12_ = _tmp18_;
#line 2573 "add-edit-page.c"
	}
#line 567 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	if (_tmp12_) {
#line 2577 "add-edit-page.c"
		GtkEntry* _tmp19_;
		const gchar* _tmp20_;
		const gchar* _tmp21_;
		gboolean _tmp22_;
		GtkEntry* _tmp27_;
		const gchar* _tmp28_;
		const gchar* _tmp29_;
		gboolean _tmp30_;
		GtkEntry* _tmp35_;
		GtkEntry* _tmp36_;
		GtkEntry* _tmp37_;
		GtkEntry* _tmp38_;
#line 568 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp19_ = self->priv->entry_smtp_username;
#line 568 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp20_ = gtk_entry_get_text (_tmp19_);
#line 568 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp21_ = _tmp20_;
#line 568 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp22_ = geary_string_is_empty_or_whitespace (_tmp21_);
#line 568 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		if (!_tmp22_) {
#line 2600 "add-edit-page.c"
			GtkEntry* _tmp23_;
			const gchar* _tmp24_;
			const gchar* _tmp25_;
			gchar* _tmp26_;
#line 569 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			_tmp23_ = self->priv->entry_smtp_username;
#line 569 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			_tmp24_ = gtk_entry_get_text (_tmp23_);
#line 569 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			_tmp25_ = _tmp24_;
#line 569 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			_tmp26_ = g_strdup (_tmp25_);
#line 569 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			_g_free0 (self->priv->smtp_username_store);
#line 569 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			self->priv->smtp_username_store = _tmp26_;
#line 2617 "add-edit-page.c"
		}
#line 570 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp27_ = self->priv->entry_smtp_password;
#line 570 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp28_ = gtk_entry_get_text (_tmp27_);
#line 570 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp29_ = _tmp28_;
#line 570 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp30_ = geary_string_is_empty_or_whitespace (_tmp29_);
#line 570 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		if (!_tmp30_) {
#line 2629 "add-edit-page.c"
			GtkEntry* _tmp31_;
			const gchar* _tmp32_;
			const gchar* _tmp33_;
			gchar* _tmp34_;
#line 571 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			_tmp31_ = self->priv->entry_smtp_password;
#line 571 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			_tmp32_ = gtk_entry_get_text (_tmp31_);
#line 571 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			_tmp33_ = _tmp32_;
#line 571 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			_tmp34_ = g_strdup (_tmp33_);
#line 571 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			_g_free0 (self->priv->smtp_password_store);
#line 571 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			self->priv->smtp_password_store = _tmp34_;
#line 2646 "add-edit-page.c"
		}
#line 573 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp35_ = self->priv->entry_smtp_username;
#line 573 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		gtk_entry_set_text (_tmp35_, "");
#line 574 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp36_ = self->priv->entry_smtp_password;
#line 574 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		gtk_entry_set_text (_tmp36_, "");
#line 576 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp37_ = self->priv->entry_smtp_username;
#line 576 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		gtk_widget_set_sensitive (G_TYPE_CHECK_INSTANCE_CAST (_tmp37_, gtk_widget_get_type (), GtkWidget), FALSE);
#line 577 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp38_ = self->priv->entry_smtp_password;
#line 577 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		gtk_widget_set_sensitive (G_TYPE_CHECK_INSTANCE_CAST (_tmp38_, gtk_widget_get_type (), GtkWidget), FALSE);
#line 2664 "add-edit-page.c"
	} else {
		const gchar* _tmp39_;
		gboolean _tmp40_;
		gchar* _tmp43_;
		const gchar* _tmp44_;
		gboolean _tmp45_;
		gchar* _tmp48_;
		GtkEntry* _tmp49_;
		GtkEntry* _tmp50_;
#line 579 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp39_ = self->priv->smtp_username_store;
#line 579 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp40_ = geary_string_is_empty_or_whitespace (_tmp39_);
#line 579 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		if (!_tmp40_) {
#line 2680 "add-edit-page.c"
			GtkEntry* _tmp41_;
			const gchar* _tmp42_;
#line 580 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			_tmp41_ = self->priv->entry_smtp_username;
#line 580 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			_tmp42_ = self->priv->smtp_username_store;
#line 580 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			gtk_entry_set_text (_tmp41_, _tmp42_);
#line 2689 "add-edit-page.c"
		}
#line 581 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp43_ = g_strdup ("");
#line 581 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_g_free0 (self->priv->smtp_username_store);
#line 581 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		self->priv->smtp_username_store = _tmp43_;
#line 582 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp44_ = self->priv->smtp_password_store;
#line 582 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp45_ = geary_string_is_empty_or_whitespace (_tmp44_);
#line 582 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		if (!_tmp45_) {
#line 2703 "add-edit-page.c"
			GtkEntry* _tmp46_;
			const gchar* _tmp47_;
#line 583 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			_tmp46_ = self->priv->entry_smtp_password;
#line 583 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			_tmp47_ = self->priv->smtp_password_store;
#line 583 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			gtk_entry_set_text (_tmp46_, _tmp47_);
#line 2712 "add-edit-page.c"
		}
#line 584 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp48_ = g_strdup ("");
#line 584 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_g_free0 (self->priv->smtp_password_store);
#line 584 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		self->priv->smtp_password_store = _tmp48_;
#line 586 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp49_ = self->priv->entry_smtp_username;
#line 586 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		gtk_widget_set_sensitive (G_TYPE_CHECK_INSTANCE_CAST (_tmp49_, gtk_widget_get_type (), GtkWidget), TRUE);
#line 587 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp50_ = self->priv->entry_smtp_password;
#line 587 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		gtk_widget_set_sensitive (G_TYPE_CHECK_INSTANCE_CAST (_tmp50_, gtk_widget_get_type (), GtkWidget), TRUE);
#line 2728 "add-edit-page.c"
	}
}


static void add_edit_page_on_signature_stack_changed (AddEditPage* self) {
	GtkStack* _tmp0_;
	const gchar* _tmp1_;
	const gchar* _tmp2_;
#line 591 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_if_fail (IS_ADD_EDIT_PAGE (self));
#line 592 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp0_ = self->priv->signature_stack;
#line 592 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp1_ = gtk_stack_get_visible_child_name (_tmp0_);
#line 592 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp2_ = _tmp1_;
#line 592 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	if (g_strcmp0 (_tmp2_, "preview_window") == 0) {
#line 2747 "add-edit-page.c"
		StylishWebView* _tmp3_;
		gchar* _tmp4_;
		gchar* _tmp5_;
		gchar* _tmp6_;
		gchar* _tmp7_;
		gchar* _tmp8_;
#line 593 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp3_ = self->priv->preview_webview;
#line 593 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp4_ = add_edit_page_get_email_signature (self);
#line 593 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp5_ = _tmp4_;
#line 593 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp6_ = _tmp5_;
#line 593 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp7_ = smart_escape (_tmp6_, TRUE);
#line 593 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp8_ = _tmp7_;
#line 593 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		webkit_web_view_load_html_string (G_TYPE_CHECK_INSTANCE_CAST (_tmp3_, webkit_web_view_get_type (), WebKitWebView), _tmp8_, "");
#line 593 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_g_free0 (_tmp8_);
#line 593 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_g_free0 (_tmp6_);
#line 2772 "add-edit-page.c"
	}
}


static guint16 add_edit_page_get_default_smtp_port (AddEditPage* self) {
	guint16 result = 0U;
	GtkComboBox* _tmp0_;
	gint _tmp1_;
	gint _tmp2_;
#line 596 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_val_if_fail (IS_ADD_EDIT_PAGE (self), 0U);
#line 597 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp0_ = self->priv->combo_smtp_encryption;
#line 597 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp1_ = gtk_combo_box_get_active (_tmp0_);
#line 597 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp2_ = _tmp1_;
#line 597 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	switch (_tmp2_) {
#line 597 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		case ADD_EDIT_PAGE_ENCRYPTION_SSL:
#line 2794 "add-edit-page.c"
		{
#line 599 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			result = GEARY_SMTP_CLIENT_CONNECTION_DEFAULT_PORT_SSL;
#line 599 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			return result;
#line 2800 "add-edit-page.c"
		}
#line 597 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		case ADD_EDIT_PAGE_ENCRYPTION_STARTTLS:
#line 2804 "add-edit-page.c"
		{
#line 602 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			result = GEARY_SMTP_CLIENT_CONNECTION_DEFAULT_PORT_STARTTLS;
#line 602 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			return result;
#line 2810 "add-edit-page.c"
		}
		default:
#line 597 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		case ADD_EDIT_PAGE_ENCRYPTION_NONE:
#line 2815 "add-edit-page.c"
		{
#line 606 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			result = GEARY_SMTP_CLIENT_CONNECTION_DEFAULT_PORT;
#line 606 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			return result;
#line 2821 "add-edit-page.c"
		}
	}
}


gboolean add_edit_page_is_complete (AddEditPage* self) {
	gboolean result = FALSE;
	GearyServiceProvider _tmp0_;
#line 610 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_val_if_fail (IS_ADD_EDIT_PAGE (self), FALSE);
#line 611 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp0_ = add_edit_page_get_service_provider (self);
#line 611 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	switch (_tmp0_) {
#line 611 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		case GEARY_SERVICE_PROVIDER_OTHER:
#line 2838 "add-edit-page.c"
		{
			gboolean _tmp1_ = FALSE;
			gboolean _tmp2_ = FALSE;
			gboolean _tmp3_ = FALSE;
			gboolean _tmp4_ = FALSE;
			gboolean _tmp5_ = FALSE;
			gboolean _tmp6_ = FALSE;
			gboolean _tmp7_ = FALSE;
			const gchar* _tmp8_;
			const gchar* _tmp9_;
			gboolean _tmp10_;
			gboolean _tmp36_ = FALSE;
			gboolean _tmp37_ = FALSE;
			const gchar* _tmp38_;
			const gchar* _tmp39_;
			gboolean _tmp40_;
#line 613 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			_tmp8_ = add_edit_page_get_nickname (self);
#line 613 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			_tmp9_ = _tmp8_;
#line 613 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			_tmp10_ = geary_string_is_empty_or_whitespace (_tmp9_);
#line 613 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			if (_tmp10_) {
#line 613 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp7_ = TRUE;
#line 2865 "add-edit-page.c"
			} else {
				const gchar* _tmp11_;
				const gchar* _tmp12_;
				gboolean _tmp13_;
#line 614 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp11_ = add_edit_page_get_email_address (self);
#line 614 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp12_ = _tmp11_;
#line 614 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp13_ = geary_string_is_empty_or_whitespace (_tmp12_);
#line 614 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp7_ = _tmp13_;
#line 2878 "add-edit-page.c"
			}
#line 613 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			if (_tmp7_) {
#line 613 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp6_ = TRUE;
#line 2884 "add-edit-page.c"
			} else {
				const gchar* _tmp14_;
				const gchar* _tmp15_;
				gboolean _tmp16_;
#line 615 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp14_ = add_edit_page_get_imap_host (self);
#line 615 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp15_ = _tmp14_;
#line 615 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp16_ = geary_string_is_empty_or_whitespace (_tmp15_);
#line 615 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp6_ = _tmp16_;
#line 2897 "add-edit-page.c"
			}
#line 613 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			if (_tmp6_) {
#line 613 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp5_ = TRUE;
#line 2903 "add-edit-page.c"
			} else {
				guint16 _tmp17_;
				guint16 _tmp18_;
				gchar* _tmp19_;
				gchar* _tmp20_;
				gboolean _tmp21_;
#line 616 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp17_ = add_edit_page_get_imap_port (self);
#line 616 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp18_ = _tmp17_;
#line 616 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp19_ = g_strdup_printf ("%hu", _tmp18_);
#line 616 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp20_ = _tmp19_;
#line 616 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp21_ = geary_string_is_empty_or_whitespace (_tmp20_);
#line 616 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp5_ = _tmp21_;
#line 616 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_g_free0 (_tmp20_);
#line 2924 "add-edit-page.c"
			}
#line 613 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			if (_tmp5_) {
#line 613 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp4_ = TRUE;
#line 2930 "add-edit-page.c"
			} else {
				const gchar* _tmp22_;
				const gchar* _tmp23_;
				gboolean _tmp24_;
#line 617 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp22_ = add_edit_page_get_imap_username (self);
#line 617 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp23_ = _tmp22_;
#line 617 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp24_ = geary_string_is_empty_or_whitespace (_tmp23_);
#line 617 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp4_ = _tmp24_;
#line 2943 "add-edit-page.c"
			}
#line 613 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			if (_tmp4_) {
#line 613 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp3_ = TRUE;
#line 2949 "add-edit-page.c"
			} else {
				const gchar* _tmp25_;
				const gchar* _tmp26_;
				gboolean _tmp27_;
#line 618 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp25_ = add_edit_page_get_imap_password (self);
#line 618 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp26_ = _tmp25_;
#line 618 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp27_ = geary_string_is_empty_or_whitespace (_tmp26_);
#line 618 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp3_ = _tmp27_;
#line 2962 "add-edit-page.c"
			}
#line 613 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			if (_tmp3_) {
#line 613 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp2_ = TRUE;
#line 2968 "add-edit-page.c"
			} else {
				const gchar* _tmp28_;
				const gchar* _tmp29_;
				gboolean _tmp30_;
#line 619 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp28_ = add_edit_page_get_smtp_host (self);
#line 619 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp29_ = _tmp28_;
#line 619 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp30_ = geary_string_is_empty_or_whitespace (_tmp29_);
#line 619 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp2_ = _tmp30_;
#line 2981 "add-edit-page.c"
			}
#line 613 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			if (_tmp2_) {
#line 613 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp1_ = TRUE;
#line 2987 "add-edit-page.c"
			} else {
				guint16 _tmp31_;
				guint16 _tmp32_;
				gchar* _tmp33_;
				gchar* _tmp34_;
				gboolean _tmp35_;
#line 620 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp31_ = add_edit_page_get_smtp_port (self);
#line 620 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp32_ = _tmp31_;
#line 620 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp33_ = g_strdup_printf ("%hu", _tmp32_);
#line 620 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp34_ = _tmp33_;
#line 620 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp35_ = geary_string_is_empty_or_whitespace (_tmp34_);
#line 620 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp1_ = _tmp35_;
#line 620 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_g_free0 (_tmp34_);
#line 3008 "add-edit-page.c"
			}
#line 613 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			if (_tmp1_) {
#line 621 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				result = FALSE;
#line 621 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				return result;
#line 3016 "add-edit-page.c"
			}
#line 622 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			_tmp38_ = add_edit_page_get_smtp_username (self);
#line 622 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			_tmp39_ = _tmp38_;
#line 622 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			_tmp40_ = geary_string_is_empty_or_whitespace (_tmp39_);
#line 622 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			if (_tmp40_) {
#line 622 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp37_ = TRUE;
#line 3028 "add-edit-page.c"
			} else {
				const gchar* _tmp41_;
				const gchar* _tmp42_;
				gboolean _tmp43_;
#line 623 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp41_ = add_edit_page_get_smtp_password (self);
#line 623 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp42_ = _tmp41_;
#line 623 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp43_ = geary_string_is_empty_or_whitespace (_tmp42_);
#line 623 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp37_ = _tmp43_;
#line 3041 "add-edit-page.c"
			}
#line 622 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			if (_tmp37_) {
#line 3045 "add-edit-page.c"
				gboolean _tmp44_ = FALSE;
				GtkCheckButton* _tmp45_;
				gboolean _tmp46_;
				gboolean _tmp47_;
#line 624 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp45_ = self->priv->check_smtp_noauth;
#line 624 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp46_ = gtk_toggle_button_get_active (G_TYPE_CHECK_INSTANCE_CAST (_tmp45_, gtk_toggle_button_get_type (), GtkToggleButton));
#line 624 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp47_ = _tmp46_;
#line 624 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				if (_tmp47_) {
#line 624 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
					_tmp44_ = TRUE;
#line 3060 "add-edit-page.c"
				} else {
					GtkCheckButton* _tmp48_;
					gboolean _tmp49_;
					gboolean _tmp50_;
#line 624 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
					_tmp48_ = self->priv->check_smtp_use_imap_credentials;
#line 624 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
					_tmp49_ = gtk_toggle_button_get_active (G_TYPE_CHECK_INSTANCE_CAST (_tmp48_, gtk_toggle_button_get_type (), GtkToggleButton));
#line 624 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
					_tmp50_ = _tmp49_;
#line 624 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
					_tmp44_ = _tmp50_;
#line 3073 "add-edit-page.c"
				}
#line 624 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp36_ = !_tmp44_;
#line 3077 "add-edit-page.c"
			} else {
#line 622 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp36_ = FALSE;
#line 3081 "add-edit-page.c"
			}
#line 622 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			if (_tmp36_) {
#line 625 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				result = FALSE;
#line 625 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				return result;
#line 3089 "add-edit-page.c"
			}
#line 626 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			break;
#line 3093 "add-edit-page.c"
		}
		default:
		{
			gboolean _tmp51_ = FALSE;
			gboolean _tmp52_ = FALSE;
			const gchar* _tmp53_;
			const gchar* _tmp54_;
			gboolean _tmp55_;
#line 630 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			_tmp53_ = add_edit_page_get_nickname (self);
#line 630 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			_tmp54_ = _tmp53_;
#line 630 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			_tmp55_ = geary_string_is_empty_or_whitespace (_tmp54_);
#line 630 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			if (_tmp55_) {
#line 630 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp52_ = TRUE;
#line 3112 "add-edit-page.c"
			} else {
				const gchar* _tmp56_;
				const gchar* _tmp57_;
				gboolean _tmp58_;
#line 631 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp56_ = add_edit_page_get_email_address (self);
#line 631 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp57_ = _tmp56_;
#line 631 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp58_ = geary_string_is_empty_or_whitespace (_tmp57_);
#line 631 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp52_ = _tmp58_;
#line 3125 "add-edit-page.c"
			}
#line 630 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			if (_tmp52_) {
#line 630 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp51_ = TRUE;
#line 3131 "add-edit-page.c"
			} else {
				const gchar* _tmp59_;
				const gchar* _tmp60_;
				gboolean _tmp61_;
#line 632 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp59_ = add_edit_page_get_password (self);
#line 632 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp60_ = _tmp59_;
#line 632 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp61_ = geary_string_is_empty_or_whitespace (_tmp60_);
#line 632 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp51_ = _tmp61_;
#line 3144 "add-edit-page.c"
			}
#line 630 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			if (_tmp51_) {
#line 633 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				result = FALSE;
#line 633 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				return result;
#line 3152 "add-edit-page.c"
			}
#line 634 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			break;
#line 3156 "add-edit-page.c"
		}
	}
#line 637 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	result = TRUE;
#line 637 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	return result;
#line 3163 "add-edit-page.c"
}


static gchar* string_strip (const gchar* self) {
	gchar* result = NULL;
	gchar* _result_ = NULL;
	gchar* _tmp0_;
	const gchar* _tmp1_;
#line 1234 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1235 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	_tmp0_ = g_strdup (self);
#line 1235 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	_result_ = _tmp0_;
#line 1236 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	_tmp1_ = _result_;
#line 1236 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	g_strstrip (_tmp1_);
#line 1237 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	result = _result_;
#line 1237 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	return result;
#line 3186 "add-edit-page.c"
}


GearyAccountInformation* add_edit_page_get_account_information (AddEditPage* self) {
	GearyAccountInformation* result = NULL;
	GearyAccountInformation* account_information = NULL;
	GearyCredentials* imap_credentials = NULL;
	const gchar* _tmp0_;
	const gchar* _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
	const gchar* _tmp4_;
	const gchar* _tmp5_;
	gchar* _tmp6_;
	gchar* _tmp7_;
	GearyCredentials* _tmp8_;
	GearyCredentials* _tmp9_;
	gchar* _tmp10_ = NULL;
	gboolean _tmp11_;
	gboolean _tmp12_;
	gchar* _tmp19_ = NULL;
	gboolean _tmp20_;
	gboolean _tmp21_;
	GearyCredentials* smtp_credentials = NULL;
	GearyCredentials* _tmp28_;
	GearyAccountInformation* _tmp53_;
	const gchar* _tmp54_;
	const gchar* _tmp55_;
	gchar* _tmp56_;
	gchar* _tmp57_;
	GearyAccountInformation* _tmp58_;
	const gchar* _tmp59_;
	const gchar* _tmp60_;
	gchar* _tmp61_;
	gchar* _tmp62_;
	GearyAccountInformation* _tmp63_;
	GearyCredentials* _tmp64_;
	GearyAccountInformation* _tmp65_;
	GearyCredentials* _tmp66_;
	GearyAccountInformation* _tmp67_;
	gboolean _tmp68_;
	gboolean _tmp69_;
	GearyAccountInformation* _tmp70_;
	gboolean _tmp71_;
	gboolean _tmp72_;
	GearyAccountInformation* _tmp73_;
	GearyServiceProvider _tmp74_;
	GearyAccountInformation* _tmp75_;
	gboolean _tmp76_;
	gboolean _tmp77_;
	GearyAccountInformation* _tmp78_;
	const gchar* _tmp79_;
	const gchar* _tmp80_;
	GearyAccountInformation* _tmp81_;
	guint16 _tmp82_;
	guint16 _tmp83_;
	GearyAccountInformation* _tmp84_;
	gboolean _tmp85_;
	gboolean _tmp86_;
	GearyAccountInformation* _tmp87_;
	gboolean _tmp88_;
	gboolean _tmp89_;
	GearyAccountInformation* _tmp90_;
	const gchar* _tmp91_;
	const gchar* _tmp92_;
	gchar* _tmp93_;
	gchar* _tmp94_;
	GearyAccountInformation* _tmp95_;
	guint16 _tmp96_;
	guint16 _tmp97_;
	GearyAccountInformation* _tmp98_;
	gboolean _tmp99_;
	gboolean _tmp100_;
	GearyAccountInformation* _tmp101_;
	gboolean _tmp102_;
	gboolean _tmp103_;
	GearyAccountInformation* _tmp104_;
	gboolean _tmp105_;
	gboolean _tmp106_;
	GearyAccountInformation* _tmp107_;
	gboolean _tmp108_;
	gboolean _tmp109_;
	GearyAccountInformation* _tmp110_;
	gint _tmp111_;
	GearyAccountInformation* _tmp112_;
	gboolean _tmp113_;
	gboolean _tmp114_;
	GearyAccountInformation* _tmp115_;
	gboolean _tmp116_;
	gboolean _tmp117_;
	GearyAccountInformation* _tmp118_;
	gchar* _tmp119_;
	gchar* _tmp120_;
	gchar* _tmp121_;
	gboolean _tmp122_;
	gboolean _tmp123_;
	GError * _inner_error_ = NULL;
#line 640 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_val_if_fail (IS_ADD_EDIT_PAGE (self), NULL);
#line 642 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	add_edit_page_fix_credentials_for_supported_provider (self);
#line 644 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp0_ = add_edit_page_get_imap_username (self);
#line 644 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp1_ = _tmp0_;
#line 644 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp2_ = string_strip (_tmp1_);
#line 644 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp3_ = _tmp2_;
#line 644 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp4_ = add_edit_page_get_imap_password (self);
#line 644 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp5_ = _tmp4_;
#line 644 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp6_ = string_strip (_tmp5_);
#line 644 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp7_ = _tmp6_;
#line 644 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp8_ = geary_credentials_new (_tmp3_, _tmp7_);
#line 644 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp9_ = _tmp8_;
#line 644 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_free0 (_tmp7_);
#line 644 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_free0 (_tmp3_);
#line 644 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	imap_credentials = _tmp9_;
#line 646 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp11_ = add_edit_page_get_smtp_use_imap_credentials (self);
#line 646 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp12_ = _tmp11_;
#line 646 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	if (_tmp12_) {
#line 3320 "add-edit-page.c"
		const gchar* _tmp13_;
		const gchar* _tmp14_;
		gchar* _tmp15_;
#line 646 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp13_ = add_edit_page_get_imap_username (self);
#line 646 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp14_ = _tmp13_;
#line 646 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp15_ = string_strip (_tmp14_);
#line 646 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_g_free0 (_tmp10_);
#line 646 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp10_ = _tmp15_;
#line 3334 "add-edit-page.c"
	} else {
		const gchar* _tmp16_;
		const gchar* _tmp17_;
		gchar* _tmp18_;
#line 646 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp16_ = add_edit_page_get_smtp_username (self);
#line 646 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp17_ = _tmp16_;
#line 646 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp18_ = string_strip (_tmp17_);
#line 646 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_g_free0 (_tmp10_);
#line 646 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp10_ = _tmp18_;
#line 3349 "add-edit-page.c"
	}
#line 647 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp20_ = add_edit_page_get_smtp_use_imap_credentials (self);
#line 647 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp21_ = _tmp20_;
#line 647 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	if (_tmp21_) {
#line 3357 "add-edit-page.c"
		const gchar* _tmp22_;
		const gchar* _tmp23_;
		gchar* _tmp24_;
#line 647 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp22_ = add_edit_page_get_imap_password (self);
#line 647 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp23_ = _tmp22_;
#line 647 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp24_ = string_strip (_tmp23_);
#line 647 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_g_free0 (_tmp19_);
#line 647 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp19_ = _tmp24_;
#line 3371 "add-edit-page.c"
	} else {
		const gchar* _tmp25_;
		const gchar* _tmp26_;
		gchar* _tmp27_;
#line 647 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp25_ = add_edit_page_get_smtp_password (self);
#line 647 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp26_ = _tmp25_;
#line 647 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp27_ = string_strip (_tmp26_);
#line 647 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_g_free0 (_tmp19_);
#line 647 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp19_ = _tmp27_;
#line 3386 "add-edit-page.c"
	}
#line 645 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp28_ = geary_credentials_new (_tmp10_, _tmp19_);
#line 645 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	smtp_credentials = _tmp28_;
#line 3392 "add-edit-page.c"
	{
		GeeMap* _tmp29_ = NULL;
		GearyEngine* _tmp30_;
		GearyEngine* _tmp31_;
		GeeMap* _tmp32_;
		GearyAccountInformation* original_account = NULL;
		GeeMap* _tmp33_;
		GeeMap* _tmp34_;
		const gchar* _tmp35_;
		const gchar* _tmp36_;
		gpointer _tmp37_;
		GearyAccountInformation* _tmp38_;
		GearyAccountInformation* _tmp39_;
#line 650 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp30_ = geary_engine_get_instance ();
#line 650 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp31_ = _tmp30_;
#line 650 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp32_ = geary_engine_get_accounts (_tmp31_, &_inner_error_);
#line 650 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp29_ = _tmp32_;
#line 650 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 3416 "add-edit-page.c"
			goto __catch55_g_error;
		}
#line 650 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp33_ = _tmp29_;
#line 650 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp29_ = NULL;
#line 650 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp34_ = _tmp33_;
#line 650 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp35_ = add_edit_page_get_email_address (self);
#line 650 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp36_ = _tmp35_;
#line 650 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp37_ = gee_map_get (_tmp34_, _tmp36_);
#line 650 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp38_ = (GearyAccountInformation*) _tmp37_;
#line 650 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_g_object_unref0 (_tmp34_);
#line 650 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		original_account = _tmp38_;
#line 651 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp39_ = original_account;
#line 651 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		if (_tmp39_ == NULL) {
#line 3441 "add-edit-page.c"
			GearyAccountInformation* _tmp40_ = NULL;
			GearyEngine* _tmp41_;
			GearyEngine* _tmp42_;
			const gchar* _tmp43_;
			const gchar* _tmp44_;
			GearyAccountInformation* _tmp45_;
			GearyAccountInformation* _tmp46_;
#line 653 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			_tmp41_ = geary_engine_get_instance ();
#line 653 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			_tmp42_ = _tmp41_;
#line 653 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			_tmp43_ = add_edit_page_get_email_address (self);
#line 653 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			_tmp44_ = _tmp43_;
#line 653 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			_tmp45_ = geary_engine_create_orphan_account (_tmp42_, _tmp44_, &_inner_error_);
#line 653 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			_tmp40_ = _tmp45_;
#line 653 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 653 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_g_object_unref0 (original_account);
#line 653 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_g_object_unref0 (_tmp29_);
#line 3467 "add-edit-page.c"
				goto __catch55_g_error;
			}
#line 653 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			_tmp46_ = _tmp40_;
#line 653 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			_tmp40_ = NULL;
#line 653 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			_g_object_unref0 (account_information);
#line 653 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			account_information = _tmp46_;
#line 651 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			_g_object_unref0 (_tmp40_);
#line 3480 "add-edit-page.c"
		} else {
			GearyAccountInformation* _tmp47_;
			GearyAccountInformation* _tmp48_;
#line 656 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			_tmp47_ = original_account;
#line 656 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			_tmp48_ = geary_account_information_new_temp_copy (_tmp47_);
#line 656 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			_g_object_unref0 (account_information);
#line 656 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			account_information = _tmp48_;
#line 3492 "add-edit-page.c"
		}
#line 649 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_g_object_unref0 (original_account);
#line 649 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_g_object_unref0 (_tmp29_);
#line 3498 "add-edit-page.c"
	}
	goto __finally55;
	__catch55_g_error:
	{
		GError* err = NULL;
		const gchar* _tmp49_;
		const gchar* _tmp50_;
		GError* _tmp51_;
		const gchar* _tmp52_;
#line 649 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		err = _inner_error_;
#line 649 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_inner_error_ = NULL;
#line 659 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp49_ = add_edit_page_get_email_address (self);
#line 659 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp50_ = _tmp49_;
#line 659 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp51_ = err;
#line 659 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp52_ = _tmp51_->message;
#line 659 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		g_debug ("add-edit-page.vala:659: Unable to open account information for %s: %s", _tmp50_, _tmp52_);
#line 661 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		result = NULL;
#line 661 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_g_error_free0 (err);
#line 661 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_g_object_unref0 (smtp_credentials);
#line 661 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_g_free0 (_tmp19_);
#line 661 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_g_free0 (_tmp10_);
#line 661 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_g_object_unref0 (imap_credentials);
#line 661 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_g_object_unref0 (account_information);
#line 661 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		return result;
#line 3538 "add-edit-page.c"
	}
	__finally55:
#line 649 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 649 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_g_object_unref0 (smtp_credentials);
#line 649 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_g_free0 (_tmp19_);
#line 649 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_g_free0 (_tmp10_);
#line 649 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_g_object_unref0 (imap_credentials);
#line 649 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_g_object_unref0 (account_information);
#line 649 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 649 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		g_clear_error (&_inner_error_);
#line 649 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		return NULL;
#line 3559 "add-edit-page.c"
	}
#line 664 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp53_ = account_information;
#line 664 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp54_ = add_edit_page_get_real_name (self);
#line 664 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp55_ = _tmp54_;
#line 664 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp56_ = string_strip (_tmp55_);
#line 664 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp57_ = _tmp56_;
#line 664 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	geary_account_information_set_real_name (_tmp53_, _tmp57_);
#line 664 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_free0 (_tmp57_);
#line 665 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp58_ = account_information;
#line 665 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp59_ = add_edit_page_get_nickname (self);
#line 665 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp60_ = _tmp59_;
#line 665 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp61_ = string_strip (_tmp60_);
#line 665 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp62_ = _tmp61_;
#line 665 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	geary_account_information_set_nickname (_tmp58_, _tmp62_);
#line 665 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_free0 (_tmp62_);
#line 666 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp63_ = account_information;
#line 666 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp64_ = imap_credentials;
#line 666 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	geary_account_information_set_imap_credentials (_tmp63_, _tmp64_);
#line 667 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp65_ = account_information;
#line 667 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp66_ = smtp_credentials;
#line 667 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	geary_account_information_set_smtp_credentials (_tmp65_, _tmp66_);
#line 668 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp67_ = account_information;
#line 668 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp68_ = add_edit_page_get_remember_password (self);
#line 668 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp69_ = _tmp68_;
#line 668 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	geary_account_information_set_imap_remember_password (_tmp67_, _tmp69_);
#line 669 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp70_ = account_information;
#line 669 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp71_ = add_edit_page_get_remember_password (self);
#line 669 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp72_ = _tmp71_;
#line 669 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	geary_account_information_set_smtp_remember_password (_tmp70_, _tmp72_);
#line 670 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp73_ = account_information;
#line 670 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp74_ = add_edit_page_get_service_provider (self);
#line 670 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	geary_account_information_set_service_provider (_tmp73_, _tmp74_);
#line 671 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp75_ = account_information;
#line 671 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp76_ = add_edit_page_get_save_sent_mail (self);
#line 671 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp77_ = _tmp76_;
#line 671 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	geary_account_information_set_save_sent_mail (_tmp75_, _tmp77_);
#line 672 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp78_ = account_information;
#line 672 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp79_ = add_edit_page_get_imap_host (self);
#line 672 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp80_ = _tmp79_;
#line 672 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	geary_account_information_set_default_imap_server_host (_tmp78_, _tmp80_);
#line 673 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp81_ = account_information;
#line 673 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp82_ = add_edit_page_get_imap_port (self);
#line 673 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp83_ = _tmp82_;
#line 673 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	geary_account_information_set_default_imap_server_port (_tmp81_, _tmp83_);
#line 674 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp84_ = account_information;
#line 674 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp85_ = add_edit_page_get_imap_ssl (self);
#line 674 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp86_ = _tmp85_;
#line 674 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	geary_account_information_set_default_imap_server_ssl (_tmp84_, _tmp86_);
#line 675 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp87_ = account_information;
#line 675 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp88_ = add_edit_page_get_imap_starttls (self);
#line 675 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp89_ = _tmp88_;
#line 675 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	geary_account_information_set_default_imap_server_starttls (_tmp87_, _tmp89_);
#line 676 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp90_ = account_information;
#line 676 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp91_ = add_edit_page_get_smtp_host (self);
#line 676 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp92_ = _tmp91_;
#line 676 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp93_ = string_strip (_tmp92_);
#line 676 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp94_ = _tmp93_;
#line 676 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	geary_account_information_set_default_smtp_server_host (_tmp90_, _tmp94_);
#line 676 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_free0 (_tmp94_);
#line 677 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp95_ = account_information;
#line 677 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp96_ = add_edit_page_get_smtp_port (self);
#line 677 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp97_ = _tmp96_;
#line 677 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	geary_account_information_set_default_smtp_server_port (_tmp95_, _tmp97_);
#line 678 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp98_ = account_information;
#line 678 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp99_ = add_edit_page_get_smtp_ssl (self);
#line 678 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp100_ = _tmp99_;
#line 678 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	geary_account_information_set_default_smtp_server_ssl (_tmp98_, _tmp100_);
#line 679 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp101_ = account_information;
#line 679 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp102_ = add_edit_page_get_smtp_starttls (self);
#line 679 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp103_ = _tmp102_;
#line 679 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	geary_account_information_set_default_smtp_server_starttls (_tmp101_, _tmp103_);
#line 680 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp104_ = account_information;
#line 680 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp105_ = add_edit_page_get_smtp_use_imap_credentials (self);
#line 680 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp106_ = _tmp105_;
#line 680 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	geary_account_information_set_default_smtp_use_imap_credentials (_tmp104_, _tmp106_);
#line 681 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp107_ = account_information;
#line 681 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp108_ = add_edit_page_get_smtp_noauth (self);
#line 681 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp109_ = _tmp108_;
#line 681 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	geary_account_information_set_default_smtp_server_noauth (_tmp107_, _tmp109_);
#line 682 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp110_ = account_information;
#line 682 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp111_ = add_edit_page_get_storage_length (self);
#line 682 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	geary_account_information_set_prefetch_period_days (_tmp110_, _tmp111_);
#line 683 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp112_ = account_information;
#line 683 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp113_ = add_edit_page_get_save_drafts (self);
#line 683 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp114_ = _tmp113_;
#line 683 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	geary_account_information_set_save_drafts (_tmp112_, _tmp114_);
#line 684 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp115_ = account_information;
#line 684 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp116_ = add_edit_page_get_use_email_signature (self);
#line 684 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp117_ = _tmp116_;
#line 684 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	geary_account_information_set_use_email_signature (_tmp115_, _tmp117_);
#line 685 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp118_ = account_information;
#line 685 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp119_ = add_edit_page_get_email_signature (self);
#line 685 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp120_ = _tmp119_;
#line 685 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp121_ = _tmp120_;
#line 685 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	geary_account_information_set_email_signature (_tmp118_, _tmp121_);
#line 685 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_free0 (_tmp121_);
#line 687 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp122_ = add_edit_page_get_smtp_noauth (self);
#line 687 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp123_ = _tmp122_;
#line 687 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	if (_tmp123_) {
#line 3757 "add-edit-page.c"
		GearyAccountInformation* _tmp124_;
#line 688 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp124_ = account_information;
#line 688 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		geary_account_information_set_smtp_credentials (_tmp124_, NULL);
#line 3763 "add-edit-page.c"
	}
#line 690 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	add_edit_page_on_changed (self);
#line 692 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	result = account_information;
#line 692 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_object_unref0 (smtp_credentials);
#line 692 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_free0 (_tmp19_);
#line 692 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_free0 (_tmp10_);
#line 692 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_object_unref0 (imap_credentials);
#line 692 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	return result;
#line 3779 "add-edit-page.c"
}


static void add_edit_page_fix_credentials_for_supported_provider (AddEditPage* self) {
	GearyServiceProvider _tmp0_;
#line 696 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_if_fail (IS_ADD_EDIT_PAGE (self));
#line 697 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp0_ = add_edit_page_get_service_provider (self);
#line 697 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	if (_tmp0_ != GEARY_SERVICE_PROVIDER_OTHER) {
#line 3791 "add-edit-page.c"
		const gchar* _tmp1_;
		const gchar* _tmp2_;
		const gchar* _tmp3_;
		const gchar* _tmp4_;
		const gchar* _tmp5_;
		const gchar* _tmp6_;
		const gchar* _tmp7_;
		const gchar* _tmp8_;
#line 698 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp1_ = add_edit_page_get_email_address (self);
#line 698 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp2_ = _tmp1_;
#line 698 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		add_edit_page_set_imap_username (self, _tmp2_);
#line 699 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp3_ = add_edit_page_get_email_address (self);
#line 699 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp4_ = _tmp3_;
#line 699 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		add_edit_page_set_smtp_username (self, _tmp4_);
#line 700 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp5_ = add_edit_page_get_password (self);
#line 700 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp6_ = _tmp5_;
#line 700 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		add_edit_page_set_imap_password (self, _tmp6_);
#line 701 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp7_ = add_edit_page_get_password (self);
#line 701 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp8_ = _tmp7_;
#line 701 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		add_edit_page_set_smtp_password (self, _tmp8_);
#line 3824 "add-edit-page.c"
	}
}


void add_edit_page_update_ui (AddEditPage* self) {
	GtkBox* _tmp0_;
	AddEditPagePageMode _tmp1_;
	GtkEntry* _tmp2_;
	GtkLabel* _tmp3_;
	AddEditPagePageMode _tmp4_;
	GtkBox* _tmp5_;
	AddEditPagePageMode _tmp6_;
	GtkCheckButton* _tmp7_;
	AddEditPagePageMode _tmp8_;
	GtkCheckButton* _tmp9_;
	AddEditPagePageMode _tmp10_;
	GtkBox* _tmp11_;
	AddEditPagePageMode _tmp12_;
	GtkButton* _tmp13_;
	AddEditPagePageMode _tmp14_;
	GearyServiceProvider _tmp15_;
	GtkComboBoxText* _tmp25_;
	GtkEntry* _tmp26_;
	GtkEntry* _tmp27_;
	GtkEntry* _tmp28_;
	GtkEntry* _tmp29_;
	GtkComboBox* _tmp30_;
	GtkEntry* _tmp31_;
	GtkEntry* _tmp32_;
	GtkEntry* _tmp33_;
	GtkComboBox* _tmp34_;
	GtkCheckButton* _tmp35_;
	GtkCheckButton* _tmp36_;
	AddEditPagePageMode _tmp37_;
	gboolean _tmp38_;
	gboolean _tmp39_;
	GtkLabel* _tmp47_;
	GearyEngineValidationResult _tmp48_;
	gboolean _tmp97_ = FALSE;
	gboolean _tmp98_;
#line 706 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_if_fail (IS_ADD_EDIT_PAGE (self));
#line 707 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	GTK_WIDGET_CLASS (add_edit_page_parent_class)->show_all (G_TYPE_CHECK_INSTANCE_CAST (G_TYPE_CHECK_INSTANCE_CAST (self, gtk_box_get_type (), GtkBox), gtk_widget_get_type (), GtkWidget));
#line 709 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp0_ = self->priv->welcome_box;
#line 709 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp1_ = self->priv->mode;
#line 709 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_widget_set_visible (G_TYPE_CHECK_INSTANCE_CAST (_tmp0_, gtk_widget_get_type (), GtkWidget), _tmp1_ == ADD_EDIT_PAGE_PAGE_MODE_WELCOME);
#line 710 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp2_ = self->priv->entry_nickname;
#line 710 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp3_ = self->priv->label_nickname;
#line 710 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp4_ = self->priv->mode;
#line 710 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_widget_set_visible (G_TYPE_CHECK_INSTANCE_CAST (_tmp3_, gtk_widget_get_type (), GtkWidget), _tmp4_ != ADD_EDIT_PAGE_PAGE_MODE_WELCOME);
#line 710 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_widget_set_visible (G_TYPE_CHECK_INSTANCE_CAST (_tmp2_, gtk_widget_get_type (), GtkWidget), _tmp4_ != ADD_EDIT_PAGE_PAGE_MODE_WELCOME);
#line 711 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp5_ = self->priv->storage_container;
#line 711 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp6_ = self->priv->mode;
#line 711 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_widget_set_visible (G_TYPE_CHECK_INSTANCE_CAST (_tmp5_, gtk_widget_get_type (), GtkWidget), _tmp6_ == ADD_EDIT_PAGE_PAGE_MODE_EDIT);
#line 712 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp7_ = self->priv->check_save_sent_mail;
#line 712 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp8_ = self->priv->mode;
#line 712 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_widget_set_visible (G_TYPE_CHECK_INSTANCE_CAST (_tmp7_, gtk_widget_get_type (), GtkWidget), _tmp8_ == ADD_EDIT_PAGE_PAGE_MODE_EDIT);
#line 713 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp9_ = self->priv->check_save_drafts;
#line 713 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp10_ = self->priv->mode;
#line 713 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_widget_set_visible (G_TYPE_CHECK_INSTANCE_CAST (_tmp9_, gtk_widget_get_type (), GtkWidget), _tmp10_ == ADD_EDIT_PAGE_PAGE_MODE_EDIT);
#line 714 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp11_ = self->priv->composer_container;
#line 714 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp12_ = self->priv->mode;
#line 714 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_widget_set_visible (G_TYPE_CHECK_INSTANCE_CAST (_tmp11_, gtk_widget_get_type (), GtkWidget), _tmp12_ == ADD_EDIT_PAGE_PAGE_MODE_EDIT);
#line 715 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp13_ = self->priv->alternate_email_button;
#line 715 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp14_ = self->priv->mode;
#line 715 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_widget_set_visible (G_TYPE_CHECK_INSTANCE_CAST (_tmp13_, gtk_widget_get_type (), GtkWidget), _tmp14_ == ADD_EDIT_PAGE_PAGE_MODE_EDIT);
#line 717 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp15_ = add_edit_page_get_service_provider (self);
#line 717 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	if (_tmp15_ == GEARY_SERVICE_PROVIDER_OTHER) {
#line 3919 "add-edit-page.c"
		GtkLabel* _tmp16_;
		GtkEntry* _tmp17_;
		GtkAlignment* _tmp18_;
		GtkCheckButton* _tmp19_;
#line 719 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp16_ = self->priv->label_password;
#line 719 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		gtk_widget_hide (G_TYPE_CHECK_INSTANCE_CAST (_tmp16_, gtk_widget_get_type (), GtkWidget));
#line 720 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp17_ = self->priv->entry_password;
#line 720 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		gtk_widget_hide (G_TYPE_CHECK_INSTANCE_CAST (_tmp17_, gtk_widget_get_type (), GtkWidget));
#line 721 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp18_ = self->priv->other_info;
#line 721 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		gtk_widget_show (G_TYPE_CHECK_INSTANCE_CAST (_tmp18_, gtk_widget_get_type (), GtkWidget));
#line 722 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		add_edit_page_set_other_info_sensitive (self, TRUE);
#line 723 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp19_ = self->priv->check_remember_password;
#line 723 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		gtk_button_set_label (G_TYPE_CHECK_INSTANCE_CAST (_tmp19_, gtk_button_get_type (), GtkButton), _ ("Remem_ber passwords"));
#line 3942 "add-edit-page.c"
	} else {
		GtkLabel* _tmp20_;
		GtkEntry* _tmp21_;
		GtkAlignment* _tmp22_;
		AddEditPagePageMode _tmp23_;
		GtkCheckButton* _tmp24_;
#line 726 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp20_ = self->priv->label_password;
#line 726 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		gtk_widget_show (G_TYPE_CHECK_INSTANCE_CAST (_tmp20_, gtk_widget_get_type (), GtkWidget));
#line 727 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp21_ = self->priv->entry_password;
#line 727 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		gtk_widget_show (G_TYPE_CHECK_INSTANCE_CAST (_tmp21_, gtk_widget_get_type (), GtkWidget));
#line 728 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp22_ = self->priv->other_info;
#line 728 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		gtk_widget_hide (G_TYPE_CHECK_INSTANCE_CAST (_tmp22_, gtk_widget_get_type (), GtkWidget));
#line 729 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp23_ = self->priv->mode;
#line 729 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		add_edit_page_set_other_info_sensitive (self, _tmp23_ == ADD_EDIT_PAGE_PAGE_MODE_WELCOME);
#line 730 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp24_ = self->priv->check_remember_password;
#line 730 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		gtk_button_set_label (G_TYPE_CHECK_INSTANCE_CAST (_tmp24_, gtk_button_get_type (), GtkButton), _ ("Remem_ber password"));
#line 3969 "add-edit-page.c"
	}
#line 734 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp25_ = self->priv->combo_service;
#line 734 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp26_ = self->priv->entry_email;
#line 734 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp27_ = self->priv->entry_imap_host;
#line 734 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp28_ = self->priv->entry_imap_port;
#line 734 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp29_ = self->priv->entry_imap_username;
#line 734 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp30_ = self->priv->combo_imap_encryption;
#line 734 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp31_ = self->priv->entry_smtp_host;
#line 734 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp32_ = self->priv->entry_smtp_port;
#line 734 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp33_ = self->priv->entry_smtp_username;
#line 734 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp34_ = self->priv->combo_smtp_encryption;
#line 734 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp35_ = self->priv->check_smtp_use_imap_credentials;
#line 734 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp36_ = self->priv->check_smtp_noauth;
#line 734 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp37_ = self->priv->mode;
#line 734 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_widget_set_sensitive (G_TYPE_CHECK_INSTANCE_CAST (_tmp36_, gtk_widget_get_type (), GtkWidget), _tmp37_ != ADD_EDIT_PAGE_PAGE_MODE_EDIT);
#line 734 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_widget_set_sensitive (G_TYPE_CHECK_INSTANCE_CAST (_tmp35_, gtk_widget_get_type (), GtkWidget), _tmp37_ != ADD_EDIT_PAGE_PAGE_MODE_EDIT);
#line 734 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_widget_set_sensitive (G_TYPE_CHECK_INSTANCE_CAST (_tmp34_, gtk_widget_get_type (), GtkWidget), _tmp37_ != ADD_EDIT_PAGE_PAGE_MODE_EDIT);
#line 734 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_widget_set_sensitive (G_TYPE_CHECK_INSTANCE_CAST (_tmp33_, gtk_widget_get_type (), GtkWidget), _tmp37_ != ADD_EDIT_PAGE_PAGE_MODE_EDIT);
#line 734 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_widget_set_sensitive (G_TYPE_CHECK_INSTANCE_CAST (_tmp32_, gtk_widget_get_type (), GtkWidget), _tmp37_ != ADD_EDIT_PAGE_PAGE_MODE_EDIT);
#line 734 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_widget_set_sensitive (G_TYPE_CHECK_INSTANCE_CAST (_tmp31_, gtk_widget_get_type (), GtkWidget), _tmp37_ != ADD_EDIT_PAGE_PAGE_MODE_EDIT);
#line 734 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_widget_set_sensitive (G_TYPE_CHECK_INSTANCE_CAST (_tmp30_, gtk_widget_get_type (), GtkWidget), _tmp37_ != ADD_EDIT_PAGE_PAGE_MODE_EDIT);
#line 734 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_widget_set_sensitive (G_TYPE_CHECK_INSTANCE_CAST (_tmp29_, gtk_widget_get_type (), GtkWidget), _tmp37_ != ADD_EDIT_PAGE_PAGE_MODE_EDIT);
#line 734 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_widget_set_sensitive (G_TYPE_CHECK_INSTANCE_CAST (_tmp28_, gtk_widget_get_type (), GtkWidget), _tmp37_ != ADD_EDIT_PAGE_PAGE_MODE_EDIT);
#line 734 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_widget_set_sensitive (G_TYPE_CHECK_INSTANCE_CAST (_tmp27_, gtk_widget_get_type (), GtkWidget), _tmp37_ != ADD_EDIT_PAGE_PAGE_MODE_EDIT);
#line 734 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_widget_set_sensitive (G_TYPE_CHECK_INSTANCE_CAST (_tmp26_, gtk_widget_get_type (), GtkWidget), _tmp37_ != ADD_EDIT_PAGE_PAGE_MODE_EDIT);
#line 734 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_widget_set_sensitive (G_TYPE_CHECK_INSTANCE_CAST (_tmp25_, gtk_widget_get_type (), GtkWidget), _tmp37_ != ADD_EDIT_PAGE_PAGE_MODE_EDIT);
#line 748 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp38_ = add_edit_page_get_smtp_noauth (self);
#line 748 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp39_ = _tmp38_;
#line 748 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	if (_tmp39_) {
#line 4027 "add-edit-page.c"
		GtkCheckButton* _tmp40_;
		GtkEntry* _tmp41_;
		GtkEntry* _tmp42_;
#line 749 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp40_ = self->priv->check_smtp_use_imap_credentials;
#line 749 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		gtk_widget_set_sensitive (G_TYPE_CHECK_INSTANCE_CAST (_tmp40_, gtk_widget_get_type (), GtkWidget), FALSE);
#line 750 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp41_ = self->priv->entry_smtp_username;
#line 750 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		gtk_widget_set_sensitive (G_TYPE_CHECK_INSTANCE_CAST (_tmp41_, gtk_widget_get_type (), GtkWidget), FALSE);
#line 751 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp42_ = self->priv->entry_smtp_password;
#line 751 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		gtk_widget_set_sensitive (G_TYPE_CHECK_INSTANCE_CAST (_tmp42_, gtk_widget_get_type (), GtkWidget), FALSE);
#line 4043 "add-edit-page.c"
	} else {
		gboolean _tmp43_;
		gboolean _tmp44_;
#line 752 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp43_ = add_edit_page_get_smtp_use_imap_credentials (self);
#line 752 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp44_ = _tmp43_;
#line 752 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		if (_tmp44_) {
#line 4053 "add-edit-page.c"
			GtkEntry* _tmp45_;
			GtkEntry* _tmp46_;
#line 753 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			_tmp45_ = self->priv->entry_smtp_username;
#line 753 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			gtk_widget_set_sensitive (G_TYPE_CHECK_INSTANCE_CAST (_tmp45_, gtk_widget_get_type (), GtkWidget), FALSE);
#line 754 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			_tmp46_ = self->priv->entry_smtp_password;
#line 754 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			gtk_widget_set_sensitive (G_TYPE_CHECK_INSTANCE_CAST (_tmp46_, gtk_widget_get_type (), GtkWidget), FALSE);
#line 4064 "add-edit-page.c"
		}
	}
#line 758 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp47_ = self->priv->label_error;
#line 758 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_widget_set_visible (G_TYPE_CHECK_INSTANCE_CAST (_tmp47_, gtk_widget_get_type (), GtkWidget), FALSE);
#line 759 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp48_ = self->priv->last_validation_result;
#line 759 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	if (_tmp48_ == GEARY_ENGINE_VALIDATION_RESULT_OK) {
#line 4075 "add-edit-page.c"
		GtkLabel* _tmp49_;
#line 760 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp49_ = self->priv->label_error;
#line 760 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		gtk_widget_set_visible (G_TYPE_CHECK_INSTANCE_CAST (_tmp49_, gtk_widget_get_type (), GtkWidget), FALSE);
#line 4081 "add-edit-page.c"
	} else {
		GtkLabel* _tmp50_;
		gchar* error_string = NULL;
		gchar* _tmp51_;
		GearyEngineValidationResult _tmp52_;
		gboolean _tmp53_;
		GearyEngineValidationResult _tmp56_;
		gboolean _tmp57_;
		GearyServiceProvider _tmp60_;
		GtkLabel* _tmp91_;
		const gchar* _tmp92_;
		gchar* _tmp93_;
		gchar* _tmp94_;
		gchar* _tmp95_;
		gchar* _tmp96_;
#line 762 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp50_ = self->priv->label_error;
#line 762 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		gtk_widget_set_visible (G_TYPE_CHECK_INSTANCE_CAST (_tmp50_, gtk_widget_get_type (), GtkWidget), TRUE);
#line 764 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp51_ = g_strdup (_ ("Unable to validate:\n"));
#line 764 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		error_string = _tmp51_;
#line 765 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp52_ = self->priv->last_validation_result;
#line 765 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp53_ = geary_engine_validation_result_is_all_set (_tmp52_, GEARY_ENGINE_VALIDATION_RESULT_INVALID_NICKNAME);
#line 765 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		if (_tmp53_) {
#line 4111 "add-edit-page.c"
			const gchar* _tmp54_;
			gchar* _tmp55_;
#line 766 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			_tmp54_ = error_string;
#line 766 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			_tmp55_ = g_strconcat (_tmp54_, _ ("        &#8226; Invalid account nickname.\n"), NULL);
#line 766 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			_g_free0 (error_string);
#line 766 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			error_string = _tmp55_;
#line 4122 "add-edit-page.c"
		}
#line 768 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp56_ = self->priv->last_validation_result;
#line 768 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp57_ = geary_engine_validation_result_is_all_set (_tmp56_, GEARY_ENGINE_VALIDATION_RESULT_EMAIL_EXISTS);
#line 768 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		if (_tmp57_) {
#line 4130 "add-edit-page.c"
			const gchar* _tmp58_;
			gchar* _tmp59_;
#line 769 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			_tmp58_ = error_string;
#line 769 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			_tmp59_ = g_strconcat (_tmp58_, _ ("        &#8226; Email address already added to Geary.\n"), NULL);
#line 769 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			_g_free0 (error_string);
#line 769 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			error_string = _tmp59_;
#line 4141 "add-edit-page.c"
		}
#line 771 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp60_ = add_edit_page_get_service_provider (self);
#line 771 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		if (_tmp60_ == GEARY_SERVICE_PROVIDER_OTHER) {
#line 4147 "add-edit-page.c"
			GearyEngineValidationResult _tmp61_;
			gboolean _tmp62_;
			GearyEngineValidationResult _tmp65_;
			gboolean _tmp66_;
			GearyEngineValidationResult _tmp69_;
			gboolean _tmp70_;
			GearyEngineValidationResult _tmp73_;
			gboolean _tmp74_;
#line 772 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			_tmp61_ = self->priv->last_validation_result;
#line 772 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			_tmp62_ = geary_engine_validation_result_is_all_set (_tmp61_, GEARY_ENGINE_VALIDATION_RESULT_IMAP_CONNECTION_FAILED);
#line 772 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			if (_tmp62_) {
#line 4162 "add-edit-page.c"
				const gchar* _tmp63_;
				gchar* _tmp64_;
#line 773 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp63_ = error_string;
#line 773 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp64_ = g_strconcat (_tmp63_, _ ("        &#8226; IMAP connection error.\n"), NULL);
#line 773 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_g_free0 (error_string);
#line 773 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				error_string = _tmp64_;
#line 4173 "add-edit-page.c"
			}
#line 775 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			_tmp65_ = self->priv->last_validation_result;
#line 775 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			_tmp66_ = geary_engine_validation_result_is_all_set (_tmp65_, GEARY_ENGINE_VALIDATION_RESULT_IMAP_CREDENTIALS_INVALID);
#line 775 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			if (_tmp66_) {
#line 4181 "add-edit-page.c"
				const gchar* _tmp67_;
				gchar* _tmp68_;
#line 776 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp67_ = error_string;
#line 776 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp68_ = g_strconcat (_tmp67_, _ ("        &#8226; IMAP username or password incorrect.\n"), NULL);
#line 776 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_g_free0 (error_string);
#line 776 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				error_string = _tmp68_;
#line 4192 "add-edit-page.c"
			}
#line 778 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			_tmp69_ = self->priv->last_validation_result;
#line 778 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			_tmp70_ = geary_engine_validation_result_is_all_set (_tmp69_, GEARY_ENGINE_VALIDATION_RESULT_SMTP_CONNECTION_FAILED);
#line 778 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			if (_tmp70_) {
#line 4200 "add-edit-page.c"
				const gchar* _tmp71_;
				gchar* _tmp72_;
#line 779 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp71_ = error_string;
#line 779 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp72_ = g_strconcat (_tmp71_, _ ("        &#8226; SMTP connection error.\n"), NULL);
#line 779 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_g_free0 (error_string);
#line 779 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				error_string = _tmp72_;
#line 4211 "add-edit-page.c"
			}
#line 781 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			_tmp73_ = self->priv->last_validation_result;
#line 781 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			_tmp74_ = geary_engine_validation_result_is_all_set (_tmp73_, GEARY_ENGINE_VALIDATION_RESULT_SMTP_CREDENTIALS_INVALID);
#line 781 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			if (_tmp74_) {
#line 4219 "add-edit-page.c"
				const gchar* _tmp75_;
				gchar* _tmp76_;
#line 782 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp75_ = error_string;
#line 782 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp76_ = g_strconcat (_tmp75_, _ ("        &#8226; SMTP username or password incorrect.\n"), NULL);
#line 782 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_g_free0 (error_string);
#line 782 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				error_string = _tmp76_;
#line 4230 "add-edit-page.c"
			}
		} else {
			gboolean _tmp77_ = FALSE;
			GearyEngineValidationResult _tmp78_;
			gboolean _tmp79_;
			gboolean _tmp84_ = FALSE;
			GearyEngineValidationResult _tmp85_;
			gboolean _tmp86_;
#line 784 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			_tmp78_ = self->priv->last_validation_result;
#line 784 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			_tmp79_ = geary_engine_validation_result_is_all_set (_tmp78_, GEARY_ENGINE_VALIDATION_RESULT_IMAP_CONNECTION_FAILED);
#line 784 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			if (_tmp79_) {
#line 784 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp77_ = TRUE;
#line 4247 "add-edit-page.c"
			} else {
				GearyEngineValidationResult _tmp80_;
				gboolean _tmp81_;
#line 785 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp80_ = self->priv->last_validation_result;
#line 785 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp81_ = geary_engine_validation_result_is_all_set (_tmp80_, GEARY_ENGINE_VALIDATION_RESULT_SMTP_CONNECTION_FAILED);
#line 785 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp77_ = _tmp81_;
#line 4257 "add-edit-page.c"
			}
#line 784 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			if (_tmp77_) {
#line 4261 "add-edit-page.c"
				const gchar* _tmp82_;
				gchar* _tmp83_;
#line 786 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp82_ = error_string;
#line 786 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp83_ = g_strconcat (_tmp82_, _ ("        &#8226; Connection error.\n"), NULL);
#line 786 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_g_free0 (error_string);
#line 786 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				error_string = _tmp83_;
#line 4272 "add-edit-page.c"
			}
#line 788 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			_tmp85_ = self->priv->last_validation_result;
#line 788 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			_tmp86_ = geary_engine_validation_result_is_all_set (_tmp85_, GEARY_ENGINE_VALIDATION_RESULT_IMAP_CREDENTIALS_INVALID);
#line 788 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			if (_tmp86_) {
#line 788 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp84_ = TRUE;
#line 4282 "add-edit-page.c"
			} else {
				GearyEngineValidationResult _tmp87_;
				gboolean _tmp88_;
#line 789 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp87_ = self->priv->last_validation_result;
#line 789 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp88_ = geary_engine_validation_result_is_all_set (_tmp87_, GEARY_ENGINE_VALIDATION_RESULT_SMTP_CREDENTIALS_INVALID);
#line 789 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp84_ = _tmp88_;
#line 4292 "add-edit-page.c"
			}
#line 788 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			if (_tmp84_) {
#line 4296 "add-edit-page.c"
				const gchar* _tmp89_;
				gchar* _tmp90_;
#line 790 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp89_ = error_string;
#line 790 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp90_ = g_strconcat (_tmp89_, _ ("        &#8226; Username or password incorrect.\n"), NULL);
#line 790 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_g_free0 (error_string);
#line 790 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				error_string = _tmp90_;
#line 4307 "add-edit-page.c"
			}
		}
#line 793 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp91_ = self->priv->label_error;
#line 793 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp92_ = error_string;
#line 793 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp93_ = g_strconcat ("<span color=\"red\">", _tmp92_, NULL);
#line 793 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp94_ = _tmp93_;
#line 793 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp95_ = g_strconcat (_tmp94_, "</span>", NULL);
#line 793 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp96_ = _tmp95_;
#line 793 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		gtk_label_set_label (_tmp91_, _tmp96_);
#line 793 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_g_free0 (_tmp96_);
#line 793 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_g_free0 (_tmp94_);
#line 759 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_g_free0 (error_string);
#line 4330 "add-edit-page.c"
	}
#line 796 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_signal_emit (self, add_edit_page_signals[ADD_EDIT_PAGE_SIZE_CHANGED_SIGNAL], 0);
#line 801 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp98_ = self->priv->first_ui_update;
#line 801 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	if (_tmp98_) {
#line 4338 "add-edit-page.c"
		GtkContainer* _tmp99_;
		GtkContainer* _tmp100_;
		gboolean _tmp101_;
#line 801 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp99_ = gtk_widget_get_parent (G_TYPE_CHECK_INSTANCE_CAST (self, gtk_widget_get_type (), GtkWidget));
#line 801 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp100_ = _tmp99_;
#line 801 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp101_ = gtk_widget_get_visible (G_TYPE_CHECK_INSTANCE_CAST (_tmp100_, gtk_widget_get_type (), GtkWidget));
#line 801 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp97_ = _tmp101_;
#line 4350 "add-edit-page.c"
	} else {
#line 801 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp97_ = FALSE;
#line 4354 "add-edit-page.c"
	}
#line 801 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	if (_tmp97_) {
#line 4358 "add-edit-page.c"
		AddEditPagePageMode _tmp102_;
#line 802 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp102_ = self->priv->mode;
#line 802 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		if (_tmp102_ == ADD_EDIT_PAGE_PAGE_MODE_EDIT) {
#line 4364 "add-edit-page.c"
			GearyServiceProvider _tmp103_;
#line 803 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			_tmp103_ = add_edit_page_get_service_provider (self);
#line 803 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			if (_tmp103_ != GEARY_SERVICE_PROVIDER_OTHER) {
#line 4370 "add-edit-page.c"
				GtkEntry* _tmp104_;
#line 804 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp104_ = self->priv->entry_password;
#line 804 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				gtk_widget_grab_focus (G_TYPE_CHECK_INSTANCE_CAST (_tmp104_, gtk_widget_get_type (), GtkWidget));
#line 4376 "add-edit-page.c"
			} else {
				GtkEntry* _tmp105_;
#line 806 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp105_ = self->priv->entry_imap_password;
#line 806 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				gtk_widget_grab_focus (G_TYPE_CHECK_INSTANCE_CAST (_tmp105_, gtk_widget_get_type (), GtkWidget));
#line 4383 "add-edit-page.c"
			}
		} else {
			const gchar* _tmp106_;
			const gchar* _tmp107_;
			gboolean _tmp108_;
#line 808 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			_tmp106_ = add_edit_page_get_real_name (self);
#line 808 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			_tmp107_ = _tmp106_;
#line 808 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			_tmp108_ = geary_string_is_empty (_tmp107_);
#line 808 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			if (_tmp108_) {
#line 4397 "add-edit-page.c"
				GtkEntry* _tmp109_;
#line 809 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp109_ = self->priv->entry_real_name;
#line 809 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				gtk_widget_grab_focus (G_TYPE_CHECK_INSTANCE_CAST (_tmp109_, gtk_widget_get_type (), GtkWidget));
#line 4403 "add-edit-page.c"
			} else {
				AddEditPagePageMode _tmp110_;
#line 810 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp110_ = self->priv->mode;
#line 810 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				if (_tmp110_ == ADD_EDIT_PAGE_PAGE_MODE_ADD) {
#line 4410 "add-edit-page.c"
					GtkEntry* _tmp111_;
#line 811 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
					_tmp111_ = self->priv->entry_nickname;
#line 811 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
					gtk_widget_grab_focus (G_TYPE_CHECK_INSTANCE_CAST (_tmp111_, gtk_widget_get_type (), GtkWidget));
#line 4416 "add-edit-page.c"
				} else {
					GtkEntry* _tmp112_;
#line 813 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
					_tmp112_ = self->priv->entry_email;
#line 813 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
					gtk_widget_grab_focus (G_TYPE_CHECK_INSTANCE_CAST (_tmp112_, gtk_widget_get_type (), GtkWidget));
#line 4423 "add-edit-page.c"
				}
			}
		}
#line 816 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		self->priv->first_ui_update = FALSE;
#line 4429 "add-edit-page.c"
	}
}


GearyServiceProvider add_edit_page_get_service_provider (AddEditPage* self) {
	GearyServiceProvider result = 0;
	GtkComboBoxText* _tmp0_;
	gint _tmp1_;
#line 820 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_val_if_fail (IS_ADD_EDIT_PAGE (self), 0);
#line 821 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp0_ = self->priv->combo_service;
#line 821 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp1_ = gtk_combo_box_get_active (G_TYPE_CHECK_INSTANCE_CAST (_tmp0_, gtk_combo_box_get_type (), GtkComboBox));
#line 821 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	result = (GearyServiceProvider) _tmp1_;
#line 821 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	return result;
#line 4448 "add-edit-page.c"
}


void add_edit_page_set_service_provider (AddEditPage* self, GearyServiceProvider provider) {
	gint _tmp0_;
	GearyServiceProvider* _tmp1_;
	GtkComboBoxText* _tmp6_;
	gint _tmp7_;
#line 824 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_if_fail (IS_ADD_EDIT_PAGE (self));
#line 825 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp1_ = geary_service_provider_get_providers (&_tmp0_);
#line 4461 "add-edit-page.c"
	{
		GearyServiceProvider* p_collection = NULL;
		gint p_collection_length1 = 0;
		gint _p_collection_size_ = 0;
		gint p_it = 0;
#line 825 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		p_collection = _tmp1_;
#line 825 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		p_collection_length1 = _tmp0_;
#line 825 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		for (p_it = 0; p_it < _tmp0_; p_it = p_it + 1) {
#line 4473 "add-edit-page.c"
			GearyServiceProvider p = 0;
#line 825 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
			p = p_collection[p_it];
#line 4477 "add-edit-page.c"
			{
				GearyServiceProvider _tmp2_;
				GearyServiceProvider _tmp3_;
#line 826 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp2_ = p;
#line 826 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				_tmp3_ = provider;
#line 826 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
				if (_tmp2_ == _tmp3_) {
#line 4487 "add-edit-page.c"
					GtkComboBoxText* _tmp4_;
					GearyServiceProvider _tmp5_;
#line 827 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
					_tmp4_ = self->priv->combo_service;
#line 827 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
					_tmp5_ = p;
#line 827 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
					gtk_combo_box_set_active (G_TYPE_CHECK_INSTANCE_CAST (_tmp4_, gtk_combo_box_get_type (), GtkComboBox), (gint) _tmp5_);
#line 4496 "add-edit-page.c"
				}
			}
		}
#line 825 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		p_collection = (g_free (p_collection), NULL);
#line 4502 "add-edit-page.c"
	}
#line 830 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp6_ = self->priv->combo_service;
#line 830 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp7_ = gtk_combo_box_get_active (G_TYPE_CHECK_INSTANCE_CAST (_tmp6_, gtk_combo_box_get_type (), GtkComboBox));
#line 830 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	if (_tmp7_ == -1) {
#line 4510 "add-edit-page.c"
		GtkComboBoxText* _tmp8_;
#line 831 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp8_ = self->priv->combo_service;
#line 831 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		gtk_combo_box_set_active (G_TYPE_CHECK_INSTANCE_CAST (_tmp8_, gtk_combo_box_get_type (), GtkComboBox), 0);
#line 4516 "add-edit-page.c"
	}
}


void add_edit_page_set_other_info_sensitive (AddEditPage* self, gboolean sensitive) {
	GtkEntry* _tmp0_;
	gboolean _tmp1_;
	GtkEntry* _tmp2_;
	gboolean _tmp3_;
	GtkEntry* _tmp4_;
	gboolean _tmp5_;
	GtkEntry* _tmp6_;
	gboolean _tmp7_;
	GtkComboBox* _tmp8_;
	gboolean _tmp9_;
	GtkEntry* _tmp10_;
	gboolean _tmp11_;
	GtkEntry* _tmp12_;
	gboolean _tmp13_;
	GtkCheckButton* _tmp14_;
	gboolean _tmp15_;
	GtkEntry* _tmp16_;
	gboolean _tmp17_;
	GtkEntry* _tmp18_;
	gboolean _tmp19_;
	GtkComboBox* _tmp20_;
	gboolean _tmp21_;
#line 835 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_if_fail (IS_ADD_EDIT_PAGE (self));
#line 836 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp0_ = self->priv->entry_imap_host;
#line 836 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp1_ = sensitive;
#line 836 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_widget_set_sensitive (G_TYPE_CHECK_INSTANCE_CAST (_tmp0_, gtk_widget_get_type (), GtkWidget), _tmp1_);
#line 837 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp2_ = self->priv->entry_imap_port;
#line 837 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp3_ = sensitive;
#line 837 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_widget_set_sensitive (G_TYPE_CHECK_INSTANCE_CAST (_tmp2_, gtk_widget_get_type (), GtkWidget), _tmp3_);
#line 838 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp4_ = self->priv->entry_imap_username;
#line 838 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp5_ = sensitive;
#line 838 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_widget_set_sensitive (G_TYPE_CHECK_INSTANCE_CAST (_tmp4_, gtk_widget_get_type (), GtkWidget), _tmp5_);
#line 839 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp6_ = self->priv->entry_imap_password;
#line 839 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp7_ = sensitive;
#line 839 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_widget_set_sensitive (G_TYPE_CHECK_INSTANCE_CAST (_tmp6_, gtk_widget_get_type (), GtkWidget), _tmp7_);
#line 840 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp8_ = self->priv->combo_imap_encryption;
#line 840 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp9_ = sensitive;
#line 840 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_widget_set_sensitive (G_TYPE_CHECK_INSTANCE_CAST (_tmp8_, gtk_widget_get_type (), GtkWidget), _tmp9_);
#line 842 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp10_ = self->priv->entry_smtp_host;
#line 842 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp11_ = sensitive;
#line 842 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_widget_set_sensitive (G_TYPE_CHECK_INSTANCE_CAST (_tmp10_, gtk_widget_get_type (), GtkWidget), _tmp11_);
#line 843 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp12_ = self->priv->entry_smtp_port;
#line 843 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp13_ = sensitive;
#line 843 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_widget_set_sensitive (G_TYPE_CHECK_INSTANCE_CAST (_tmp12_, gtk_widget_get_type (), GtkWidget), _tmp13_);
#line 844 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp14_ = self->priv->check_smtp_use_imap_credentials;
#line 844 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp15_ = sensitive;
#line 844 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_widget_set_sensitive (G_TYPE_CHECK_INSTANCE_CAST (_tmp14_, gtk_widget_get_type (), GtkWidget), _tmp15_);
#line 845 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp16_ = self->priv->entry_smtp_username;
#line 845 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp17_ = sensitive;
#line 845 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_widget_set_sensitive (G_TYPE_CHECK_INSTANCE_CAST (_tmp16_, gtk_widget_get_type (), GtkWidget), _tmp17_);
#line 846 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp18_ = self->priv->entry_smtp_password;
#line 846 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp19_ = sensitive;
#line 846 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_widget_set_sensitive (G_TYPE_CHECK_INSTANCE_CAST (_tmp18_, gtk_widget_get_type (), GtkWidget), _tmp19_);
#line 847 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp20_ = self->priv->combo_smtp_encryption;
#line 847 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp21_ = sensitive;
#line 847 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_widget_set_sensitive (G_TYPE_CHECK_INSTANCE_CAST (_tmp20_, gtk_widget_get_type (), GtkWidget), _tmp21_);
#line 4612 "add-edit-page.c"
}


static void add_edit_page_real_show_all (GtkWidget* base) {
	AddEditPage * self;
#line 852 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (base, TYPE_ADD_EDIT_PAGE, AddEditPage);
#line 854 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	add_edit_page_update_ui (self);
#line 4622 "add-edit-page.c"
}


static gchar* add_edit_page_get_default_real_name (AddEditPage* self) {
	gchar* result = NULL;
	gchar* real_name = NULL;
	const gchar* _tmp0_;
	gchar* _tmp1_;
	const gchar* _tmp2_ = NULL;
	const gchar* _tmp3_;
	gchar* _tmp5_;
#line 857 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_val_if_fail (IS_ADD_EDIT_PAGE (self), NULL);
#line 858 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp0_ = g_get_real_name ();
#line 858 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 858 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	real_name = _tmp1_;
#line 859 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp3_ = real_name;
#line 859 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	if (g_strcmp0 (_tmp3_, "Unknown") == 0) {
#line 859 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp2_ = "";
#line 4648 "add-edit-page.c"
	} else {
		const gchar* _tmp4_;
#line 859 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp4_ = real_name;
#line 859 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp2_ = _tmp4_;
#line 4655 "add-edit-page.c"
	}
#line 859 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp5_ = g_strdup (_tmp2_);
#line 859 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	result = _tmp5_;
#line 859 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_free0 (real_name);
#line 859 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	return result;
#line 4665 "add-edit-page.c"
}


static void add_edit_page_set_storage_length (AddEditPage* self, gint days) {
	GtkComboBoxText* _tmp0_;
	gint _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
#line 864 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_if_fail (IS_ADD_EDIT_PAGE (self));
#line 865 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp0_ = self->priv->combo_storage_length;
#line 865 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp1_ = days;
#line 865 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp2_ = g_strdup_printf ("%i", _tmp1_);
#line 865 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp3_ = _tmp2_;
#line 865 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_combo_box_set_active_id (G_TYPE_CHECK_INSTANCE_CAST (_tmp0_, gtk_combo_box_get_type (), GtkComboBox), _tmp3_);
#line 865 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_free0 (_tmp3_);
#line 4688 "add-edit-page.c"
}


static gint add_edit_page_get_storage_length (AddEditPage* self) {
	gint result = 0;
	GtkComboBoxText* _tmp0_;
	const gchar* _tmp1_;
	gint _tmp2_;
#line 869 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_val_if_fail (IS_ADD_EDIT_PAGE (self), 0);
#line 870 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp0_ = self->priv->combo_storage_length;
#line 870 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp1_ = gtk_combo_box_get_active_id (G_TYPE_CHECK_INSTANCE_CAST (_tmp0_, gtk_combo_box_get_type (), GtkComboBox));
#line 870 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp2_ = atoi (_tmp1_);
#line 870 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	result = _tmp2_;
#line 870 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	return result;
#line 4709 "add-edit-page.c"
}


static gboolean add_edit_page_combo_storage_separator_delegate (AddEditPage* self, GtkTreeModel* model, GtkTreeIter* iter) {
	gboolean result = FALSE;
	GValue v = {0};
	GtkTreeModel* _tmp0_;
	GtkTreeIter _tmp1_;
	GValue _tmp2_ = {0};
	const gchar* _tmp3_;
#line 873 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_val_if_fail (IS_ADD_EDIT_PAGE (self), FALSE);
#line 873 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_val_if_fail (GTK_IS_TREE_MODEL (model), FALSE);
#line 873 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_val_if_fail (iter != NULL, FALSE);
#line 875 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp0_ = model;
#line 875 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp1_ = *iter;
#line 875 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_tree_model_get_value (_tmp0_, &_tmp1_, 0, &_tmp2_);
#line 875 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	G_IS_VALUE (&v) ? (g_value_unset (&v), NULL) : NULL;
#line 875 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	v = _tmp2_;
#line 877 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp3_ = g_value_get_string (&v);
#line 877 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	result = g_strcmp0 (_tmp3_, ".") == 0;
#line 877 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	G_IS_VALUE (&v) ? (g_value_unset (&v), NULL) : NULL;
#line 877 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	return result;
#line 4744 "add-edit-page.c"
}


const gchar* add_edit_page_get_real_name (AddEditPage* self) {
	const gchar* result;
	GtkEntry* _tmp0_;
	const gchar* _tmp1_;
	const gchar* _tmp2_;
#line 19 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_val_if_fail (IS_ADD_EDIT_PAGE (self), NULL);
#line 19 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp0_ = self->priv->entry_real_name;
#line 19 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp1_ = gtk_entry_get_text (_tmp0_);
#line 19 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp2_ = _tmp1_;
#line 19 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	result = _tmp2_;
#line 19 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	return result;
#line 4765 "add-edit-page.c"
}


void add_edit_page_set_real_name (AddEditPage* self, const gchar* value) {
	GtkEntry* _tmp0_;
	const gchar* _tmp1_;
#line 20 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_if_fail (IS_ADD_EDIT_PAGE (self));
#line 20 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp0_ = self->priv->entry_real_name;
#line 20 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp1_ = value;
#line 20 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_entry_set_text (_tmp0_, _tmp1_);
#line 20 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_object_notify ((GObject *) self, "real-name");
#line 4782 "add-edit-page.c"
}


const gchar* add_edit_page_get_nickname (AddEditPage* self) {
	const gchar* result;
	const gchar* _tmp0_ = NULL;
	AddEditPagePageMode _tmp1_;
#line 24 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_val_if_fail (IS_ADD_EDIT_PAGE (self), NULL);
#line 24 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp1_ = self->priv->mode;
#line 24 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	if (_tmp1_ == ADD_EDIT_PAGE_PAGE_MODE_WELCOME) {
#line 4796 "add-edit-page.c"
		const gchar* _tmp2_;
		const gchar* _tmp3_;
#line 24 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp2_ = add_edit_page_get_email_address (self);
#line 24 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp3_ = _tmp2_;
#line 24 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp0_ = _tmp3_;
#line 4805 "add-edit-page.c"
	} else {
		GtkEntry* _tmp4_;
		const gchar* _tmp5_;
		const gchar* _tmp6_;
#line 24 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp4_ = self->priv->entry_nickname;
#line 24 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp5_ = gtk_entry_get_text (_tmp4_);
#line 24 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp6_ = _tmp5_;
#line 24 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp0_ = _tmp6_;
#line 4818 "add-edit-page.c"
	}
#line 24 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	result = _tmp0_;
#line 24 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	return result;
#line 4824 "add-edit-page.c"
}


void add_edit_page_set_nickname (AddEditPage* self, const gchar* value) {
	GtkEntry* _tmp0_;
	const gchar* _tmp1_;
#line 25 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_if_fail (IS_ADD_EDIT_PAGE (self));
#line 25 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp0_ = self->priv->entry_nickname;
#line 25 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp1_ = value;
#line 25 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_entry_set_text (_tmp0_, _tmp1_);
#line 25 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_object_notify ((GObject *) self, "nickname");
#line 4841 "add-edit-page.c"
}


const gchar* add_edit_page_get_email_address (AddEditPage* self) {
	const gchar* result;
	GtkEntry* _tmp0_;
	const gchar* _tmp1_;
	const gchar* _tmp2_;
#line 29 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_val_if_fail (IS_ADD_EDIT_PAGE (self), NULL);
#line 29 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp0_ = self->priv->entry_email;
#line 29 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp1_ = gtk_entry_get_text (_tmp0_);
#line 29 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp2_ = _tmp1_;
#line 29 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	result = _tmp2_;
#line 29 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	return result;
#line 4862 "add-edit-page.c"
}


void add_edit_page_set_email_address (AddEditPage* self, const gchar* value) {
	GtkEntry* _tmp0_;
	const gchar* _tmp1_;
#line 30 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_if_fail (IS_ADD_EDIT_PAGE (self));
#line 30 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp0_ = self->priv->entry_email;
#line 30 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp1_ = value;
#line 30 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_entry_set_text (_tmp0_, _tmp1_);
#line 30 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_object_notify ((GObject *) self, "email-address");
#line 4879 "add-edit-page.c"
}


const gchar* add_edit_page_get_password (AddEditPage* self) {
	const gchar* result;
	GtkEntry* _tmp0_;
	const gchar* _tmp1_;
	const gchar* _tmp2_;
#line 34 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_val_if_fail (IS_ADD_EDIT_PAGE (self), NULL);
#line 34 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp0_ = self->priv->entry_password;
#line 34 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp1_ = gtk_entry_get_text (_tmp0_);
#line 34 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp2_ = _tmp1_;
#line 34 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	result = _tmp2_;
#line 34 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	return result;
#line 4900 "add-edit-page.c"
}


void add_edit_page_set_password (AddEditPage* self, const gchar* value) {
	GtkEntry* _tmp0_;
	const gchar* _tmp1_;
#line 35 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_if_fail (IS_ADD_EDIT_PAGE (self));
#line 35 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp0_ = self->priv->entry_password;
#line 35 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp1_ = value;
#line 35 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_entry_set_text (_tmp0_, _tmp1_);
#line 35 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_object_notify ((GObject *) self, "password");
#line 4917 "add-edit-page.c"
}


const gchar* add_edit_page_get_imap_username (AddEditPage* self) {
	const gchar* result;
	GtkEntry* _tmp0_;
	const gchar* _tmp1_;
	const gchar* _tmp2_;
#line 39 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_val_if_fail (IS_ADD_EDIT_PAGE (self), NULL);
#line 39 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp0_ = self->priv->entry_imap_username;
#line 39 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp1_ = gtk_entry_get_text (_tmp0_);
#line 39 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp2_ = _tmp1_;
#line 39 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	result = _tmp2_;
#line 39 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	return result;
#line 4938 "add-edit-page.c"
}


void add_edit_page_set_imap_username (AddEditPage* self, const gchar* value) {
	GtkEntry* _tmp0_;
	const gchar* _tmp1_;
#line 40 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_if_fail (IS_ADD_EDIT_PAGE (self));
#line 40 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp0_ = self->priv->entry_imap_username;
#line 40 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp1_ = value;
#line 40 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_entry_set_text (_tmp0_, _tmp1_);
#line 40 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_object_notify ((GObject *) self, "imap-username");
#line 4955 "add-edit-page.c"
}


const gchar* add_edit_page_get_imap_password (AddEditPage* self) {
	const gchar* result;
	GtkEntry* _tmp0_;
	const gchar* _tmp1_;
	const gchar* _tmp2_;
#line 44 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_val_if_fail (IS_ADD_EDIT_PAGE (self), NULL);
#line 44 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp0_ = self->priv->entry_imap_password;
#line 44 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp1_ = gtk_entry_get_text (_tmp0_);
#line 44 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp2_ = _tmp1_;
#line 44 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	result = _tmp2_;
#line 44 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	return result;
#line 4976 "add-edit-page.c"
}


void add_edit_page_set_imap_password (AddEditPage* self, const gchar* value) {
	GtkEntry* _tmp0_;
	const gchar* _tmp1_;
#line 45 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_if_fail (IS_ADD_EDIT_PAGE (self));
#line 45 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp0_ = self->priv->entry_imap_password;
#line 45 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp1_ = value;
#line 45 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_entry_set_text (_tmp0_, _tmp1_);
#line 45 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_object_notify ((GObject *) self, "imap-password");
#line 4993 "add-edit-page.c"
}


gboolean add_edit_page_get_remember_password (AddEditPage* self) {
	gboolean result;
	GtkCheckButton* _tmp0_;
	gboolean _tmp1_;
	gboolean _tmp2_;
#line 49 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_val_if_fail (IS_ADD_EDIT_PAGE (self), FALSE);
#line 49 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp0_ = self->priv->check_remember_password;
#line 49 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp1_ = gtk_toggle_button_get_active (G_TYPE_CHECK_INSTANCE_CAST (_tmp0_, gtk_toggle_button_get_type (), GtkToggleButton));
#line 49 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp2_ = _tmp1_;
#line 49 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	result = _tmp2_;
#line 49 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	return result;
#line 5014 "add-edit-page.c"
}


void add_edit_page_set_remember_password (AddEditPage* self, gboolean value) {
	GtkCheckButton* _tmp0_;
	gboolean _tmp1_;
#line 50 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_if_fail (IS_ADD_EDIT_PAGE (self));
#line 50 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp0_ = self->priv->check_remember_password;
#line 50 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp1_ = value;
#line 50 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_toggle_button_set_active (G_TYPE_CHECK_INSTANCE_CAST (_tmp0_, gtk_toggle_button_get_type (), GtkToggleButton), _tmp1_);
#line 50 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_object_notify ((GObject *) self, "remember-password");
#line 5031 "add-edit-page.c"
}


gboolean add_edit_page_get_use_email_signature (AddEditPage* self) {
	gboolean result;
	GtkCheckButton* _tmp0_;
	gboolean _tmp1_;
	gboolean _tmp2_;
#line 54 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_val_if_fail (IS_ADD_EDIT_PAGE (self), FALSE);
#line 54 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp0_ = self->priv->check_use_email_signature;
#line 54 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp1_ = gtk_toggle_button_get_active (G_TYPE_CHECK_INSTANCE_CAST (_tmp0_, gtk_toggle_button_get_type (), GtkToggleButton));
#line 54 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp2_ = _tmp1_;
#line 54 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	result = _tmp2_;
#line 54 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	return result;
#line 5052 "add-edit-page.c"
}


void add_edit_page_set_use_email_signature (AddEditPage* self, gboolean value) {
	GtkCheckButton* _tmp0_;
	gboolean _tmp1_;
#line 55 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_if_fail (IS_ADD_EDIT_PAGE (self));
#line 55 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp0_ = self->priv->check_use_email_signature;
#line 55 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp1_ = value;
#line 55 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_toggle_button_set_active (G_TYPE_CHECK_INSTANCE_CAST (_tmp0_, gtk_toggle_button_get_type (), GtkToggleButton), _tmp1_);
#line 55 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_object_notify ((GObject *) self, "use-email-signature");
#line 5069 "add-edit-page.c"
}


gchar* add_edit_page_get_email_signature (AddEditPage* self) {
	gchar* result;
	GtkTextView* _tmp0_;
	GtkTextBuffer* _tmp1_;
	GtkTextBuffer* _tmp2_;
	gchar* _tmp3_;
	gchar* _tmp4_;
#line 59 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_val_if_fail (IS_ADD_EDIT_PAGE (self), NULL);
#line 60 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp0_ = self->priv->textview_email_signature;
#line 60 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp1_ = gtk_text_view_get_buffer (_tmp0_);
#line 60 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp2_ = _tmp1_;
#line 60 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_object_get (_tmp2_, "text", &_tmp3_, NULL);
#line 60 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp4_ = _tmp3_;
#line 60 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	result = _tmp4_;
#line 60 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	return result;
#line 5096 "add-edit-page.c"
}


void add_edit_page_set_email_signature (AddEditPage* self, const gchar* value) {
	const gchar* _tmp0_ = NULL;
	const gchar* _tmp1_;
	GtkTextView* _tmp2_;
	GtkTextBuffer* _tmp3_;
	GtkTextBuffer* _tmp4_;
#line 62 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_if_fail (IS_ADD_EDIT_PAGE (self));
#line 63 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp1_ = value;
#line 63 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp0_ = _tmp1_;
#line 63 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	if (_tmp0_ == NULL) {
#line 63 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp0_ = "";
#line 5116 "add-edit-page.c"
	}
#line 63 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp2_ = self->priv->textview_email_signature;
#line 63 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp3_ = gtk_text_view_get_buffer (_tmp2_);
#line 63 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp4_ = _tmp3_;
#line 63 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_object_set (_tmp4_, "text", _tmp0_, NULL);
#line 62 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_object_notify ((GObject *) self, "email-signature");
#line 5128 "add-edit-page.c"
}


gboolean add_edit_page_get_save_sent_mail (AddEditPage* self) {
	gboolean result;
	GtkCheckButton* _tmp0_;
	gboolean _tmp1_;
	gboolean _tmp2_;
#line 68 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_val_if_fail (IS_ADD_EDIT_PAGE (self), FALSE);
#line 68 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp0_ = self->priv->check_save_sent_mail;
#line 68 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp1_ = gtk_toggle_button_get_active (G_TYPE_CHECK_INSTANCE_CAST (_tmp0_, gtk_toggle_button_get_type (), GtkToggleButton));
#line 68 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp2_ = _tmp1_;
#line 68 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	result = _tmp2_;
#line 68 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	return result;
#line 5149 "add-edit-page.c"
}


void add_edit_page_set_save_sent_mail (AddEditPage* self, gboolean value) {
	GtkCheckButton* _tmp0_;
	gboolean _tmp1_;
#line 69 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_if_fail (IS_ADD_EDIT_PAGE (self));
#line 69 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp0_ = self->priv->check_save_sent_mail;
#line 69 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp1_ = value;
#line 69 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_toggle_button_set_active (G_TYPE_CHECK_INSTANCE_CAST (_tmp0_, gtk_toggle_button_get_type (), GtkToggleButton), _tmp1_);
#line 69 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_object_notify ((GObject *) self, "save-sent-mail");
#line 5166 "add-edit-page.c"
}


const gchar* add_edit_page_get_smtp_username (AddEditPage* self) {
	const gchar* result;
	GtkEntry* _tmp0_;
	const gchar* _tmp1_;
	const gchar* _tmp2_;
#line 73 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_val_if_fail (IS_ADD_EDIT_PAGE (self), NULL);
#line 73 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp0_ = self->priv->entry_smtp_username;
#line 73 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp1_ = gtk_entry_get_text (_tmp0_);
#line 73 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp2_ = _tmp1_;
#line 73 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	result = _tmp2_;
#line 73 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	return result;
#line 5187 "add-edit-page.c"
}


void add_edit_page_set_smtp_username (AddEditPage* self, const gchar* value) {
	GtkEntry* _tmp0_;
	const gchar* _tmp1_;
#line 74 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_if_fail (IS_ADD_EDIT_PAGE (self));
#line 74 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp0_ = self->priv->entry_smtp_username;
#line 74 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp1_ = value;
#line 74 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_entry_set_text (_tmp0_, _tmp1_);
#line 74 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_object_notify ((GObject *) self, "smtp-username");
#line 5204 "add-edit-page.c"
}


const gchar* add_edit_page_get_smtp_password (AddEditPage* self) {
	const gchar* result;
	GtkEntry* _tmp0_;
	const gchar* _tmp1_;
	const gchar* _tmp2_;
#line 78 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_val_if_fail (IS_ADD_EDIT_PAGE (self), NULL);
#line 78 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp0_ = self->priv->entry_smtp_password;
#line 78 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp1_ = gtk_entry_get_text (_tmp0_);
#line 78 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp2_ = _tmp1_;
#line 78 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	result = _tmp2_;
#line 78 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	return result;
#line 5225 "add-edit-page.c"
}


void add_edit_page_set_smtp_password (AddEditPage* self, const gchar* value) {
	GtkEntry* _tmp0_;
	const gchar* _tmp1_;
#line 79 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_if_fail (IS_ADD_EDIT_PAGE (self));
#line 79 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp0_ = self->priv->entry_smtp_password;
#line 79 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp1_ = value;
#line 79 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_entry_set_text (_tmp0_, _tmp1_);
#line 79 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_object_notify ((GObject *) self, "smtp-password");
#line 5242 "add-edit-page.c"
}


const gchar* add_edit_page_get_imap_host (AddEditPage* self) {
	const gchar* result;
	GtkEntry* _tmp0_;
	const gchar* _tmp1_;
	const gchar* _tmp2_;
#line 83 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_val_if_fail (IS_ADD_EDIT_PAGE (self), NULL);
#line 83 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp0_ = self->priv->entry_imap_host;
#line 83 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp1_ = gtk_entry_get_text (_tmp0_);
#line 83 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp2_ = _tmp1_;
#line 83 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	result = _tmp2_;
#line 83 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	return result;
#line 5263 "add-edit-page.c"
}


void add_edit_page_set_imap_host (AddEditPage* self, const gchar* value) {
	GtkEntry* _tmp0_;
	const gchar* _tmp1_;
#line 84 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_if_fail (IS_ADD_EDIT_PAGE (self));
#line 84 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp0_ = self->priv->entry_imap_host;
#line 84 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp1_ = value;
#line 84 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_entry_set_text (_tmp0_, _tmp1_);
#line 84 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_object_notify ((GObject *) self, "imap-host");
#line 5280 "add-edit-page.c"
}


guint16 add_edit_page_get_imap_port (AddEditPage* self) {
	guint16 result;
	GtkEntry* _tmp0_;
	const gchar* _tmp1_;
	const gchar* _tmp2_;
	gchar* _tmp3_;
	gchar* _tmp4_;
	gint _tmp5_;
	guint16 _tmp6_;
#line 88 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_val_if_fail (IS_ADD_EDIT_PAGE (self), 0U);
#line 88 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp0_ = self->priv->entry_imap_port;
#line 88 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp1_ = gtk_entry_get_text (_tmp0_);
#line 88 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp2_ = _tmp1_;
#line 88 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp3_ = string_strip (_tmp2_);
#line 88 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp4_ = _tmp3_;
#line 88 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp5_ = atoi (_tmp4_);
#line 88 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp6_ = (guint16) _tmp5_;
#line 88 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_free0 (_tmp4_);
#line 88 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	result = _tmp6_;
#line 88 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	return result;
#line 5315 "add-edit-page.c"
}


void add_edit_page_set_imap_port (AddEditPage* self, guint16 value) {
	GtkEntry* _tmp0_;
	guint16 _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
#line 89 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_if_fail (IS_ADD_EDIT_PAGE (self));
#line 89 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp0_ = self->priv->entry_imap_port;
#line 89 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp1_ = value;
#line 89 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp2_ = g_strdup_printf ("%hu", _tmp1_);
#line 89 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp3_ = _tmp2_;
#line 89 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_entry_set_text (_tmp0_, _tmp3_);
#line 89 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_free0 (_tmp3_);
#line 5338 "add-edit-page.c"
}


gboolean add_edit_page_get_imap_ssl (AddEditPage* self) {
	gboolean result;
	GtkComboBox* _tmp0_;
	gint _tmp1_;
	gint _tmp2_;
#line 93 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_val_if_fail (IS_ADD_EDIT_PAGE (self), FALSE);
#line 93 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp0_ = self->priv->combo_imap_encryption;
#line 93 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp1_ = gtk_combo_box_get_active (_tmp0_);
#line 93 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp2_ = _tmp1_;
#line 93 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	result = _tmp2_ == ((gint) ADD_EDIT_PAGE_ENCRYPTION_SSL);
#line 93 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	return result;
#line 5359 "add-edit-page.c"
}


void add_edit_page_set_imap_ssl (AddEditPage* self, gboolean value) {
	gboolean _tmp0_;
#line 94 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_if_fail (IS_ADD_EDIT_PAGE (self));
#line 95 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp0_ = value;
#line 95 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	if (_tmp0_) {
#line 5371 "add-edit-page.c"
		GtkComboBox* _tmp1_;
#line 96 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp1_ = self->priv->combo_imap_encryption;
#line 96 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		gtk_combo_box_set_active (_tmp1_, (gint) ADD_EDIT_PAGE_ENCRYPTION_SSL);
#line 5377 "add-edit-page.c"
	}
#line 94 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_object_notify ((GObject *) self, "imap-ssl");
#line 5381 "add-edit-page.c"
}


gboolean add_edit_page_get_imap_starttls (AddEditPage* self) {
	gboolean result;
	GtkComboBox* _tmp0_;
	gint _tmp1_;
	gint _tmp2_;
#line 101 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_val_if_fail (IS_ADD_EDIT_PAGE (self), FALSE);
#line 101 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp0_ = self->priv->combo_imap_encryption;
#line 101 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp1_ = gtk_combo_box_get_active (_tmp0_);
#line 101 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp2_ = _tmp1_;
#line 101 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	result = _tmp2_ == ((gint) ADD_EDIT_PAGE_ENCRYPTION_STARTTLS);
#line 101 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	return result;
#line 5402 "add-edit-page.c"
}


void add_edit_page_set_imap_starttls (AddEditPage* self, gboolean value) {
	gboolean _tmp0_;
#line 102 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_if_fail (IS_ADD_EDIT_PAGE (self));
#line 103 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp0_ = value;
#line 103 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	if (_tmp0_) {
#line 5414 "add-edit-page.c"
		GtkComboBox* _tmp1_;
#line 104 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp1_ = self->priv->combo_imap_encryption;
#line 104 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		gtk_combo_box_set_active (_tmp1_, (gint) ADD_EDIT_PAGE_ENCRYPTION_STARTTLS);
#line 5420 "add-edit-page.c"
	}
#line 102 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_object_notify ((GObject *) self, "imap-starttls");
#line 5424 "add-edit-page.c"
}


const gchar* add_edit_page_get_smtp_host (AddEditPage* self) {
	const gchar* result;
	GtkEntry* _tmp0_;
	const gchar* _tmp1_;
	const gchar* _tmp2_;
#line 109 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_val_if_fail (IS_ADD_EDIT_PAGE (self), NULL);
#line 109 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp0_ = self->priv->entry_smtp_host;
#line 109 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp1_ = gtk_entry_get_text (_tmp0_);
#line 109 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp2_ = _tmp1_;
#line 109 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	result = _tmp2_;
#line 109 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	return result;
#line 5445 "add-edit-page.c"
}


void add_edit_page_set_smtp_host (AddEditPage* self, const gchar* value) {
	GtkEntry* _tmp0_;
	const gchar* _tmp1_;
#line 110 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_if_fail (IS_ADD_EDIT_PAGE (self));
#line 110 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp0_ = self->priv->entry_smtp_host;
#line 110 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp1_ = value;
#line 110 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_entry_set_text (_tmp0_, _tmp1_);
#line 110 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_object_notify ((GObject *) self, "smtp-host");
#line 5462 "add-edit-page.c"
}


guint16 add_edit_page_get_smtp_port (AddEditPage* self) {
	guint16 result;
	GtkEntry* _tmp0_;
	const gchar* _tmp1_;
	const gchar* _tmp2_;
	gchar* _tmp3_;
	gchar* _tmp4_;
	gint _tmp5_;
	guint16 _tmp6_;
#line 114 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_val_if_fail (IS_ADD_EDIT_PAGE (self), 0U);
#line 114 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp0_ = self->priv->entry_smtp_port;
#line 114 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp1_ = gtk_entry_get_text (_tmp0_);
#line 114 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp2_ = _tmp1_;
#line 114 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp3_ = string_strip (_tmp2_);
#line 114 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp4_ = _tmp3_;
#line 114 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp5_ = atoi (_tmp4_);
#line 114 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp6_ = (guint16) _tmp5_;
#line 114 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_free0 (_tmp4_);
#line 114 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	result = _tmp6_;
#line 114 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	return result;
#line 5497 "add-edit-page.c"
}


void add_edit_page_set_smtp_port (AddEditPage* self, guint16 value) {
	GtkEntry* _tmp0_;
	guint16 _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
#line 115 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_if_fail (IS_ADD_EDIT_PAGE (self));
#line 115 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp0_ = self->priv->entry_smtp_port;
#line 115 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp1_ = value;
#line 115 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp2_ = g_strdup_printf ("%hu", _tmp1_);
#line 115 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp3_ = _tmp2_;
#line 115 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_entry_set_text (_tmp0_, _tmp3_);
#line 115 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_free0 (_tmp3_);
#line 5520 "add-edit-page.c"
}


gboolean add_edit_page_get_smtp_ssl (AddEditPage* self) {
	gboolean result;
	GtkComboBox* _tmp0_;
	gint _tmp1_;
	gint _tmp2_;
#line 119 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_val_if_fail (IS_ADD_EDIT_PAGE (self), FALSE);
#line 119 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp0_ = self->priv->combo_smtp_encryption;
#line 119 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp1_ = gtk_combo_box_get_active (_tmp0_);
#line 119 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp2_ = _tmp1_;
#line 119 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	result = _tmp2_ == ((gint) ADD_EDIT_PAGE_ENCRYPTION_SSL);
#line 119 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	return result;
#line 5541 "add-edit-page.c"
}


void add_edit_page_set_smtp_ssl (AddEditPage* self, gboolean value) {
	gboolean _tmp0_;
#line 120 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_if_fail (IS_ADD_EDIT_PAGE (self));
#line 121 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp0_ = value;
#line 121 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	if (_tmp0_) {
#line 5553 "add-edit-page.c"
		GtkComboBox* _tmp1_;
#line 122 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp1_ = self->priv->combo_smtp_encryption;
#line 122 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		gtk_combo_box_set_active (_tmp1_, (gint) ADD_EDIT_PAGE_ENCRYPTION_SSL);
#line 5559 "add-edit-page.c"
	}
#line 120 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_object_notify ((GObject *) self, "smtp-ssl");
#line 5563 "add-edit-page.c"
}


gboolean add_edit_page_get_smtp_starttls (AddEditPage* self) {
	gboolean result;
	GtkComboBox* _tmp0_;
	gint _tmp1_;
	gint _tmp2_;
#line 127 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_val_if_fail (IS_ADD_EDIT_PAGE (self), FALSE);
#line 127 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp0_ = self->priv->combo_smtp_encryption;
#line 127 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp1_ = gtk_combo_box_get_active (_tmp0_);
#line 127 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp2_ = _tmp1_;
#line 127 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	result = _tmp2_ == ((gint) ADD_EDIT_PAGE_ENCRYPTION_STARTTLS);
#line 127 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	return result;
#line 5584 "add-edit-page.c"
}


void add_edit_page_set_smtp_starttls (AddEditPage* self, gboolean value) {
	gboolean _tmp0_;
#line 128 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_if_fail (IS_ADD_EDIT_PAGE (self));
#line 129 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp0_ = value;
#line 129 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	if (_tmp0_) {
#line 5596 "add-edit-page.c"
		GtkComboBox* _tmp1_;
#line 130 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		_tmp1_ = self->priv->combo_smtp_encryption;
#line 130 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		gtk_combo_box_set_active (_tmp1_, (gint) ADD_EDIT_PAGE_ENCRYPTION_STARTTLS);
#line 5602 "add-edit-page.c"
	}
#line 128 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_object_notify ((GObject *) self, "smtp-starttls");
#line 5606 "add-edit-page.c"
}


gboolean add_edit_page_get_smtp_use_imap_credentials (AddEditPage* self) {
	gboolean result;
	GtkCheckButton* _tmp0_;
	gboolean _tmp1_;
	gboolean _tmp2_;
#line 135 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_val_if_fail (IS_ADD_EDIT_PAGE (self), FALSE);
#line 135 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp0_ = self->priv->check_smtp_use_imap_credentials;
#line 135 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp1_ = gtk_toggle_button_get_active (G_TYPE_CHECK_INSTANCE_CAST (_tmp0_, gtk_toggle_button_get_type (), GtkToggleButton));
#line 135 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp2_ = _tmp1_;
#line 135 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	result = _tmp2_;
#line 135 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	return result;
#line 5627 "add-edit-page.c"
}


void add_edit_page_set_smtp_use_imap_credentials (AddEditPage* self, gboolean value) {
	GtkCheckButton* _tmp0_;
	gboolean _tmp1_;
#line 136 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_if_fail (IS_ADD_EDIT_PAGE (self));
#line 136 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp0_ = self->priv->check_smtp_use_imap_credentials;
#line 136 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp1_ = value;
#line 136 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_toggle_button_set_active (G_TYPE_CHECK_INSTANCE_CAST (_tmp0_, gtk_toggle_button_get_type (), GtkToggleButton), _tmp1_);
#line 136 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_object_notify ((GObject *) self, "smtp-use-imap-credentials");
#line 5644 "add-edit-page.c"
}


gboolean add_edit_page_get_smtp_noauth (AddEditPage* self) {
	gboolean result;
	GtkCheckButton* _tmp0_;
	gboolean _tmp1_;
	gboolean _tmp2_;
#line 140 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_val_if_fail (IS_ADD_EDIT_PAGE (self), FALSE);
#line 140 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp0_ = self->priv->check_smtp_noauth;
#line 140 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp1_ = gtk_toggle_button_get_active (G_TYPE_CHECK_INSTANCE_CAST (_tmp0_, gtk_toggle_button_get_type (), GtkToggleButton));
#line 140 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp2_ = _tmp1_;
#line 140 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	result = _tmp2_;
#line 140 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	return result;
#line 5665 "add-edit-page.c"
}


void add_edit_page_set_smtp_noauth (AddEditPage* self, gboolean value) {
	GtkCheckButton* _tmp0_;
	gboolean _tmp1_;
#line 141 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_if_fail (IS_ADD_EDIT_PAGE (self));
#line 141 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp0_ = self->priv->check_smtp_noauth;
#line 141 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp1_ = value;
#line 141 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_toggle_button_set_active (G_TYPE_CHECK_INSTANCE_CAST (_tmp0_, gtk_toggle_button_get_type (), GtkToggleButton), _tmp1_);
#line 141 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_object_notify ((GObject *) self, "smtp-noauth");
#line 5682 "add-edit-page.c"
}


gboolean add_edit_page_get_save_drafts (AddEditPage* self) {
	gboolean result;
	GtkCheckButton* _tmp0_;
	gboolean _tmp1_;
	gboolean _tmp2_;
#line 145 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_val_if_fail (IS_ADD_EDIT_PAGE (self), FALSE);
#line 145 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp0_ = self->priv->check_save_drafts;
#line 145 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp1_ = gtk_toggle_button_get_active (G_TYPE_CHECK_INSTANCE_CAST (_tmp0_, gtk_toggle_button_get_type (), GtkToggleButton));
#line 145 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp2_ = _tmp1_;
#line 145 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	result = _tmp2_;
#line 145 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	return result;
#line 5703 "add-edit-page.c"
}


void add_edit_page_set_save_drafts (AddEditPage* self, gboolean value) {
	GtkCheckButton* _tmp0_;
	gboolean _tmp1_;
#line 146 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_return_if_fail (IS_ADD_EDIT_PAGE (self));
#line 146 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp0_ = self->priv->check_save_drafts;
#line 146 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_tmp1_ = value;
#line 146 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	gtk_toggle_button_set_active (G_TYPE_CHECK_INSTANCE_CAST (_tmp0_, gtk_toggle_button_get_type (), GtkToggleButton), _tmp1_);
#line 146 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_object_notify ((GObject *) self, "save-drafts");
#line 5720 "add-edit-page.c"
}


static void add_edit_page_class_init (AddEditPageClass * klass) {
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	add_edit_page_parent_class = g_type_class_peek_parent (klass);
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_type_class_add_private (klass, sizeof (AddEditPagePrivate));
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	((GtkWidgetClass *) klass)->show_all = (void (*) (GtkWidget *)) add_edit_page_real_show_all;
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_add_edit_page_get_property;
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_add_edit_page_set_property;
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	G_OBJECT_CLASS (klass)->finalize = add_edit_page_finalize;
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), ADD_EDIT_PAGE_REAL_NAME, g_param_spec_string ("real-name", "real-name", "real-name", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), ADD_EDIT_PAGE_NICKNAME, g_param_spec_string ("nickname", "nickname", "nickname", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), ADD_EDIT_PAGE_EMAIL_ADDRESS, g_param_spec_string ("email-address", "email-address", "email-address", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), ADD_EDIT_PAGE_PASSWORD, g_param_spec_string ("password", "password", "password", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), ADD_EDIT_PAGE_IMAP_USERNAME, g_param_spec_string ("imap-username", "imap-username", "imap-username", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), ADD_EDIT_PAGE_IMAP_PASSWORD, g_param_spec_string ("imap-password", "imap-password", "imap-password", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), ADD_EDIT_PAGE_REMEMBER_PASSWORD, g_param_spec_boolean ("remember-password", "remember-password", "remember-password", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), ADD_EDIT_PAGE_USE_EMAIL_SIGNATURE, g_param_spec_boolean ("use-email-signature", "use-email-signature", "use-email-signature", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), ADD_EDIT_PAGE_EMAIL_SIGNATURE, g_param_spec_string ("email-signature", "email-signature", "email-signature", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), ADD_EDIT_PAGE_SAVE_SENT_MAIL, g_param_spec_boolean ("save-sent-mail", "save-sent-mail", "save-sent-mail", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), ADD_EDIT_PAGE_SMTP_USERNAME, g_param_spec_string ("smtp-username", "smtp-username", "smtp-username", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), ADD_EDIT_PAGE_SMTP_PASSWORD, g_param_spec_string ("smtp-password", "smtp-password", "smtp-password", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), ADD_EDIT_PAGE_IMAP_HOST, g_param_spec_string ("imap-host", "imap-host", "imap-host", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), ADD_EDIT_PAGE_IMAP_SSL, g_param_spec_boolean ("imap-ssl", "imap-ssl", "imap-ssl", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), ADD_EDIT_PAGE_IMAP_STARTTLS, g_param_spec_boolean ("imap-starttls", "imap-starttls", "imap-starttls", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), ADD_EDIT_PAGE_SMTP_HOST, g_param_spec_string ("smtp-host", "smtp-host", "smtp-host", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), ADD_EDIT_PAGE_SMTP_SSL, g_param_spec_boolean ("smtp-ssl", "smtp-ssl", "smtp-ssl", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), ADD_EDIT_PAGE_SMTP_STARTTLS, g_param_spec_boolean ("smtp-starttls", "smtp-starttls", "smtp-starttls", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), ADD_EDIT_PAGE_SMTP_USE_IMAP_CREDENTIALS, g_param_spec_boolean ("smtp-use-imap-credentials", "smtp-use-imap-credentials", "smtp-use-imap-credentials", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), ADD_EDIT_PAGE_SMTP_NOAUTH, g_param_spec_boolean ("smtp-noauth", "smtp-noauth", "smtp-noauth", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), ADD_EDIT_PAGE_SAVE_DRAFTS, g_param_spec_boolean ("save-drafts", "save-drafts", "save-drafts", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	add_edit_page_signals[ADD_EDIT_PAGE_INFO_CHANGED_SIGNAL] = g_signal_new ("info_changed", TYPE_ADD_EDIT_PAGE, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	add_edit_page_signals[ADD_EDIT_PAGE_SIZE_CHANGED_SIGNAL] = g_signal_new ("size_changed", TYPE_ADD_EDIT_PAGE, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	add_edit_page_signals[ADD_EDIT_PAGE_EDIT_ALTERNATE_EMAILS_SIGNAL] = g_signal_new ("edit_alternate_emails", TYPE_ADD_EDIT_PAGE, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 5785 "add-edit-page.c"
}


static void add_edit_page_instance_init (AddEditPage * self) {
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	self->priv = ADD_EDIT_PAGE_GET_PRIVATE (self);
#line 156 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	self->priv->mode = ADD_EDIT_PAGE_PAGE_MODE_WELCOME;
#line 208 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	self->priv->edited_imap_port = FALSE;
#line 209 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	self->priv->edited_smtp_port = FALSE;
#line 211 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	self->priv->last_validation_result = GEARY_ENGINE_VALIDATION_RESULT_OK;
#line 213 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	self->priv->first_ui_update = TRUE;
#line 5802 "add-edit-page.c"
}


static void add_edit_page_finalize (GObject * obj) {
	AddEditPage * self;
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, TYPE_ADD_EDIT_PAGE, AddEditPage);
#line 158 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_object_unref0 (self->priv->container_widget);
#line 159 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_object_unref0 (self->priv->welcome_box);
#line 161 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_object_unref0 (self->priv->label_error);
#line 163 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_object_unref0 (self->priv->entry_email);
#line 164 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_object_unref0 (self->priv->label_password);
#line 165 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_object_unref0 (self->priv->entry_password);
#line 166 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_object_unref0 (self->priv->entry_real_name);
#line 167 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_object_unref0 (self->priv->label_nickname);
#line 168 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_object_unref0 (self->priv->entry_nickname);
#line 169 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_object_unref0 (self->priv->combo_service);
#line 170 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_object_unref0 (self->priv->check_remember_password);
#line 171 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_object_unref0 (self->priv->check_save_sent_mail);
#line 172 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_object_unref0 (self->priv->alternate_email_button);
#line 175 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_object_unref0 (self->priv->composer_container);
#line 176 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_object_unref0 (self->priv->check_use_email_signature);
#line 177 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_object_unref0 (self->priv->signature_stack);
#line 178 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_object_unref0 (self->priv->textview_email_signature);
#line 179 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_object_unref0 (self->priv->preview_webview);
#line 181 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_object_unref0 (self->priv->other_info);
#line 184 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_object_unref0 (self->priv->entry_imap_host);
#line 185 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_object_unref0 (self->priv->entry_imap_port);
#line 186 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_object_unref0 (self->priv->entry_imap_username);
#line 187 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_object_unref0 (self->priv->entry_imap_password);
#line 188 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_object_unref0 (self->priv->combo_imap_encryption);
#line 191 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_object_unref0 (self->priv->entry_smtp_host);
#line 192 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_object_unref0 (self->priv->entry_smtp_port);
#line 193 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_object_unref0 (self->priv->entry_smtp_username);
#line 194 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_object_unref0 (self->priv->entry_smtp_password);
#line 195 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_object_unref0 (self->priv->combo_smtp_encryption);
#line 196 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_object_unref0 (self->priv->check_smtp_use_imap_credentials);
#line 197 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_object_unref0 (self->priv->check_smtp_noauth);
#line 199 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_object_unref0 (self->priv->check_save_drafts);
#line 201 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_free0 (self->priv->smtp_username_store);
#line 202 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_free0 (self->priv->smtp_password_store);
#line 205 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_object_unref0 (self->priv->storage_container);
#line 206 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	_g_object_unref0 (self->priv->combo_storage_length);
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	G_OBJECT_CLASS (add_edit_page_parent_class)->finalize (obj);
#line 5884 "add-edit-page.c"
}


GType add_edit_page_get_type (void) {
	static volatile gsize add_edit_page_type_id__volatile = 0;
	if (g_once_init_enter (&add_edit_page_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (AddEditPageClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) add_edit_page_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (AddEditPage), 0, (GInstanceInitFunc) add_edit_page_instance_init, NULL };
		GType add_edit_page_type_id;
		add_edit_page_type_id = g_type_register_static (gtk_box_get_type (), "AddEditPage", &g_define_type_info, 0);
		g_once_init_leave (&add_edit_page_type_id__volatile, add_edit_page_type_id);
	}
	return add_edit_page_type_id__volatile;
}


static void _vala_add_edit_page_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec) {
	AddEditPage * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, TYPE_ADD_EDIT_PAGE, AddEditPage);
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	switch (property_id) {
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		case ADD_EDIT_PAGE_REAL_NAME:
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		g_value_set_string (value, add_edit_page_get_real_name (self));
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		break;
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		case ADD_EDIT_PAGE_NICKNAME:
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		g_value_set_string (value, add_edit_page_get_nickname (self));
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		break;
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		case ADD_EDIT_PAGE_EMAIL_ADDRESS:
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		g_value_set_string (value, add_edit_page_get_email_address (self));
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		break;
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		case ADD_EDIT_PAGE_PASSWORD:
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		g_value_set_string (value, add_edit_page_get_password (self));
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		break;
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		case ADD_EDIT_PAGE_IMAP_USERNAME:
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		g_value_set_string (value, add_edit_page_get_imap_username (self));
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		break;
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		case ADD_EDIT_PAGE_IMAP_PASSWORD:
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		g_value_set_string (value, add_edit_page_get_imap_password (self));
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		break;
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		case ADD_EDIT_PAGE_REMEMBER_PASSWORD:
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		g_value_set_boolean (value, add_edit_page_get_remember_password (self));
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		break;
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		case ADD_EDIT_PAGE_USE_EMAIL_SIGNATURE:
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		g_value_set_boolean (value, add_edit_page_get_use_email_signature (self));
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		break;
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		case ADD_EDIT_PAGE_EMAIL_SIGNATURE:
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		g_value_take_string (value, add_edit_page_get_email_signature (self));
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		break;
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		case ADD_EDIT_PAGE_SAVE_SENT_MAIL:
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		g_value_set_boolean (value, add_edit_page_get_save_sent_mail (self));
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		break;
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		case ADD_EDIT_PAGE_SMTP_USERNAME:
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		g_value_set_string (value, add_edit_page_get_smtp_username (self));
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		break;
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		case ADD_EDIT_PAGE_SMTP_PASSWORD:
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		g_value_set_string (value, add_edit_page_get_smtp_password (self));
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		break;
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		case ADD_EDIT_PAGE_IMAP_HOST:
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		g_value_set_string (value, add_edit_page_get_imap_host (self));
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		break;
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		case ADD_EDIT_PAGE_IMAP_SSL:
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		g_value_set_boolean (value, add_edit_page_get_imap_ssl (self));
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		break;
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		case ADD_EDIT_PAGE_IMAP_STARTTLS:
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		g_value_set_boolean (value, add_edit_page_get_imap_starttls (self));
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		break;
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		case ADD_EDIT_PAGE_SMTP_HOST:
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		g_value_set_string (value, add_edit_page_get_smtp_host (self));
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		break;
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		case ADD_EDIT_PAGE_SMTP_SSL:
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		g_value_set_boolean (value, add_edit_page_get_smtp_ssl (self));
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		break;
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		case ADD_EDIT_PAGE_SMTP_STARTTLS:
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		g_value_set_boolean (value, add_edit_page_get_smtp_starttls (self));
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		break;
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		case ADD_EDIT_PAGE_SMTP_USE_IMAP_CREDENTIALS:
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		g_value_set_boolean (value, add_edit_page_get_smtp_use_imap_credentials (self));
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		break;
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		case ADD_EDIT_PAGE_SMTP_NOAUTH:
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		g_value_set_boolean (value, add_edit_page_get_smtp_noauth (self));
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		break;
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		case ADD_EDIT_PAGE_SAVE_DRAFTS:
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		g_value_set_boolean (value, add_edit_page_get_save_drafts (self));
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		break;
#line 6031 "add-edit-page.c"
		default:
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		break;
#line 6037 "add-edit-page.c"
	}
}


static void _vala_add_edit_page_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec) {
	AddEditPage * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, TYPE_ADD_EDIT_PAGE, AddEditPage);
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
	switch (property_id) {
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		case ADD_EDIT_PAGE_REAL_NAME:
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		add_edit_page_set_real_name (self, g_value_get_string (value));
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		break;
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		case ADD_EDIT_PAGE_NICKNAME:
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		add_edit_page_set_nickname (self, g_value_get_string (value));
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		break;
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		case ADD_EDIT_PAGE_EMAIL_ADDRESS:
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		add_edit_page_set_email_address (self, g_value_get_string (value));
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		break;
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		case ADD_EDIT_PAGE_PASSWORD:
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		add_edit_page_set_password (self, g_value_get_string (value));
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		break;
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		case ADD_EDIT_PAGE_IMAP_USERNAME:
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		add_edit_page_set_imap_username (self, g_value_get_string (value));
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		break;
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		case ADD_EDIT_PAGE_IMAP_PASSWORD:
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		add_edit_page_set_imap_password (self, g_value_get_string (value));
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		break;
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		case ADD_EDIT_PAGE_REMEMBER_PASSWORD:
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		add_edit_page_set_remember_password (self, g_value_get_boolean (value));
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		break;
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		case ADD_EDIT_PAGE_USE_EMAIL_SIGNATURE:
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		add_edit_page_set_use_email_signature (self, g_value_get_boolean (value));
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		break;
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		case ADD_EDIT_PAGE_EMAIL_SIGNATURE:
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		add_edit_page_set_email_signature (self, g_value_get_string (value));
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		break;
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		case ADD_EDIT_PAGE_SAVE_SENT_MAIL:
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		add_edit_page_set_save_sent_mail (self, g_value_get_boolean (value));
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		break;
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		case ADD_EDIT_PAGE_SMTP_USERNAME:
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		add_edit_page_set_smtp_username (self, g_value_get_string (value));
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		break;
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		case ADD_EDIT_PAGE_SMTP_PASSWORD:
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		add_edit_page_set_smtp_password (self, g_value_get_string (value));
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		break;
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		case ADD_EDIT_PAGE_IMAP_HOST:
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		add_edit_page_set_imap_host (self, g_value_get_string (value));
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		break;
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		case ADD_EDIT_PAGE_IMAP_SSL:
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		add_edit_page_set_imap_ssl (self, g_value_get_boolean (value));
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		break;
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		case ADD_EDIT_PAGE_IMAP_STARTTLS:
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		add_edit_page_set_imap_starttls (self, g_value_get_boolean (value));
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		break;
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		case ADD_EDIT_PAGE_SMTP_HOST:
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		add_edit_page_set_smtp_host (self, g_value_get_string (value));
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		break;
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		case ADD_EDIT_PAGE_SMTP_SSL:
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		add_edit_page_set_smtp_ssl (self, g_value_get_boolean (value));
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		break;
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		case ADD_EDIT_PAGE_SMTP_STARTTLS:
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		add_edit_page_set_smtp_starttls (self, g_value_get_boolean (value));
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		break;
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		case ADD_EDIT_PAGE_SMTP_USE_IMAP_CREDENTIALS:
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		add_edit_page_set_smtp_use_imap_credentials (self, g_value_get_boolean (value));
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		break;
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		case ADD_EDIT_PAGE_SMTP_NOAUTH:
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		add_edit_page_set_smtp_noauth (self, g_value_get_boolean (value));
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		break;
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		case ADD_EDIT_PAGE_SAVE_DRAFTS:
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		add_edit_page_set_save_drafts (self, g_value_get_boolean (value));
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		break;
#line 6173 "add-edit-page.c"
		default:
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 8 "/home/iurt/rpmbuild/BUILD/geary-0.11.3/src/client/accounts/add-edit-page.vala"
		break;
#line 6179 "add-edit-page.c"
	}
}



